2009-09-13  Rob Savoye  <rob@welcomehome.org>

	convert to an int, not a double.

2009-09-13  Rob Savoye  <rob@welcomehome.org>

	don't try to link in libltdl multiple times.

2009-09-11  Andrea Palmat?  <andrea@amigasoft.net>

	Fixed Audio sound when using AHI

2009-09-10  Tomeu Vizoso  <tomeu@zviratko>

	Link and include libltdl in the cygnal examples.

2009-09-10  Tomeu Vizoso  <tomeu@zviratko>

	Generate cygnal/cgi-bin/fitcDemo/Makefile

2009-09-09  Rob Savoye  <rob@welcomehome.org>

	change enum values to keep mingw32 happy about name conflicts.

2009-09-09  Rob Savoye  <rob@welcomehome.org>

	make all the extensions compile after they bit-rotted due to avm API changes.

2009-09-09  Rob Savoye  <rob@welcomehome.org>

	Add the flgas for libxml, so we can cross compile with Gstreamer.

2009-09-09  Rob Savoye  <rob@welcomehome.org>

	cast double to int to eliminate compiler warning.

2009-09-09  Rob Savoye  <rob@welcomehome.org>

	Don't build the find* utilities when cross compiling. Add the XML flags to keep cross-compiling with gstreamer.

2009-09-09  Rob Savoye  <rob@welcomehome.org>

	Don't try to probe for input devices if we have an incomplete Gstreamer installation.

2009-09-09  Rob Savoye  <rob@welcomehome.org>

	Fix the cross-compiling of Gnash with Gstreamer instead of ffmpeg support.
	If cross compiling with Gstreamer, we need to find the libxml2 header files
	so the Gstreamer headers are happy at compile time.
	Change the default kde GUI from kde3 to kde4.
	Enable jemalloc by default.

2009-09-09  Rob Savoye  <rob@welcomehome.org>

	build with the newer avm changes.

2009-09-08  Rob Savoye  <rob@welcomehome.org>

	merge from branch. Send the proper result message to createStream() now that the system messages for buffer adjustment are handled correctly.

2009-09-08  Rob Savoye  <rob@welcomehome.org>

	send the proper result message to createStream() now that the system messages for buffer adjustment are handled correctly.

2009-09-08  Rob Savoye  <rob@welcomehome.org>

	merge from branch.

2009-09-08  Rob Savoye  <rob@welcomehome.org>

	clean up the handling of user control messages.

2009-09-08  Rob Savoye  <rob@welcomehome.org>

	less verbose

2009-09-08  Rob Savoye  <rob@welcomehome.org>

	don't use qt3 script with qt4 builds. Add versions for kde dependencies.

2009-09-08  Sandro Santilli  <strk@keybit.net>

	Scan opensuse-specific directory for docbook.xsl

2009-09-07  Rob Savoye  <rob@welcomehome.org>

	don't build the gateway plugin at all.

2009-09-07  Rob Savoye  <rob@welcomehome.org>

	build the gateway cgi as a plugin.

2009-09-07  Rob Savoye  <rob@welcomehome.org>

	add gstreamer-ffmpeg as a dependency.

2009-09-07  Rob Savoye  <rob@welcomehome.org>

	add klash back in, add dependenciesm change config.

2009-09-07  Rob Savoye  <rob@welcomehome.org>

	include the Cygnal plugins in the Cygnalpackage.

2009-09-07  Rob Savoye  <rob@welcomehome.org>

	add the revno to the output for --version.

2009-09-07  Rob Savoye  <rob@welcomehome.org>

	correct typo.

2009-09-07  Rob Savoye  <rob@welcomehome.org>

	don't build fitcDemo for now.

2009-09-07  Rob Savoye  <rob@welcomehome.org>

	gateway.cpp depends on gateway.h, not echo.h.

2009-09-07  Rob Savoye  <rob@welcomehome.org>

	use boost1.38 instead of 1.35 for Karmic.

2009-09-07  Sandro Santilli  <strk@keybit.net>

	Now that we ship our own dejagnu.h we can use it rather than the hand-crafted replacement.

2009-09-07  Rob Savoye  <rob@welcomehome.org>

	big merge from branch, Cygnal works again for HTTP, RTMP, and RTMPT.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	less verbose

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	we also have to cache the type, as 4 byte headers reuse that in addition to the body size from the previous message.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	get HTTP working again, all multi-threaded support appears to be working fine.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	add 2nd parameter to eliminate compiler warning.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	close the network in the right places. Pass the Protocol handler to the thread so it's persistent.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	more refactoring of the network engine to get multi-threaded working again.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	when waiting, use microseconds for the timeout, not seconds. Use a vector instead of a map for the bpodysize array.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	cleanup up the handling of multi-threaded vs single-threaded modes.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	eliminate compiler warnings.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	check the ObjectEncoding field to determine if we are remoting or streaming. Send the onBWDone message for streaming only.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	minor reformatting of enums.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	move the supported protocols enum from Handler to Network.

2009-09-02  Rob Savoye  <rob@welcomehome.org>

	decode user events correct, handle PING messages correctly now too.

2009-09-02  Rob Savoye  <rob@welcomehome.org>

	user RTMP::USER rather than RTMP::PING.

2009-09-02  Rob Savoye  <rob@welcomehome.org>

	now that we understand RTMP much more, correct and improve the enum for RTMP messages.

2009-09-02  Rob Savoye  <rob@welcomehome.org>

	now that we understand RTMP much more, correct and improve the enum for RTMP 

2009-09-02  Rob Savoye  <rob@welcomehome.org>

	make sure the pointer is valid for queues1 before trying to use it.

2009-09-01  Rob Savoye  <rob@welcomehome.org>

	fix initialization process.

2009-09-01  Rob Savoye  <rob@welcomehome.org>

	cygnal/

2009-09-01  Rob Savoye  <rob@welcomehome.org>

	hack the packet size to force PING messages to get parsed correctly.

2009-09-01  Rob Savoye  <rob@welcomehome.org>

	remove a few blank lines.

2009-09-01  Rob Savoye  <rob@welcomehome.org>

	add the correct path for Cygnal plugins.

2009-09-01  Rob Savoye  <rob@welcomehome.org>

	use log_network instead of log_debug.

2009-08-31  Rob Savoye  <rob@welcomehome.org>

	use log_network instead of log_debug.

2009-08-31  Rob Savoye  <rob@welcomehome.org>

	fix plugin loading from the cygnal/plugins directory.

2009-08-31  Rob Savoye  <rob@welcomehome.org>

	Use log_network instead of log_debug.
	Only talk to the plugin for INVOKE.

2009-08-31  Rob Savoye  <rob@welcomehome.org>

	install cgi-bins in cygnal/plugins directory.

2009-08-31  Rob Savoye  <rob@welcomehome.org>

	return true if no data, so we go and wait for more.

2009-08-31  Rob Savoye  <rob@welcomehome.org>

	use only one buffer for now to aid debugging.

2009-08-26  Rob Savoye  <rob@welcomehome.org>

	use scandir() instead of opendir as it sorts the files like Adobe does. Return a correct response packet with the list of files to the client.

2009-08-26  Rob Savoye  <rob@welcomehome.org>

	see if we have scandir().

2009-08-26  Rob Savoye  <rob@welcomehome.org>

	Adobe doesn't appear to set the Length filed for encoding Mixed (ECMA) Arrays into AMF0.

2009-08-25  Rob Savoye  <rob@welcomehome.org>

	trap bad queue pointers to be untested instead of segfault.

2009-08-25  Rob Savoye  <rob@welcomehome.org>

	have readFromPlugin return a Buffer, not a count.

2009-08-25  Rob Savoye  <rob@welcomehome.org>

	minor reformatting.

2009-08-25  Rob Savoye  <rob@welcomehome.org>

	have readFromPlugin return a Buffer, not a count.

2009-08-25  Rob Savoye  <rob@welcomehome.org>

	haver readFromPlugin return a Buffer, not a count.

2009-08-25  Rob Savoye  <rob@welcomehome.org>

	don't forget the Elament may have it's own name, and cleanup weird issue with being a few bytes off.

2009-08-25  Rob Savoye  <rob@welcomehome.org>

	pass the NetConnection object correctly to the Handler and then to the plugin so the oflaDemo can get the path for all media files.

2009-08-25  rob@welcomehome.org

	add more comments.

2009-08-25  rob@welcomehome.org

	support an init() function to get the version number and description of the plugin, and to initialize the plugin with the NetConnection info.

2009-08-25  rob@welcomehome.org

	Store the NetConnection data, so we can hand off it's info to the Handler..

2009-08-25  rob@welcomehome.org

	Store the NetConnection data in the Handler, as each cgi-bin may need the info it contains.

2009-08-25  rob@welcomehome.org

	Don't sleep before writing to the network.

2009-08-24  Rob Savoye  <rob@welcomehome.org>

	use an argument to get the proper environment variable to use for plugins.

2009-08-22  Rob Savoye  <rob@welcomehome.org>

	add initial support for a Cygnal manual, someday...

2009-08-22  Rob Savoye  <rob@welcomehome.org>

	minor reformatting.

2009-08-22  Rob Savoye  <rob@welcomehome.org>

	add minimal FCSubscribe support.

2009-08-22  Rob Savoye  <rob@welcomehome.org>

	fix compiler warnings.

2009-08-22  Rob Savoye  <rob@welcomehome.org>

	Refactor file directory scanning.

2009-08-22  Rob Savoye  <rob@welcomehome.org>

	store active peers seperately from the total list of peers.

2009-08-22  Rob Savoye  <rob@welcomehome.org>

	add server support for the Red5 OflaDemo test for streams.

2009-08-22  Rob Savoye  <rob@welcomehome.org>

	add server support for the Red5 OflaDemo test for streams.

2009-08-20  Rob Savoye  <rob@welcomehome.org>

	Use the protocl in the peers.conf list.
	Sucessfully make aqn RTMP connection to the other cygnal.
	Add stream control methods for NetStream, is is not handled
	by a cgi, but my ourselves for disk streaming.

2009-08-20  Rob Savoye  <rob@welcomehome.org>

	add stream control methods.

2009-08-20  Rob Savoye  <rob@welcomehome.org>

	return an empty Element for tcurl, if there is no NetConnection data packet in the last handhsake.

2009-08-20  Rob Savoye  <rob@welcomehome.org>

	check for cnnect() errors.

2009-08-20  Rob Savoye  <rob@welcomehome.org>

	update syntax.

2009-08-20  Rob Savoye  <rob@welcomehome.org>

	shutdown and close the file descriptor on any connect() error.

2009-08-20  Rob Savoye  <rob@welcomehome.org>

	add new ObjectURI as a parameter.

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	Use new event handler when multi-threaded too.

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	be Cygnal, not Jetty.

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	be Cygnal, not Jetty. Minor reformating.

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	add new SharedObject cgi-bin for Cygnal.

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	add initial stubs for SharedObject test case using the red5 one.

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	migrate from rtmp branch.

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	change string size test back to the old way.

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	use log_network instead of log_debug.

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	Use the correct version for the client from the gnashrc file.
	build the final handhshake packet correctly. Don't forget to add the
	RTMP header every CHUNK size (128 bytes) !

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	pass the right byte count.

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	move previous body size to rtmp from handler.

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	make less verbose.

2009-08-18  Rob Savoye  <rob@welcomehome.org>

	fix RTMP header decoding to handle continuation packets correctly.

2009-08-15  Rob Savoye  <rob@welcomehome.org>

	don't forget to prefix the RTMP header before the NetConnection packet../../utilities/gprocessor -vv -n -vn SharedObject_asv8.swf

2009-08-14  Rob Savoye  <rob@welcomehome.org>

	add method to send a response to the client.

2009-08-13  Rob Savoye  <rob@welcomehome.org>

	minor formatting adjustments.

2009-08-13  Rob Savoye  <rob@welcomehome.org>

	Compiles again, not part of the build yet as it's merely migrated from another old branch at this stage.

2009-08-12  Rob Savoye  <rob@welcomehome.org>

	add the NetConnection from the rtmp branch.

2009-08-12  Rob Savoye  <rob@welcomehome.org>

	migrate from rtmp branch.

2009-08-11  Rob Savoye  <rob@welcomehome.org>

	process incoming messages. If INVOKE, pass to plugin, and then transmit the result back to the client.

2009-08-11  Rob Savoye  <rob@welcomehome.org>

	add a private variable to store the reponse.

2009-08-11  Rob Savoye  <rob@welcomehome.org>

	Movre initModule() from Cygnal to Handler class. Add methods to Handler
	for reading and writing data to the plugin if it's loaded.

2009-08-11  rob@welcomehome.org

	use the correct variable names so the cgi-bins get built recursively when enabled.

2009-08-11  rob@welcomehome.org

	scan directories looking for Cygnal plugins. Load the plugin if it matches the
	name in the NetConnection::connect() for the server side script to execute. 
	Search the plugin when loaded for the two entry points used to communicate with
	it. Currently as a temporary test, the two entry points are executed
	sucessfully with test data.

2009-08-11  rob@welcomehome.org

	less verbose.

2009-08-11  rob@welcomehome.org

	add read and write functions to be exported for Cygnal.

2009-08-11  rob@welcomehome.org

	add the path the the debug messages on module loading.

2009-08-11  rob@welcomehome.org

	always build the cgi-bins.

2009-08-10  Rob Savoye  <rob@welcomehome.org>

	scan for plugins, and if found, load them. Currently plugins aren't executed.

2009-08-10  Rob Savoye  <rob@welcomehome.org>

	add test for whether any cgi-bins have been started or not.

2009-08-10  Rob Savoye  <rob@welcomehome.org>

	make protected, not private so we can be inherited from.

2009-08-10  Rob Savoye  <rob@welcomehome.org>

	check in patch from stefasab <stefasab...gmail.com> to simplify setting up the table.

2009-08-10  Rob Savoye  <rob@welcomehome.org>

	remove the .la file too.

2009-08-10  Rob Savoye  <rob@welcomehome.org>

	build the echo test as a plugin, instead of a standalone executable.

2009-08-09  rob@welcomehome.org

	start refactoring rtmp_handler to work the new way everything else does.

2009-08-09  rob@welcomehome.org

	add new event handler the supports multiple protocols.

2009-08-09  rob@welcomehome.org

	use the largest fd value, not the count of file descriptors when calling select().

2009-08-09  rob@welcomehome.org

	add a mutex to the global Cygnal class.

2009-08-09  rob@welcomehome.org

	minor formatting tweaks.

2009-08-09  rob@welcomehome.org

	add a mutex to protect updating the map of connected clients.

2009-08-09  Rob Savoye  <rob@welcomehome.org>

	add methods for manipulating the map of Handlers.

2009-08-09  Rob Savoye  <rob@welcomehome.org>

	use the new processClientResponse() to handle the handshake process. Display the cgi-bin path from the NetConnection::connect() packet.

2009-08-09  Rob Savoye  <rob@welcomehome.org>

	sucessfully handle the server side of the handshake process again.

2009-08-09  Rob Savoye  <rob@welcomehome.org>

	process the handshake and extract the tcUrl from the NetConnection::connect() INVOKE packet.

2009-08-09  Rob Savoye  <rob@welcomehome.org>

	reverse the result of empty(), it was backwards.

2009-08-09  Rob Savoye  <rob@welcomehome.org>

	refactor server side processing of RTMP handshakes. Add documentation.

2009-08-09  Rob Savoye  <rob@welcomehome.org>

	use lexical cast to eliminate warnings. Use new getTime() method.

2009-08-09  Rob Savoye  <rob@welcomehome.org>

	add initial support for probing the peers.

2009-08-09  Rob Savoye  <rob@welcomehome.org>

	add getTime() method to get the 32bit time value used for timestamps. Add documentation.

2009-08-09  Rob Savoye  <rob@welcomehome.org>

	return the size of the vector after adding data.

2009-08-08  Rob Savoye  <rob@welcomehome.org>

	read in the file of peers.

2009-08-08  Rob Savoye  <rob@welcomehome.org>

	Merge from trunk. Add peers.conf file.

2009-09-07  Markus Gothe  <nietzsche@lysator.liu.se>

	Suprise, it's 2009 now! and &copy; didn't look right in iceweasel

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	minor reformatting.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	make sure png.h has been found by configure.

2009-09-06  Rob Savoye  <rob@welcomehome.org>

	add libmedia to the link.

2009-09-06  Sandro Santilli  <strk@keybit.net>

	Hints on where to find docbook related packaged on deb-based systems

2009-09-03  Rob Savoye  <rob@welcomehome.org>

	FreeBSD puts kde4-config in a new location.

2009-09-03  Rob Savoye  <rob@welcomehome.org>

	include AudioInput in win32 builds too.

2009-09-03  Rob Savoye  <rob@welcomehome.org>

	always include AudioInput for now.

2009-09-03  Rob Savoye  <rob@welcomehome.org>

	Build the default media handler even if no media is specified so the class at the least exists.

2009-09-03  Rob Savoye  <rob@welcomehome.org>

	mingw32 doesn't like DELETE as a name, so change it.

2009-09-03  Rob Savoye  <rob@welcomehome.org>

	store a local copy of the latest dejagnu.h file that supports xfail. The next DejaGnu release may not happen for quite a while...

2009-09-03  Rob Savoye  <rob@welcomehome.org>

	FreeBSD want's LIBINTL at link time.

2009-09-03  Rob Savoye  <rob@welcomehome.org>

	include stat.h to keep FreeBSD happy.

2009-09-02  Rob Savoye  <rob@welcomehome.org>

	add new utilities and cygnalrc files.

2009-08-31  Markus Gothe  <nietzsche@lysator.liu.se>

	Added misc tags

2009-08-31  Markus Gothe  <nietzsche@lysator.liu.se>

	Added misc tags

2009-08-31  Markus Gothe  <nietzsche@lysator.liu.se>

	minor

2009-08-31  Markus Gothe  <nietzsche@lysator.liu.se>

	Added misc tags

2009-08-31  Markus Gothe  <nietzsche@lysator.liu.se>

	Added misc tags

2009-08-31  Markus Gothe  <nietzsche@lysator.liu.se>

	Added misc tags

2009-08-30  Markus Gothe  <nietzsche@lysator.liu.se>

	Fix it for __MACH__, by tracking it down to X.h

2009-08-30  Markus Gothe  <nietzsche@lysator.liu.se>

	Typo

2009-08-30  Markus Gothe  <nietzsche@lysator.liu.se>

	Do some wiz-magic on OS X

2009-08-30  Markus Gothe  <nietzsche@lysator.liu.se>

	Fixes gtk-glext on OS X Leopard

2009-08-30  Markus Gothe  <nietzsche@lysator.liu.se>

	Fixes gtk-glext on OS X Leopard

2009-08-30  Markus Gothe  <nietzsche@lysator.liu.se>

	migrate to new GUI API

2009-08-30  Markus Gothe  <nietzsche@lysator.liu.se>

	migrate to new GUI API

2009-08-30  Markus Gothe  <nietzsche@lysator.liu.se>

	Fixed buggy OGL-stuff nobody have compiled in ages

2009-08-30  Markus Gothe  <nietzsche@lysator.liu.se>

	Fixed buggy OGL-stuff nobody have compiled in ages

2009-08-30  Markus Gothe  <nietzsche@lysator.liu.se>

	Fixed buggy OGL-stuff nobody have compiled in ages

2009-08-30  Markus Gothe  <nietzsche@lysator.liu.se>

	Fixed buggy OGL-stuff nobody have compiled in ages

2009-08-29  Markus Gothe  <nietzsche@lysator.liu.se>

	Dont redefine GL_GLEXT_PROTOTYPES

2009-08-29  Markus Gothe  <nietzsche@lysator.liu.se>

	Code refactoring

2009-08-28  Udo Giacomozzi  <udo.gnu@nova-sys.net>

	always include GLIB flags because they might be necessary for GST

2009-08-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement part of an interface for VideoInput, add notes on what's required
	for the rest of it.
	
	The advantages of this are that it is possible to implement Camera as a Relay,
	to assign the MediaHandler dynamically, to drop ifdefs, to make it possible
	to implement an ffmpeg VideoInput class, and generally to make the code
	into a half-way useful design.
	
	The disadvantage is that many unit tests had to be dropped. Because the
	design has changed (and needs to change much more) they weren't useful.

2009-08-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests pass again.

2009-08-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop debugging. Expect some failures.

2009-08-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct Microphone.names.

2009-08-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add stubbed VideoInputFfmpeg class.

2009-08-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add stubbed VideoInputFfmpeg class.

2009-08-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make some attempt to write a proper interface for VideoInput.
	
	This involves significant changes to VideoInputGst, including the tests. The
	test now only uses the public interface of VideoInput (except in a few
	cases).
	
	Implementation-specific requirements are not tested. Instead assertions are
	used in the implementation.
	
	Tests for bad values have been removed. There is no way to set dimensions from
	ActionScript. Instead, a width/height is requested and the VideoInput class
	should select an appropriate available one.
	
	The tests should be replaced with generic tests when this functionality is
	implemented.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Sort out MovieClip natives, add a new property.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add a couple of missed natives.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do MovieClip natives.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test for presence of MovieClip.beginMeshFill.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More new implementation.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passing tests.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement the AsSetupError function.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement more classes with Relay objects, correct properties.
	
	Handle more creation functions centrally.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanup.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix unused variables warning.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Modify includes for moved files.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move NetStream and NetConnection to flash/net.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	TextFormat properties pass. SWF5 and 6 fail because of the string table
	case bug, 8 because it has two more properties.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement TextFormat as a relay. Get its properties and native functions
	more correct.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passing tests.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do ColorTransform.toString less efficiently but more compatibly.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct prop flags more.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct propflags.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use a relay and native functions for ColorTransform.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use creation functions more.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use object creation functions in System. Drop statics.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use createObject().

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop prototype, use createObject().

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	No need for separate prototype.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use createObject().

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Replace createObject calls.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop createObject function with prototype argument.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update documentation.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Change Global_as::createObject() to return an instance of Object, as this
	is almost always what's needed.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use creation functions.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't expose static prototype outside implementation file.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get the numbers right.

2009-08-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add TextField and space for Button natives.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add/correct XML properties.

2009-08-27  Udo Giacomozzi  <udo.gnu@nova-sys.net>

	Fix typo ($media_handler is all lower-case). Fixes compilation for non-GTK builds who need Gstreamer

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Register more natives; get the difference between them correct. More passes
	in swfdec testsuite.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passing tests.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use native functions where necessary, restoring passes in swfdec testsuite.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Always create built-in functions with a prototype. This fails when 
	native functions are implemented as built-ins. Start correcting that.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add Accessibility natives.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix Error properties.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove obsolete functions from interface. Correct XML properties.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop things from Machine that weren't working and shouldn't be done like
	that anyway.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop isDateObject function from Date_as too.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Document relays.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop isDateObject(); this is now done properly.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop useless virtual methods.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More passes.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop override of get/set member. Implement loaded and status properties
	more correctly.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect failures.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Totals.

2009-08-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Checks.

2009-08-25  Sandro Santilli  <strk@keybit.net>

	Use log_debug for debugging, not log_trace

2009-08-24  Sandro Santilli  <strk@keybit.net>

	Use log_debug for debugging, not log_trace

2009-08-24  Sandro Santilli  <strk@keybit.net>

	text-field-hscroll test now succeeds in versions 6-8.

2009-08-24  Markus Gothe  <nietzsche@lysator.liu.se>

	Fixed compilation issue

2009-08-24  Markus Gothe  <nietzsche@lysator.liu.se>

	Fix DSOEXPORTs

2009-08-21  Bob Naugle  <bobbynaugs@gmail.com>

	merge from branch

2009-08-21  Bob Naugle  <bobbynaugs@gmail.com>

	Provide member stubs (bottomScroll, hScroll, maxHScroll...)
	Update test cases

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More refactoring.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct XMLSocket.onData, drop statics.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix misc-ming.all testsuite.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix samples as well.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop get_text_value as as_object virtual function.
	
	Cast to TextField in tests to use TextField's get_text_value. Don't use it
	in logging.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test type of XML declarations. Fix silly typo that's been unnoticed
	for months.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename Proxy to Relay for consistency with swfdec's similar class. They did
	invent it first, after all.
	
	Introduce ActiveRelay for native objects that require an update on each
	advance. Implement for Sound, LoadVars, XML, NetConnection, and NetStream.
	Allows subclassing of these built-in classes, fixing blip.tv (bug #27214).
	
	This involves some changes to XML and LoadVars that aren't automatically 
	tested, so there may be some uncaught regressions. Some were spotted and
	fixed during manual testing.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add note.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up a bit.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix warning, tidy up names.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop static NetConnection prototype.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop queueLoad as a virtual function of as_object.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	It was already tested a bit. Fix those tests.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't rely on as_object virtual methods. Fixes sendAndLoad again. The exact
	point where sendAndLoad with a non-loadable object fails needs testing.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix ConnectionHandler's reachable resources again.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't include NetConnection_as.h in SharedObject_as.h.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Insert space before colon.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix some failed renames.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename UpdatableProxy to ActiveRelay.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename Proxy to Relay, proxy() to relay() etc.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add documentation for new functions, Proxies and GC information.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename checkType to ensureNativeType.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename isInstanceOf to isNativeType.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix isInstanceOf();

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve GC marking.
	
	Renaming some Proxy member functions and change access.
	
	Temporary fix to crash in isInstanceOf with null object, to be fixed
	properly when testsuite completes.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement Boolean as a native constructor.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement Number as a native constructor.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't fake things.

2009-08-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update class.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unused functions, fix some obvious bugs.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement UpdatableProxy, use where necessary. Fix NetStream so that derived
	classes work. Now blip.tv works again!
	
	Needs a lot of cleaning up.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cleanups, reduce code duplication.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanup.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use anonymous namespace.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Really drop statics.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop statics in flash/events.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	tmp

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use registration function for more built-in classes.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop type usage.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Property attaching functions were the right way round before I ruined it.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	No static properties.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use registration functions more widely.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use registration function.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get functions the right way round.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more static prototypes.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more subclasses and static prototypes.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more subclasses, use registerBuiltinClass.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add convenience function for creating built-in classes. Use it in 
	some places.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove statics from String_as.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove statics from ContextMenu.

2009-08-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement more flexible and less verbose class for function arguments.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add Proxy member of as_object to handle type-dependent data. This replaces
	the practice of using subclasses and allows the type to be assigned by
	a constructor. It also removes the need for static prototypes.
	
	Currently String, Boolean, Number, and Date are implemented like this, passing
	new and old tests.
	
	Test super more and correct the implementation so that construction of
	objects derived from native classes works (as long as these use the proxy
	object implementation).
	
	Implement various native functions.
	
	Further cleanups are needed.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct ASconstructor implementation, passing tests.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement Boolean and Number functions as natives. Register them.
	
	Implement ASconstructor.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't store super's __proto__ and __constructor__ in as_super; store the
	super object instead and retrieve them when needed (tested to change
	during a constructor).
	
	Use an ugly hack to make sure super calls count as an instantiation. Still
	no idea how to do this properly.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test super more.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More version-dependent tests.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests pass now that String is constructed more correctly.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't ruin AMF serialization. Optimize (for readability) algorithm slightly.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add generic function for checking object types.
	
	Drop duplicated code for convert_to_primitive and to_primitive. Any possible
	speed benefit of convert_to_primitive (unlikely) is outweighed by the
	annoyance of having two identical algorithms, and can easily be optimized
	again anyway.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanup.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use Proxy for Date and String.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more now unused code.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Handle corner case (super not implemented correctly).

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Not all versions pass yet. More tests.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Temp

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests in swfdec testsuite now pass.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Old test now passes.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	String.prototype.valueOf is not the same as Object.prototype.toString.
	Implement it correctly. Implement Object.prototype.toString correctly.
	Move to Object.cpp, as it shouldn't be used anywhere else.
	
	New tests for toString and valueOf. Passes in swfdec testsuite and for
	old and new tests in actionscript.all.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Version-dependent return.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct expected result.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests, correct totals.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get totals correct.

2009-08-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test Object.prototype.toString.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop get_primitive_value altogether. The specs misleadingly suggest that
	Object.valueOf returns a different primitive depending on the type of the
	object. In fact, each Object type (String, Boolean etc) has a different
	valueOf function that only works with an instance of that particular object.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop get_primitive_value, which did the wrong thing and was probably never
	used.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use get_primitive_value in Number_as.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more useless code.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop get_numeric_value, particularly as a virtual function of as_object,
	as it's not used.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use a polymorphic proxy object instead of an as_object subclass type to
	implement the Boolean type.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement difference between native and built-in functions.
	
	Drop static data usage for built-in functions (except those that Gnash
	implements more like a native function).
	
	Various cleanups and fixes.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop try/catch mess and incorrect log messages.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More use of registerBuiltinObject().

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Replace more duplicated code.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use registerBuiltinObject more.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use a single function for creating and registering built-in objects.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more static data.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More cleanups, making data non-static, and test corrections.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make more pointers non-static.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop static LocalConnection data.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove accidentally committed tests.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make Video constructor non-static. Minor cleanups.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	New tests, passes.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop class and type for CustomActions, as it's just a simple object.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use more passed-in prototypes.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass for builtin function.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	New ASconstructor tests.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Separate native and builtin functions properly. Register Function.call
	and Function.apply as native.
	
	Experiment with String native constructor (not really finished).

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Version dependent.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Another pass.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passes.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add tests for ASconstructor and ASnative.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Introduce NativeFunction for real native functions.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move function property construction out of builtin_function and into
	Globals, where it is clearer and easier to maintain.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Header.

2009-08-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't insist on prototype being an object.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	SWF5 passes now.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unnecessary Stage_as type.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop type.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop type.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement AsBroadcaster correctly, remove reliance on static data.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Color no longer relies on static data.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Error no longer relies on static data.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Math class no longer relies on singletons.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't modify functions by adding a prototype property when called as a
	constructor.
	
	Expose constructor property to swf5 as well (was tested, but not implemented).

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use this pointer when constructing Color.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unused code.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't duplicate so much code in constructInstance(). Allow for possibility
	of constructors operating on 'this' pointer.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use a separate flag for isInstantiation, as the this_ptr really shouldn't
	be 0 for built-in functions.

2009-08-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More instance and prototype tests.

2009-08-14  Sharad Desai  <ssdesai1@gmail.com>

	TextLineMetrics_as.hx and Security_as.hx does not fail in pp now

2009-08-14  Sharad Desai  <ssdesai1@gmail.com>

	Security_as.hx does not fail in pp now

2009-08-14  Sharad Desai  <ssdesai1@gmail.com>

	TextLineMetrics_as.hx passes all in pp now

2009-08-14  Sharad Desai  <ssdesai1@gmail.com>

	TextRender_as.hx does not fail in pp now

2009-08-14  Sharad Desai  <ssdesai1@gmail.com>

	TextRender_as.hx does not fail in pp now

2009-08-14  Sharad Desai  <ssdesai1@gmail.com>

	NetStream_as.hx does not fail in gnash or pp

2009-08-14  Sharad Desai  <ssdesai1@gmail.com>

	NetStream_as.hx does not fail in gnash or pp

2009-08-14  Sharad Desai  <ssdesai1@gmail.com>

	Minor change

2009-08-14  Sharad Desai  <ssdesai1@gmail.com>

	Minor change

2009-08-14  Sandro Santilli  <strk@keybit.net>

	Fix capitalization of FFmpeg

2009-08-14  Andrea Palmat?  <andrea@amigasoft.net>

	Small changes to TextField class to avoid errors with INLINE definition.

2009-08-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert change to actionscript.all/enumerate.as. enumerate2 is not a typo,
	but a crucial part of the test - which is why it fails now. Update ming if
	it fails to compile.

2009-08-13  Jon Crider  <jon.crider@gmail.com>

	Updates to haxe tests, Array still needs work

2009-08-13  Jon Crider  <jon.crider@gmail.com>

	updates to haxe test cases, make them work with pp. Array still needs more work

2009-08-13  Jon Crider  <jon.crider@gmail.com>

	Changed xpass/xfail to pass/fail based on recent changes in BtimapData.cpp

2009-08-13  Jon Crider  <jon.crider@gmail.com>

	merged from trunk

2009-08-13  Sharad Desai  <ssdesai1@gmail.com>

	Minor touch-ups

2009-08-13  Sharad Desai  <ssdesai1@gmail.com>

	Minor touch-ups

2009-08-13  Jon Crider  <jon.crider@gmail.com>

	Minor changes to output of many test cases for clarity. Major changes to haxe test case display/BitmapData_as.hx. Added much imporved tests for the pp. Will test again in light of recent changes to BitmapData.cpp

2009-08-13  Jon Crider  <jon.crider@gmail.com>

	updating haxe test cases to work in the pp

2009-08-13  Sharad Desai  <ssdesai1@gmail.com>

	Modified TextField.cpp url case and modified MovieClip_as.hx to pass all tests in the pp

2009-08-13  Sharad Desai  <ssdesai1@gmail.com>

	Modified TextField.cpp url case and modified test case to pass all tests in the pp

2009-08-13  Sharad Desai  <ssdesai1@gmail.com>

	System_as.hx now passes all cases in pp

2009-08-13  Sharad Desai  <ssdesai1@gmail.com>

	System_as.hx now passes all cases in pp

2009-08-13  Sharad Desai  <ssdesai1@gmail.com>

	LoaderInfo_as.hx needs valid url to pass test cases; however if url is not valid, then test won't run--but won't result in any failures--a note will pop up in the test case to let the user know of this

2009-08-13  Sharad Desai  <ssdesai1@gmail.com>

	LoaderInfo_as.hx needs valid url to pass test cases; however if url is not valid, then test won't run--but won't result in any failures--a note will pop up in the test case to let the user know of this

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do Color class correctly.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Handle target string as well as MovieClip argument. Test that the processing
	happens on each call, not on construction.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get properties more correct, but not completely due to the over-complicated
	way Gnash adds some of them.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add missed check for MovieClip existence. Use global to create object.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement Color class as expected using target property. Removes the 
	need for a separate Color_as class.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add hasOwnProperty for SWF5 too.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Various fixes, tests and test passes.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More swfdec test passes.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get Date properties right. Make constructor function non-static.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Date.prototype.valueOf is an alias for Date.prototype.getTime. Fix
	Date.UTC flags.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passes for BitmapData constructor.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Now SWF8 passes as well, so no need for the ifdef.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passes for swfdec ASSetNative.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add our own tests for ASSetNative.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement ASSetNative.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passes in swfdec testsuite.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fail to construct BitmapData under some circumstances. Passes actionscript.all
	tests.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make TextFormat AS constructor non-static. Fix initialization order of
	variables.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up Accessibility class and correct properties.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect new TextFormat passes.

2009-08-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix ffmpeg compile.

2009-08-12  Sharad Desai  <ssdesai1@gmail.com>

	Made some modifications to the url and target properties, as well as touching up some test cases so they work in the pp

2009-08-12  Sharad Desai  <ssdesai1@gmail.com>

	Made some modifications to the url and target properties, as well as touching up some test cases so they work in the pp

2009-08-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor fix to AsBroadcaster.

2009-08-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	New passes in swfdec testsuite.

2009-08-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Set the return of ASnative(101, 12) as broadcastMessage. Don't assert
	that it's a function, as it may not be.

2009-08-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	As ASnative to named strings.

2009-08-12  Ben Limmer  <limmer@colorado.edu>

	fixed test cases to conform with Adobe player and changed some implementations to Camera and Microphone classes

2009-08-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't make BitmapMovie::advance a no-op, or it breaks things.

2009-08-12  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Call MovieClip::advance() in BitmapMovie::advance(). Fixes the tagesschau
	atlas SWF again.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups and improvements to constructor.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up the String constructor at the expense of making its prototype
	uglier (static for both AVM1 and AVM2).

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop default argument to Number_as constructor.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unused Boolean constructor.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up Boolean, make its constructor non-static.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up Number class.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up and make object conversion more consistent (and correct);
	importantly, this removes the need to access prototype code from outside
	various files.
	
	Add tests for those kind of conversions.
	
	Fix a bug in XML's and LoadVars's sendAndLoad method.
	
	Newly-added swfdec tests pass.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix querystring properly, so that at least part of the tagesschau atlas
	works again.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use the correct URL for sendAndLoad methods.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use ensureType in Mouse.show or Mouse.hide. It now makes tests fail
	in actionscript.all/Instance.as because the function returns undefined when
	used as a constructor if not called as a member function. That was never
	correct, and was exposed as a bug by allowing AS constructors to return
	undefined.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rearrange file.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use helper function to catch exceptions where necessary.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Helper function for conversion to object.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop init_number_instance.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop init_boolean_instance.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Throw AS constructor exceptions back to the caller instead of handling
	them.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Construct all basic object types (String, Number, Boolean) in the same
	way. Throw exception if the type has been deleted, so that the constructor
	returns an undefined value.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Allow construction of objects to fail when an exception is thrown.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Gnash fails the new tests still.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test what happens when global classes are deleted.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop init_string_instance. Do it all in Globals.cpp.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Simplify Object constructor so that it passes the swfdec tests as well.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Return correct type of object for null or undefined values.

2009-08-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test constructing objects from undefined or null.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Various improvements to soldumper.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improvements to soldumper from Stefano Sabatini.

2009-08-08  Stefano Sabatini  <stefasab@gmail.com>

	Make soldumper exit with 1 in case of missing arguments.

2009-08-08  Stefano Sabatini  <stefasab@gmail.com>

	Print usage notice on cout rather than on cerr when it makes sense.
	Allows for example for:
	soldumper -h | grep -l 
	operations.

2009-08-08  Stefano Sabatini  <stefasab@gmail.com>

	Make usage do not exit, as the application exit code depends on the
	context where it is used.

2009-08-08  Stefano Sabatini  <stefasab@gmail.com>

	Make usage() take an ostream as parameter, this allows for printing on
	cout if opportune.

2009-08-08  Stefano Sabatini  <stefasab@gmail.com>

	Avoid a forward declaration for the usage() function.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix NetConnection.connect properly so it runs potlatch and passes the remoting
	tests. Change NetConnection.as so that it doesn't ruin the remaining tests
	by attempting a sandbox-restricted connection. Note lack of tests for
	genuine connections.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indent.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't attempt connection to rtmp url, as it depends on
	sandbox settings that the Adobe player doesn't have and makes the
	test unverifiable on that player.
	
	A new test is needed for testing what happens when there is a connection,
	as it does affect status and return values.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix second bug in NetConnection.connect so that potlatch works again.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Daily fix for testsuite mess-ups.
	
	The classes.all testsuite is still a mess, doesn't distinguish enough
	between AS2 and AS3, and consequently still fails.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do NOT disable tests.
	
	Test here as well that setCursor exists. 

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Stub setCursor again.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect pass in Camera.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix another bug that the testsuite made perfectly obvious.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Include libtool headers. Fix testsuite again.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Restore tests for Microphone.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Another unused variable warning.

2009-08-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix unused variable warning by commenting out unused code.

2009-08-09  Tomeu Vizoso  <tomeu@zviratko>

	Install the python module to the right dir

2009-08-09  Tomeu Vizoso  <tomeu@zviratko>

	Add local libltdl dir as include dir in cygnal/Makefile.am

2009-08-08  rob@welcomehome.org

	add cygnalrc to EXTRA_DIST and CLEANFILES to keep distcheck happy.

2009-08-08  rob@welcomehome.org

	look for Linux specific syscalls for high-performance, kernel based, I/O.

2009-08-08  Rob Savoye  <rob@welcomehome.org>

	use real value for ifdef test instead of just 1 or 0. Use constant for cgi port number instead of hard coding it.

2009-08-08  Rob Savoye  <rob@welcomehome.org>

	use a constant for the network port.

2009-08-08  Rob Savoye  <rob@welcomehome.org>

	build new cygnal files.

2009-08-08  Rob Savoye  <rob@welcomehome.org>

	new class for server side storing and access of SharedObjects.

2009-08-08  Rob Savoye  <rob@welcomehome.org>

	moved before heavy refactoring.

2009-08-08  Rob Savoye  <rob@welcomehome.org>

	add flowchart for Cygnal's data flow.

2009-08-08  Tomeu Vizoso  <tomeu@zviratko>

	Adapt to API changes

2009-08-08  Tomeu Vizoso  <tomeu@zviratko>

	Include cstdio in libmedia/VideoInput.h

2009-08-07  Rob Savoye  <rob@welcomehome.org>

	merge from branch.

2009-08-07  Rob Savoye  <rob@welcomehome.org>

	Use log_network().
	Pass the data for the NetConnection object to clientFinish.
	Set and extract the timestmps for the RTMP handshake headers correctly.

2009-08-07  Rob Savoye  <rob@welcomehome.org>

	use obj, not this_ptr.

2009-08-07  Rob Savoye  <rob@welcomehome.org>

	make less verbose.

2009-08-07  Rob Savoye  <rob@welcomehome.org>

	add -n option to enable optional network trace.

2009-08-07  Rob Savoye  <rob@welcomehome.org>

	add suppor for RTMP handshake header, which is different from the regular RTMP header.

2009-08-07  Rob Savoye  <rob@welcomehome.org>

	expand the list of supported protocols.

2009-08-07  Rob Savoye  <rob@welcomehome.org>

	add a log_network().

2009-08-05  Rob Savoye  <rob@welcomehome.org>

	store the URL sp we can pass it to connect() later.

2009-08-05  Rob Savoye  <rob@welcomehome.org>

	add higher level connectToServer() to handle handshaking and the NetConnection packet.

2009-08-05  Rob Savoye  <rob@welcomehome.org>

	start adding RTMP client support to SharedObject.

2009-08-05  Rob Savoye  <rob@welcomehome.org>

	connect to the server correctly.

2009-08-05  Rob Savoye  <rob@welcomehome.org>

	use simpler form of encodeConnect().

2009-08-05  Rob Savoye  <rob@welcomehome.org>

	add simpler version of encodeConnect() that only needs the URL.

2009-08-05  Rob Savoye  <rob@welcomehome.org>

	include sendfile.h if it exists.

2009-08-05  Rob Savoye  <rob@welcomehome.org>

	fix constant for audio & video codec bitmaps.

2009-08-07  Ben Limmer  <limmer@colorado.edu>

	updated docs

2009-08-07  Ben Limmer  <limmer@colorado.edu>

	improved implementations of camera_as and microphone_as and associated testcases

2009-08-07  Bob Naugle  <bobbynaugs@gmail.com>

	Fix segfault when typing in an empty textfield

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Separate Object prototype and class entirely for each VM. This still uses
	the VM singleton and the prototypes are still static until the prototype
	is stored properly, and until getObjectInterface() takes an argument. This
	temporary hack shows there are no ill effects as all tests still pass.
	
	Make more objects non-static, so that they are not shared between the
	two VMs. There are still many to go.
	
	Make some changes to VM and Machine construction to address problems created
	by VM's ownership of Machine. This is not nearly robust enough, but serves
	as a temporary measure until the AS resources are properly separated.

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make constructor function non-static. Don't replicate interface to 
	class. No idea why that was done all over the place, because it's wrong.

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make Error constructor non-static.

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make class non-static.

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unused constructor. Make things non-static.

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make the Object class function non-static too, so that AVM2 doesn't share
	that with AVM1 either.

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initialize a separate Object.prototype for each Machine. This currently
	uses the VM singleton. It also fails two AS3 tests.

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	SDL_OpenAudio changes the desired SDL_AudioSpec, which can lead it to
	fail if a sound device becomes unavailable between calls to openAudio().
	Reset the SDL_AudioSpec on each call. Fixes bug #27071 (thanks to
	Ed Martin for the bug report and the patch).

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't delete sounds when restarting a SWF. Fixes bug #27132.

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do not delete sounds when restarting the sound_handler. They are needed
	for the next run, as we don't parse the SWF again.

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix return bug.

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't omit to return the calculated value.

2009-08-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unused glyphsnonconst method. If such access is ever needed
	(hopefully not), it can simply overload glyphs() and the compiler will
	choose the appropriate version.

2009-08-06  Bob Naugle  <bobbynaugs@gmail.com>

	Fix certain scrolling errors, and upload haXe TextField test case

2009-08-06  Bob Naugle  <bobbynaugs@gmail.com>

	Gnash no longer segfaults when focus is given to an empty TextField.

2009-08-06  Bob Naugle  <bobbynaugs@gmail.com>

	Fix a small bug. First character is no longer displayed after it's deleted.

2009-08-06  Bob Naugle  <bobbynaugs@gmail.com>

	Documentation, cleanups, and a few minor fixes.

2009-08-06  Sharad Desai  <ssdesai1@gmail.com>

	Framework for anchor tag, as well as partial implementation of TextFormat url and target properties

2009-08-06  Sharad Desai  <ssdesai1@gmail.com>

	Framework for anchor tag, as well as partial implementation of TextFormat url and target properties

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement the AS interface of Microphone and Camera correctly. This
	does not change any of the Audio or Video input code, just the way the
	class works in ActionScript. It now passes all the actionscript.all tests
	and the swfdec properties tests.
	
	Test Camera properties better in our own tests.
	
	Run Camera and Microphone tests with ffmpeg again. There is only one
	media-handler-dependent test, and it can be handled individually.
	
	The classes.all/Microphone_as test fails 6 tests in Gnash, but fails 10
	in the Adobe player. It needs fixing...
	
	Add notes on implementation.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	One last pass.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passes in swfdec testsuite.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Camera and Microphone are not hidden in SWF5.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add missing Camera properties, some minor corrections. Passes swfdec testsuite.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Camera.names is also static.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't add AS3 currentFPS for AS2 class.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test Camera properties better.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passes in swfdec.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor fix to Microphone properties so we pass the swfdec testsuite too.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up more.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up a bit.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Another test pass.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct AS camera interface.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor corrections to tests. There aren't enough here.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get case right in the test, or it's pretty useless. We test case for SWF6
	elsewhere.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add note about implementation. Use size_t, not int, for container sizes.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect passes.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Return number, not bool. Don't rely on documentation, look at tests.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect failure for test that has never worked (was comparing undefined
	with undefined before).

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up code.
	
	Fix typo (silenceTimeout, not silenceTimeOut), so that tests pass.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix most AS interface errors.
	
	Microphone has a constructor that returns an object with some microphone
	properties.
	
	Microphone::get() is not a constructor, but a static accessor, so should
	be attached to the class (constructor function).
	
	Non-static AS members should not be attached to the class
	(constructor function).
	
	Properties are added to the prototype when Microphone::get is called.
	
	Make the class function non-static.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect passes in Camera tests (more good work).

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect passes for Microphone class (good work).

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Restore tests to correct versions. Please fix Gnash rather than breaking
	the tests.
	
	The classes.all tests for Camera and Microphone also need attention. 
	Microphone fails on the PP, the Camera one fails if no camera is present.
	
	Fix various compiler warnings, many of them real bugs.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert bogus tests (failed in the pp) to the correct versions, which fail
	in Gnash.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do the same for AudioInputGst.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Either it should be a comparison to NULL or a C string comparison with "null".
	Going with the latter.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get initialization order correct. Fix many more unused variable and 
	signed/unsigned comparison warnings.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix UB when not returning a value from a non-void function.
	
	Use early returns to reduce else blocks and all the indentation that goes
	with them.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix unused variable warnings. Fix signed/unsigned. To check container
	bounds, use ">= size()", not "> size() - 1".

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use ctor-initializer, as specified by Gnash coding guidelines and acceptable
	C++ style. Initialize _gain for ffmpeg as well.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix return bugs.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	if (!ptr) or if (ptr == NULL), but not if (!ptr == NULL);

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix more signed/unsigned warnings. Fix unused variables warning.

2009-08-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix signed/unsigned errors.

2009-08-05  Bob Naugle  <bobbynaugs@gmail.com>

	TextField.cpp cleanups

2009-08-05  Ben Limmer  <limmer@colorado.edu>

	fixed test failure with initialized variable in AudioInput

2009-08-05  Ben Limmer  <limmer@colorado.edu>

	changed makefile in testsuite/actionscript.all so camera and microphone aren't checked on ffmpeg builds

2009-08-05  Ben Limmer  <limmer@colorado.edu>

	fixed compiler error

2009-08-05  Ben Limmer  <limmer@colorado.edu>

	fixed actionscript.all testcases to work with new Camera and microphone implementation

2009-08-05  Bob Naugle  <bobbynaugs@gmail.com>

	Fix segfault in TextField.cpp

2009-08-05  John Wimer  <john@god.vtic.net>

	Cairo Renderer frees the cairo surface, so stop double freeing it.

2009-08-04  Sharad Desai  <ssdesai1@gmail.com>

	Fixed compiler warnings

2009-08-04  Sharad Desai  <ssdesai1@gmail.com>

	Fixed compiler warnings

2009-08-04  Sharad Desai  <ssdesai1@gmail.com>

	TextField maxChars property implemented

2009-08-04  Sharad Desai  <ssdesai1@gmail.com>

	TextField maxChars property implemented

2009-08-04  Ben Limmer  <limmer@colorado.edu>

	completed Camera_as and Microphone_as basic implementation

2009-08-04  Ben Limmer  <limmer@colorado.edu>

	completed Camera_as and Microphone_as basic implementation

2009-08-04  rob@welcomehome.org

	merge from cygnal branch.

2009-08-03  rob@welcomehome.org

	build server side SharedObject support.

2009-08-03  rob@welcomehome.org

	build one plugin, one cgi-bin.

2009-08-03  rob@welcomehome.org

	remove old code we don't want anymore.

2009-08-03  rob@welcomehome.org

	remove old code we don't want anymore.

2009-08-03  rob@welcomehome.org

	minor reformatting.

2009-08-03  rob@welcomehome.org

	minor reformatting.

2009-08-03  rob@welcomehome.org

	minor reformatting.

2009-08-03  rob@welcomehome.org

	minor reformatting.

2009-08-03  rob@welcomehome.org

	add tests for send(), setDirty(), and setProperty().

2009-08-03  rob@welcomehome.org

	add method for updating the properties of an existing SharedObject.

2009-08-03  rob@welcomehome.org

	class for server side Shared Objects.

2009-08-03  rob@welcomehome.org

	implement getRemote() and connect().

2009-07-31  rob@welcomehome.org

	add tests for the Linux specific systems calls for I/O: splice, tee, and sendfile.

2009-07-27  rob@welcomehome.org

	start adding support for SharedObject::connect().

2009-07-27  rob@welcomehome.org

	use SharedObject::connect(), not  NetConnection::connect().

2009-07-27  rob@welcomehome.org

	add vector of Elements to store SharedObjects.

2009-07-26  rob@welcomehome.org

	use constant instead of hard coded number.

2009-07-26  rob@welcomehome.org

	build the Handler class as part of libcygnal.

2009-07-26  rob@welcomehome.org

	use constant instead of hard coded number.

2009-07-26  rob@welcomehome.org

	add a flag for SharedObject persistance.

2009-07-26  rob@welcomehome.org

	print the first sync event

2009-07-26  rob@welcomehome.org

	Fix protocol, remoting only works with rtmp.

2009-07-26  rob@welcomehome.org

	add support for haxe, add SharedObject.getRemote() test case.

2009-07-26  rob@welcomehome.org

	be less verbose.

2009-07-26  rob@welcomehome.org

	partially implement getRemote()

2009-07-26  rob@welcomehome.org

	add onSync event, used by NetConnection and NetStream.

2009-07-26  rob@welcomehome.org

	new test case for SharedObject.getRemote(), which requires an operational server.

2009-07-25  rob@welcomehome.org

	move handlers to libcygnal

2009-07-25  rob@welcomehome.org

	add a define for building the cgi-bins.

2009-08-04  Sharad Desai  <ssdesai1@gmail.com>

	Add'l html tag support

2009-08-04  Sharad Desai  <ssdesai1@gmail.com>

	Add'l html tag support

2009-08-04  Bob Naugle  <bobbynaugs@gmail.com>

	Cursor position determined using TextRecords, better scrolling

2009-08-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Forward declare Renderer in kde_glue.h. Reported to fix bug #27144.

2009-08-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't crash when the scroll exceeds the number of lines (the fix may not
	be the correct behaviour, but doesn't fail any tests). Fixes testsuite again.
	
	Expect passes in actionscript.all.

2009-08-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix crash in TextField.

2009-07-31  Ben Limmer  <limmer@colorado.edu>

	completed basic implementation of Camera actionscript class. Still some work to be done, testsuites now pass instead of xfail

2009-07-31  Ben Limmer  <limmer@colorado.edu>

	completed basic implementation of Camera actionscript class. Still some work to be done, testsuites now pass instead of xfail

2009-07-31  Bob Naugle  <bobbynaugs@gmail.com>

	framework for htmlText/text separation

2009-07-31  Bob Naugle  <bobbynaugs@gmail.com>

	Fix segfault. Initialize _maxScroll

2009-07-31  Sharad Desai  <ssdesai1@gmail.com>

	Implemented list html tag

2009-07-31  Sharad Desai  <ssdesai1@gmail.com>

	Implemented list html tag

2009-07-31  Si Liu  <liusi_in_lab@hotmail.com>

	Little change and more comments.

2009-07-31  rob@welcomehome.org

	only build generate_amfbins at check time. Fix minor tab/space issues.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make TextField class constructor non-static. As far as I can tell, this is
	safe. This is preliminary to doing the same for almost all constructors.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Modify TextField class init so that it's not static.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Trivial cleanups in TextField.
	
	Make various objects non-static.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make constant enumeration objects non-static, as they are members of Global.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	The pointer isn't unused. It's a character, not a DisplayObject.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Couple of tests.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix compile. Add/enable tests. Clean up a bit.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop ADDED comments and some unneeded includes.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect failure.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add tests for restrict.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Actually test the array assignment. Gnash still fails.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Run tests now that the crash is fixed and expect failures.

2009-07-31  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	_top_visible_line is now called _scroll.

2009-07-30  Bob Naugle  <bobbynaugs@gmail.com>

	Fix compiler warnings

2009-07-30  Sharad Desai  <ssdesai1@gmail.com>

	Modified tabStops property and should now return proper return type

2009-07-30  Sharad Desai  <ssdesai1@gmail.com>

	Modified tabStops property and should now return proper return type

2009-07-30  Bob Naugle  <bobbynaugs@gmail.com>

	AAAAAAND here's the header.

2009-07-30  Bob Naugle  <bobbynaugs@gmail.com>

	TextField.restrict

2009-07-30  Bob Naugle  <bobbynaugs@gmail.com>

	RGBA can parse values from hex string (eg. #FF0000)

2009-07-30  Bob Naugle  <bobbynaugs@gmail.com>

	Use HTML attribute map iterator to reference attribute.
	Start TextField.restrict

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix a bug. Correct some properties for swfdec testsuite passes.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't erase Triggers from the container while they are still being accessed.
	use a flag instead. Fixes a memory error that's been in Gnash at least since
	0.8.5.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passing tests.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get object properties correct.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct Object properties. Add constructor also for VM opcode, though it
	currently doesn't have the correct value.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Register object natives separately. Get registerClass properties correct.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add Object test, notes, more tests.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test AVM2 Object.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups, split long lines.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use deprecated C header. Do use std::make_pair to save extra typing.
	Qualify stdlib functions. Replace DisplayObject with character for messages
	about text.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't pass as_objects by value, or the GC will blow up when it tries to
	delete them. The new code works perfectly well when it's passed by reference.
	
	Drop the unused TextFormat_as member of TextField until there's a need for
	it (it should also be initialized in the ctor and markedReachable
	if it's reintroduced).

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert minor TextField changes because it's changed in trunk.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't run tests for SWF5, as various things weren't available in that
	version.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Run test.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add test for HTML in TextFields (a new file because TextField is too long).

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Change "DisplayObject" to "character" in HTML error messages (it was
	accidentally changed ages ago when renaming the character class).
	
	Use std::make_pair for concision.

2009-07-30  Bob Naugle  <bobbynaugs@gmail.com>

	Case-insensitive HTML parsing.
	HTML <textformat> tag.
	Other HTML fixes.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix enumeration error, allowing StaticText class to be registered and
	silencing that annoying error message on each run.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move CLASS_STATICTEXT in namedStrings enum so that it doesn't end up with the
	same index as a different class.

2009-07-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert Camera class changes until they work with ffmpeg too.

2009-07-29  Ben Limmer  <limmer@colorado.edu>

	updated testsuites and functionality in VideoInputGst.cpp and started working with AS implementation (not final at all)

2009-07-29  Ben Limmer  <limmer@colorado.edu>

	updated testsuites and functionality in VideoInputGst.cpp and started working with AS implementation (not final at all)

2009-07-29  Bob Naugle  <bobbynaugs@gmail.com>

	HTML font tag

2009-07-29  Sharad Desai  <ssdesai1@gmail.com>

	Fixed compiler warnings in TextFormat

2009-07-29  Sharad Desai  <ssdesai1@gmail.com>

	Fixed compiler warnings in TextFormat

2009-07-29  Sharad Desai  <ssdesai1@gmail.com>

	Fixed compiler warnings for TextField and TextFormat

2009-07-29  Sharad Desai  <ssdesai1@gmail.com>

	Fixed compiler warnings for TextField

2009-07-29  Bob Naugle  <bobbynaugs@gmail.com>

	Fix accidental TextField.h revert

2009-07-29  Bob Naugle  <bobbynaugs@gmail.com>

	parseHTML returns tag attributes, as well as indicating whether the tag is self-closing or not

2009-07-29  Sharad Desai  <ssdesai1@gmail.com>

	Implemented tabStops and multiline property in TextField, and some html tags

2009-07-29  Sharad Desai  <ssdesai1@gmail.com>

	Implemented tabStops and multiline property in TextField, and some html tags

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Separate registration of native functions.
	
	Key handling must be moved out of the Key class and put somewhere like
	movie_root so that both Key and Keyboard can access it. This will also
	make the class much simpler.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Register Key natives separately to avoid them being called twice.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert unintentional reversion unintentionally committed. Passes for
	AVM2 Keyboard.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test Keyboard class.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use ObjectURI more.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Construct AVM2Global at a more opportune time.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Register more classes correctly. Use the string table for now, rather than
	adding everything to it.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Reduce code duplication, clean up, use ObjectURI more.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanup.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update straggler.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop Error_as type.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Separate prototype object retrieval from class/object creation for clarity
	and easier refactoring.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename variable.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do extension prototypes as well.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do Point construction properly. Tabs to spaces.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Separate more prototypes.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix Point_as, tabs to spaces.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Part 2: separate prototype retrieval.

2009-07-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Change more as_objects creation.

2009-07-28  Ben Limmer  <limmer@colorado.edu>

	updated testsuites and findcam/mic utilities they should no longer segfault

2009-07-28  Ben Limmer  <limmer@colorado.edu>

	update testsuites and utilities so they don't segfault

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	First stage towards sorting out prototypes and as_objects for a non-singleton
	VM.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect failure.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initialize MovieClip.transform with SWF8 visibility.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add hasOwnProperty for version 5.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test transform property. There is a real SWF, version 7, that assigns a
	property named transform to a MovieClip, and this currently fails.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make variable names consistent for easier sedding.
	
	Fix some problems from last sed run.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use Global_as::createObject().

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove duplicated documentation.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix other people's compiler warnings. Fix testsuite breakages. Expect
	passes in testsuite.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix one last flaky comparison.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tabs to spaces.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Restore doWordWrap() condition, fixing testsuite again.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix signed/unsigned compiler warnings. Use a typedef for clarity and easier
	refactoring. Use size_t when storing sizes, and for all variables that are
	compared to these sizes.
	
	Pass vectors by const reference. Don't reimplement vector assignment; just
	use operator=().
	
	Limit line length to 80 characters.
	
	Fix compiler warnings about initialization order. These should have been
	fixed before the original commit.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix undefined behaviour by returning a value from non-void functions. The
	compiler warned about these, so they should have been fixed.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use operator= for assigning to vectors. Also fixes compiler warning by
	removing unsigned/signed comparison.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove odd characters from testcase.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect passes in haxe.

2009-07-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expect passes in TextFormat.

2009-07-27  Sharad Desai  <ssdesai1@gmail.com>

	Fixed TextField password property

2009-07-27  Sharad Desai  <ssdesai1@gmail.com>

	Fixed TextField password property

2009-07-27  Ben Limmer  <limmer@colorado.edu>

	fixed problem with initialization of data::data() in findwebcams utility

2009-07-27  Bob Naugle  <bobbynaugs@gmail.com>

	Whoops, almost forgot the edited makefile.am

2009-07-27  Bob Naugle  <bobbynaugs@gmail.com>

	A few more SWF Tag loader stubs.

2009-07-27  Sharad Desai  <ssdesai1@gmail.com>

	Implemented TextField password, bullet, display properties

2009-07-27  Sharad Desai  <ssdesai1@gmail.com>

	Implemented TextField password, bullet, display properties

2009-07-27  Ben Limmer  <limmer@colorado.edu>

	fixed VideoInputGst so make check doesn't fail

2009-07-27  Ben Limmer  <limmer@colorado.edu>

	updated VideoInput files to support breaking bin links and updated videotest file

2009-07-27  Ben Limmer  <limmer@colorado.edu>

	updated VideoInput files to support breaking bin links and updated videotest file

2009-07-27  Ben Limmer  <limmer@colorado.edu>

	updated Audio and Video input cpp files and test suites

2009-07-27  Ben Limmer  <limmer@colorado.edu>

	updated Audio and Video input cpp files and test suites

2009-07-24  Si Liu  <liusi_in_lab@hotmail.com>

	Testing

2009-07-24  rob@welcomehome.org

	clean up configuration of Gstreamer, and build with the renamed config variables.

2009-07-24  Si Liu  <liusi_in_lab@hotmail.com> 

	The segmentation problems have been fixed.
	The type boost have been commented out.
	All the codes have been tested for different platforms.
	Now these codes should work for both 32 and 64 bits platform.

2009-07-24  Jon Crider  <jon.crider@gmail.com>

	Removed un-needed debug statement

2009-07-24  Si Liu  <liusi_in_lab@hotmail.com> 

	Comment out the unnecessary staff right now.

2009-07-23  Ben Limmer  <limmer@colorado.edu>

	updated the audio and video input testcases and the findwebcams utility

2009-07-23  Ben Limmer  <limmer@colorado.edu>

	updated the audio and video input testcases and the findwebcams utility

2009-07-23  Si Liu  <liusi_in_lab@hotmail.com> 

	Fixed the segmentation faults in lcshm and localconnection

2009-07-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix undefined behaviour and compiler warning. Add proper tests, correct
	behaviour.

2009-07-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge LC build fix.

2009-07-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use an uninitialized variable in System.security.allowDomain (the
	compiler warns about this too). Implement according to tests rather than
	guessing.

2009-07-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test allowDomain properly.

2009-07-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't cast pointers to unsigned int for logging. Besides being unnecessary,
	it is the wrong size for many platforms.

2009-07-22  Ben Limmer  <limmer@colorado.edu>

	updated VideoInput testcase

2009-07-22  Ben Limmer  <limmer@colorado.edu>

	updated Video and audioinput testcases

2009-07-22  Bob Naugle  <bobbynaugs@gmail.com>

	Added some HTML support for <b>(bold) <i>(italic) and <u>(underline), but it still doesn't fully conform to pp behavior. Namely, when to format and when to just ignore tags and such...

2009-07-22  Si Liu  <liusi_in_lab@hotmail.com> 

	Shared memory class!
	Not completed yet!

2009-07-22  Si Liu  <liusi_in_lab@hotmail.com> 

	Shared memory

2009-07-22  Andrea Palmat?  <andrea@amigasoft.net>

	Changes to AmigaOS4 gui files to respect latest updates

2009-07-22  Ben Limmer  <limmer@colorado.edu>

	made base implementation of AudioInputGst and a sample testcase

2009-07-22  Ben Limmer  <limmer@colorado.edu>

	made base implementation of AudioInputGst and sample testcase

2009-07-22  rob@welcomehome.org

	include cygnalrc.in in dist tarballs to keep distcheck happy.

2009-07-21  rob@welcomehome.org

	merge from branch.

2009-07-21  rob@welcomehome.org

	set client SSL mode in the right place to actually be able to write data. Use the RC settings for finding SSL certificates.

2009-07-21  Jon Crider  <jon.crider@gmail.com>

	Increased robustness of showMenu, added test cases. Added test cases for rc file option

2009-07-21  Jon Crider  <jon.crider@gmail.com>

	changes to Stage.showMenu code, test cases added

2009-07-21  Jon Crider  <jon.crider@gmail.com>

	merged from trunk

2009-07-21  rob@welcomehome.org

	replace tab with single space.

2009-07-21  Bob Naugle  <bobbynaugs@gmail.com>

	Changes to TextField:
	- Fixed error in DeviceFontTest and EmbeddedFontTest (they are now just as broken as they were before I broke them)
	- BBC test swf is back to gnash-normal

2009-07-21  rob@welcomehome.org

	merge from branch. add working SSL support for client and server.

2009-07-21  rob@welcomehome.org

	add client and server side config settings for SSL support.

2009-07-21  rob@welcomehome.org

	test new SSL config file options.

2009-07-21  rob@welcomehome.org

	add new SSL options

2009-07-21  rob@welcomehome.org

	install the new default Cygnal config file.

2009-07-21  rob@welcomehome.org

	add SSL options to the default config file.

2009-07-21  rob@welcomehome.org

	add default Cygnal config file.

2009-07-21  rob@welcomehome.org

	merge from trunk

2009-07-21  Jon Crider  <jon.crider@gmail.com>

	Implemented Stage.showMenu -
	Currently gnash ignores any changes to the showMenu property unless the option
	'ignoreShowMenu' is set to false in the gnashrc file. The default for this
	option is 'true'. I still need to add this option to the default gnashrc file,
	and add it to the documentation. If 'ignoreShowMenu' is set to false, an
	abbreviated context (right click) menu will be shown instead of gnash's full
	menu. This abbreviated menu is similar to pp's menu in this case.
	
	As per the discussion on the gnash-dev mailing list, this option will be
	ignored by default.

2009-07-21  Jon Crider  <jon.crider@gmail.com>

	Finished implementation of showMenu. Only works in gtk. Must add 'set ignoreShowMenu' to gnashrc file.

2009-07-15  Jon Crider  <jon.crider@gmail.com>

	Merged from trunk

2009-07-15  Jon Crider  <jon.crider@gmail.com>

	Begin implementing Stage.showMenu. Added property _showMenu to movie_root.h/.cpp. Added haxe test cases to get and set showMenu property. Still need to implement gui changes to complete implementation.

2009-07-21  Si Liu  <liusi_in_lab@hotmail.com> 

	Shared memory class.
	Rewrite the connect and send function, which will be used in localconnection.

2009-07-21  Si Liu  <liusi_in_lab@hotmail.com> 

	Latest LocalConnection_as.cpp and LocalConnection_as.h by July 21, 2009.
	The connect and send functions have been moved  to the upper level.
	The send function is implemented, but still does not work for some test cases.
	More work to be done here!

2009-07-20  Ben Limmer  <limmer@colorado.edu>

	fixed problem with detecting microphone monitors as sources

2009-07-20  rob@welcomehome.org

	merge from branch.

2009-07-20  rob@welcomehome.org

	get server side SSL connections working.

2009-07-18  rob@welcomehome.org

	use the correct port if it's been previously set.

2009-07-17  rob@welcomehome.org

	merge from trunk.

2009-07-17  rob@welcomehome.org

	start adding server side support.

2009-07-15  rob@welcomehome.org

	Add support for using SSH channels.

2009-07-15  rob@welcomehome.org

	Add initial support to test the server functions too.
	Add channel test cases.

2009-07-15  rob@welcomehome.org

	add support for kdbint().

2009-07-15  rob@welcomehome.org

	add SSH and SSL server support files.

2009-07-15  rob@welcomehome.org

	stubs for server side support of SSH and SSL connections.

2009-07-20  Ben Limmer  <limmer@colorado.edu>

	added a utility to enumerate attached microphones for use with gnashrc file

2009-07-20  Sandro Santilli  <strk@keybit.net>

	Add an onUnload handler to the character just being unloadMovie'd. This exposes an assertion failure in DisplayList::display. The 'unload' button is not clicked by the test runner so this shouldn't stop 'make check'.

2009-07-20  John Wimer  <john@god.vtic.net>

	Fix opengl renderer builds. Only gtk and kde4 are tested.

2009-07-20  Ben Limmer  <limmer@colorado.edu>

	fixed VideoInput testcase to conform to new naming conventions

2009-07-20  Bob Naugle  <bobbynaugs@gmail.com>

	Changes to TextField:
	- New recursive method for inserting text will allow for HTML tags
	- Early code for HTML

2009-07-18  Sandro Santilli  <strk@keybit.net>

	Add manual test for unloadMovie. Looks interesting, but isn't automated.

2009-07-18  Sandro Santilli  <strk@keybit.net>

	Don't limit getBounds/unloadMovie testing to SWF8 for no reason

2009-07-18  Sandro Santilli  <strk@keybit.net>

	findwebcams depends on GST, don't try to build when FFMPEG is selected (would fail)

2009-07-17  Ben Limmer  <limmer@colorado.edu>

	brought VideoInput and findwebcam files up to coding style requirements

2009-07-17  Ben Limmer  <limmer@colorado.edu>

	added a utility that helps set default webcam in gnashrc file for use with VideoInput

2009-07-17  John Wimer  <john@god.vtic.net>

	Fix cairo build by providing forward definition and some code formatting cleanup

2009-07-17  John Wimer  <john@god.vtic.net>

	Move Renderer_cairo class definition to the header file.
	This allowed the helper classes to have a reference to the renderer class, which was needed for generating bitmap info.

2009-07-16  Sandro Santilli  <strk@keybit.net>

	test_videoinput.cpp is highly dependent on GST media handler, don't try to build when FFMPEG is selected instead (won't build)

2009-07-16  Ben Limmer  <limmer@colorado.edu>

	fixed segfault problem when running the test_videoinput testcase with videotestsrc

2009-07-16  rob@welcomehome.org

	test for the shared memory key value.

2009-07-16  rob@welcomehome.org

	add more values that were failing in the real world.

2009-07-16  Andrea Palmat?  <andrea@amigasoft.net>

	Fixed a compilation problem. Replaced size_t with unsigned long

2009-07-16  Ben Limmer  <ben@l1m5-ubuntu>

	added basic gstreamer support for VideoInput and a VERY minimal testcase

2009-07-16  Ben Limmer  <ben@l1m5-ubuntu>

	added basic gstreamer support for VideoInput and a VERY minimal testcase

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix an assertion failure I added to check a signed/unsigned comparison.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix abort in movie_root.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement createObject() functions. Use them in a couple of places.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add createObject() functions to Global_as.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unused files.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop header headers.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass an ObjectURI to all init methods. This makes them more flexible in
	that the callers (generally the Global objects) decide the name and namespace
	of the created object. AS3 objects such as SimpleButton and XMLDocument with
	different names, and most others with different namespaces, need this
	functionality.
	
	It also introduces a possibility of identifying prototypes for central
	registration, but I'm still not sure why this should be necessary.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix testsuite.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix last errors and warnings.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix more functions.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Packages are AS2. AS2 has no namespaces. Revert changes made during
	brain attack.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update more functions.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Some more, and fix filters.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update another load.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update one load of class init functions to use the ObjectURI passed in.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename as_prop_flags to PropFlags. Add DefaultFlags constant to as_object
	to make code more concise. Most classes are going to need this constant
	in order to use the namespace argument of init_member.
	
	Move ctors to the top of as_object.cpp. Define constant.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass the ObjectURI to all init functions. Callers now control where the
	created class is attached.

2009-07-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update documentation
	
	Introduce ObjectURI. This will be passed to initialization functions to
	specify their name. It is designed to be changed easily if new demands arise.

2009-07-15  Bob Naugle  <bobbynaugs@gmail.com>

	more improvements to TextField. Allowances for multiple TextRecords on same line. MemCheck clean (i think). Lines display and scroll correctly.
	
	known issues:
	- noticed slight incorrect behavior with PGUP/PGDN

2009-07-15  Si Liu  <liusi_in_lab@hotmail.com> 

	RunInfo is changed into RunResources.

2009-07-15  Si Liu  <liusi_in_lab@hotmail.com> 

	Not fully completed.

2009-07-15  Jon Crider  <jon.crider@gmail.com>

	Fixed allowDomain for flash8 so that it now returns a boolean. Updated System test cases to include changes to allowDomain and fix minor problems throughout.

2009-07-15  Jon Crider  <jon.crider@gmail.com>

	updated test cases for allowDomain

2009-07-15  Jon Crider  <jon.crider@gmail.com>

	merged from trunk

2009-07-15  Jon Crider  <jon.crider@gmail.com>

	merged from trunk

2009-07-15  Jon Crider  <jon.crider@gmail.com>

	Fixing allowDomain() to return a boolean

2009-07-15  Bob Naugle  <bobbynaugs@gmail.com>

	Some fixes to TextField.cpp and changes to misc-haxe.all/classes.all/DejaGnu.hx to show test output in gnash/gflashplayer window

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add some basic TextField display tests with automatic testing of AS
	properties (but still not very useful for testing what it looks like).

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Run font tests.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add embedded font test.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add automatic tests to DeviceFontTest.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass Global_as to some as_object ctors.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Create an as_object ctor taking a Global_as reference and pass this from
	as_function.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make as_function take a Global_as reference in its constructor. Pass this
	from all subclasses.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Take Global_as ref in builtin_function's ctor.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix all compiler warnings in libcore except those in TextField (which it
	would also be a good idea to fix).

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More warnings.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix warnings that sed missed.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix compiler warnings.
	
	Always pass as Global_as to to_object(). Drop more direct use of
	builtin_function.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix more compiler warnings.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix all the unused parameter warnings for as_object& o.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Take a Global_as in to_object() to start with.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix signed / unsigned warning.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove almost the last direct uses of builtin_function.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Allow use of instanceOf(0) without crashing. It is surely a legitimate
	call in AS, and saves having to check every time.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more direct use of builtin_function.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't initialize constructor in ClassHierarchy for extensions either.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use Global_as for builtin_function.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use Global_as for builtin_function.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Neither action_buffer nor as_environment are optional for swf_function, despite
	what the documentation says. Change the docs, clean up, and make them
	into references.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up Transform_as, drop duplicated (and unused) class creation.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Look up Point class in environment.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop other stuff from headers.

2009-07-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't expose AS constructors outside the class. This was designed to mimic
	AS behaviour without C++ types by returning the original constructor, but
	in fact ActionScript is even less fussy and looks them up by name, even
	if they have changed.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Deal with string natives properly. Don't include things unnecessarily in
	Global_as.h. Initialize string class without statics.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Really fix testsuite.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix testsuite.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update extensions.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass object to all to_object() calls.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass an object to most to_object() calls.

2009-07-14  Jon Crider  <jon.crider@gmail.com>

	Moved data structure into anonymous namespace where it should have been in the first place.

2009-07-14  Jon Crider  <jon.crider@gmail.com>

	Move data structure into anonymous namespace

2009-07-14  Ben Limmer  <ben@l1m5-ubuntu>

	adding gnashrc support for webcam device selection (this is a prototype and will most likely be changed with the final implementation to allow selection based on device name or location)

2009-07-14  Bob Naugle  <bobbynaugs@gmail.com>

	Fixed invalid write

2009-07-14  Bob Naugle  <bobbynaugs@gmail.com>

	late fixes to TextField:
	- fixed segfault caused by early break in format_text when lines overflow
	- fixed stall when TextField is too small for any lines
	- no longer recalculates bounds when no text is present
	known issues:
	- gnash still segfaults after test when test uses TextField (my apologies, fixing now)

2009-07-14  Jon Crider  <jon.crider@gmail.com>

	Implemented System_security_allowDomain. Added vector data structures and accessor functions to System_as.cpp to store domain name strings for allowing data access to swf's. This currently does nothing in gnash since we don't deal with inter-swf access in the same way as Adobe.
	Added unit tests to testsuite/network.all to test these new functions. This test probably doesn't need to go here but the structure of the Makefile was such that it was easy to add it in here (as per Rob's suggestion).

2009-07-14  Jon Crider  <jon.crider@gmail.com>

	Merged from trunk

2009-07-14  Jon Crider  <jon.crider@gmail.com>

	working on unit test for system.security.allowDomain()

2009-07-02  Jon Crider  <jon.crider@gmail.com>

	merged from trunk

2009-07-02  Jon Crider  <jon.crider@gmail.com>

	implemented System.security.allowDomain(). Added new data structure to support allowDomain. This structure is not currently being used anywhere else.

2009-07-14  Bob Naugle  <bobbynaugs@gmail.com>

	Update to TextField:
	Better cursor positioning
	Implemented HOME/END, PGUP/PGDN, and UP/DOWN keys
	Some scroll functionality
	Known issues:
	insertion of newline at end of visible lines with trailing glyphs does not immediately display trailing glyphs
	UP/DOWN keys use glyph counts as position, should use x-coordinate
	UP/DOWN keys do not remember the line position you started from, they are reset every time
	Still to come:
	Mouse event handlers
	Selection functionality

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tidy up.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Attempt a blind fix of kde3, as no one else seems to care enough to try.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop double semi-colons introduced by mistake (not all of them were mine
	though).

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Major refactoring to help AS3 and get towards a reentrant VM.
	
	Replace over 1000 calls to the builtin_function ctor with
	Global_as::createFunction and Global_as::createClass, so that we can change
	the ctor to take almost any argument (as long as Global_as can access it)
	by changing a few lines instead of all uses.
	
	This also makes implementing the AS3 constructors correctly into a single
	central change rather than editing each class separately.
	
	The Global_as base class, not the VM, will serve as the point of reference
	for ActionScript, because it is designed to work for both VM versions.
	
	The flash.display classes are still not finished as they require a bit more
	attention. The basic classes needed by as_value (String, Boolean, Number,
	Object) also do not use the Global_as functions because as_value has
	no access to the necessary resources.
	
	Replace usage of member functions for as_object, fn_call and as_environment
	with non-member, non-friend functions. This has the same purpose, namely
	allowing refactoring by touching a small number of functions instead of
	several hundred separate places.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix some straggling classes.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve some more ugliness.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix the constant classes, get the rest of the abominable filter classes
	to build somehow.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Gut two constant classes.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more unused variables.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop another one.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop most unused Global_as* variables.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop a few more.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix array, drop more new builtin_function calls.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix AsBroadcaster, remove duplicated files annoyingly left around.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor changes to Array.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More use of Global_as functions.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove more builtin_function ctor calls.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use the Global_as createClass function to get almost all global
	class constructors. A small number of classes that do things slightly
	differently still use the old way.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Until everything is untangle we still get the global object from the VM,
	so don't initialize Global classes until the VM has a global object.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Finally fix builf again.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More compile errors.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Include Global_as.h where necessary, fix some compile errors.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get the global object in most interface functions (and many places where
	it's not needed).

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use the Global_as function creation (won't yet compile).

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make factory functions for AS functions and classes in the Global_as objects.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add Global_as. Drop qualification of getVM().

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't introduce _global member yet.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initialize the _global member of VM.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More Global_as includes.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Hide the VM-specific Global implementations. Use the abstract Global_as as
	the base class for Global objects.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename getVM() to vm() and make sure it's really not used directly.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix swfc testsuite.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix ming test runners.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix testsuite.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert bogus change to gnash-view.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get the correct SWF version for MovieClip.

2009-07-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make all access to VM, string_table, movie_root, and RunResources happen
	through non-member, non-friend functions as preparation for refactoring
	(and generally making such changes easier). The three classes that
	provide access to those are: fn_call, as_environment, and as_object.
	
	Make as_object constructors explicit when they take a prototype, or the
	compiler allows passing pointers to functions that have a ref-to-const
	argument. That causes disasters.

2009-07-13  rob@welcomehome.org

	add initial SSH support with test case.

2009-07-13  rob@welcomehome.org

	make SSH support minimally functional.

2009-07-13  rob@welcomehome.org

	add SSH test case that sucessfully makes an SSH client side connection to a server.

2009-07-13  rob@welcomehome.org

	fix typo in option.

2009-07-12  rob@welcomehome.org

	use the correct variables.

2009-07-12  rob@welcomehome.org

	add a SSH testc

2009-07-12  rob@welcomehome.org

	build with optional SSH and SSL support.

2009-07-12  rob@welcomehome.org

	add initial SSH support files

2009-07-12  rob@welcomehome.org

	add initial SSH support, improved SSLsupport.

2009-07-12  rob@welcomehome.org

	add initial SSH client support.

2009-07-12  rob@welcomehome.org

	add --enable-ssh option and flags.

2009-07-12  rob@welcomehome.org

	build sshclient

2009-07-13  Ben Limmer  <ben@l1m5-ubuntu>

	added stubs for camera and microphone implementation

2009-07-13  Ben Limmer  <ben@l1m5-ubuntu>

	added stubs for camera and microphone implementations

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement SWF-defined autosize for TextFields.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use definition autosize information.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Default text height is 12 pixels (240 twips), not 1. This is used when
	there is no font associated with the TextField.
	
	Expose autosize information.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop override of virtual function.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make the renderer no longer a singleton. It is now part of the RunResources
	for a single Gnash run, and must be set before parsing.
	
	Rename RunInfo to RunResources to reflect what it does.
	
	Most complications arise from the use of BitmapInfos stored in the
	renderers. Without these, there would be no need to use the renderer during
	parsing, and it could theoretically be passed to movie_root::display()
	and externally owned. However, as AS from SWF version 8 needs a renderer
	to draw to an internal buffer (not necessarily the same one as the main
	renderer), it also makes sense to have it in the RunResources.
	
	This will break GUIs that I can't test, and others are only provisionally
	changed so that they compile and run. Updates from their authors are
	welcome. The depth parameter to GUIs is replaced with the RunInfo reference.
	This removes functionality from the SDL gui (though the bit depth parameter
	passed to all Guis and used only in the SDL one is hard-coded in Player.cpp and
	never changed). It can be restored either using an environment
	variable (preferred) or adding the bit depth to the RunResources.
	
	It should be relatively easy to select the renderer at runtime now.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix testsuite.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Allow creation of BitmapMovies with no bitmap (this can happen if no
	renderer is supplied).

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't rename getTextRunInfo to getTextRunResources, though.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't initialize Gui until the RunInfo is populated.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test one.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename runInfo to runResources.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Forward declaration.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use _renderer member.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename RunInfo to RunResources.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cleanup the TestingRenderer code.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Const correct...

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop render.h include, move code to backend for new ProxyRenderer.

2009-07-13  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix OGL build.

2009-07-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get the agg renderer to build.

2009-07-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass RunInfo to more tags when parsing.

2009-07-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up headers.

2009-07-11  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use renderer singleton in parsing.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Really fix the testsuite.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix testsuite, don't crash when there's no renderer.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix some last build problems, rename render_handler to Renderer.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass render_handler to all display() functions. Fake a non-singleton
	render_handler in RunInfo (should be relatively easy to make genuinely
	reentrant).

2009-07-11  rob@welcomehome.org

	add headers to noinst_HEADERS to keep distcheck happy.

2009-07-11  rob@welcomehome.org

	add network.all to SUBDIRS_DIST, not EXTRA_DIST.

2009-07-10  Sharad Desai  <ssdesai1@gmail.com>

	Created ASnative_as.hx and migrated mings cases to haXe

2009-07-10  Sharad Desai  <ssdesai1@gmail.com>

	Created ASnative_as.hx and migrated mings cases to haXe

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement ContextMenuItem.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passes in swfdec testsuite.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passing tests.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement copy().

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get more test passes.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passing tests.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement ContextMenuItem.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test onSelect property.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Declare ContextMenuItem class for both AS3 and AS2, where it has been
	unaccountably missing.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Read PNG and GIF data in DefineBits tags for all SWF versions (manually
	tested), fixing bug #26994. Pre-process bitmap data with alpha for RGBA
	images, fixing bad display of some images with transparency.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Process alpha in all native RGBA images (only PNG and GIF) like we do for
	JPEGS when alpha data is merged.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use std::copy.

2009-07-10  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement reading PNG and GIF data in DefineBits tags (fixes bug #26994).

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Register AS3 class Bitmap.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	AS implementation of most of ContextMenu.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update comments.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do a partial implementation of copy, which is enough to pass the swfdec
	tests but not actionscript.all.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Totals and xcheck.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add more tests for copying customItems.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make a deep copy of values when they are objects.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test more.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass copy tests.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop ContextMenu_as class.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass hideBuiltInItems tests, not yet copy property.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test copy().

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passes in swfdec.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update totals.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	It doesn't even need a builtInItems object.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Check that ContextMenu.hideBuiltInItems isn't fussy.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passing tests.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement more of ContextMenu AS interface correctly.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove the cruft from ContextMenu.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve tests for ContextMenu and ContextMenuItem.
	
	Minor cleanup, minor fix.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Also fails totals because of builtInItems property.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	xcheck for Gnash fails.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	The ContextMenu constructor is not hidden in version 5.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test ContextMenu and ContextMenuItem properly.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make message more accurate.

2009-07-09  Sandro Santilli  <strk@keybit.net>

	Test that TextField.multiline is always converted to boolean on set

2009-07-09  Sandro Santilli  <strk@keybit.net>

	Log unimplemented ContextMenu methods only once

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get enumeration more correct. Fixes bug #19926 and passes new tests.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't enumerate unnamed "non-properties" (MovieClip displaylist members).

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanup.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Also don't enumerate the constructor property.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	The __constructor__ property also shouldn't be enumerated in MovieClips.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cut some unnecessary syntax.

2009-07-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Check enumeration of custom MovieClip class properties.

2009-07-09  Markus Gothe  <nietzsche@lysator.liu.se>

	Clean up

2009-07-09  Markus Gothe  <nietzsche@lysator.liu.se>

	bundling is dependent of the aqua-gnash binary

2009-07-08  Jon Crider  <jon.crider@gmail.com>

	Minor fix to get Rectangle test case to compile and run

2009-07-08  Jon Crider  <jon.crider@gmail.com>

	fixed Rectangle haxe test so that it compiles and passes all tests

2009-07-08  Jon Crider  <jon.crider@gmail.com>

	merged from trunk

2009-07-08  Jon Crider  <jon.crider@gmail.com>

	finished migrating Boolean class test cases

2009-07-08  Jon Crider  <jon.crider@gmail.com>

	finsished migrating Boolean test cases

2009-07-08  Sandro Santilli  <strk@keybit.net>

	I've manually tested that moveTo() still closes a fill up when moving to where it is already. Sorry, no automated testcase for this so will break again later ...

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve compatibility of device font rendering: get the size right, the
	position generally (but not always) correct, but not the bounds of the
	rendered text, which still needs doing.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Device fonts are always solid.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up a bit more.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct for y scale.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve tests.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix the size and position of device fonts, but not the display bounds.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add bounding boxes.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add test showing device font behaviour.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add DeviceFontTest to Makefile.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add non-automated test for device fonts.

2009-07-08  Sandro Santilli  <strk@keybit.net>

	xcheck -> check

2009-07-08  Sandro Santilli  <strk@keybit.net>

	first pass at drawing api fixes, 6 XPASS, no failures

2009-07-07  Sandro Santilli  <strk@keybit.net>

	Don't close a path on endFill if no fill is in effect; reset cursor coordinate when closing a path.

2009-07-07  Sandro Santilli  <strk@keybit.net>

	beginFill() with no arg should be a no-op

2009-07-08  Sandro Santilli  <strk@keybit.net>

	Expect the hitTest in blue fill of shape 6 (page 3) to succeed, matching rendering. This is *sometimes* compatible with pp9.

2009-07-08  Sandro Santilli  <strk@keybit.net>

	Add compatibility note for a test failing with pp 9 and succeeding with pp 10

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't abort for malformed SWFs.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Allow ParserExceptions to be caught by outer catchers when it means a
	stream reading failure. Prevent aborts due to unhandled exceptions for
	malformed SWFs.

2009-07-08  Markus Gothe  <nietzsche@lysator.liu.se>

	I give up on this...

2009-07-08  Markus Gothe  <nietzsche@lysator.liu.se>

	Always build allstatic for aqua

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More drawing API tests.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add pixel checking.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	xcheck.

2009-07-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add more tests to DrawingApiTest.as

2009-07-08  Markus Gothe  <nietzsche@lysator.liu.se>

	Always build allstatic for aqua

2009-07-08  Markus Gothe  <nietzsche@lysator.liu.se>

	Updated copyright

2009-07-08  Markus Gothe  <nietzsche@lysator.liu.se>

	Since we build aqua-gnash static .libs are empty

2009-07-08  Markus Gothe  <nietzsche@lysator.liu.se>

	Always build allstatic for aqua

2009-07-07  Sandro Santilli  <strk@keybit.net>

	Add note about test failing with pp 10

2009-07-07  Sandro Santilli  <strk@keybit.net>

	Add comment above draw of a shape with expected auto-close on endFill

2009-07-07  Sandro Santilli  <strk@keybit.net>

	Sound.duration passes when a media handler is compiled in

2009-07-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add named instances as button members. Fixes bug #24467.
	
	Add basic test for enumerable button members (needs improvement).

2009-07-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add a simple, not really self-contained test for button instance properties.

2009-07-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add and remove named instances as enumerable properties. Fixes bug #24467.

2009-07-07  Markus Gothe  <nietzsche@lysator.liu.se>

	Added preformatted variant of man-page

2009-07-07  Markus Gothe  <nietzsche@lysator.liu.se>

	Added stub man-page for rtmpget, take 2

2009-07-07  Markus Gothe  <nietzsche@lysator.liu.se>

	Added stub man-page for rtmpget

2009-07-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test line styles in drawing API, where Gnash fails miserably.

2009-07-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make line colours easier to distinguish and add pixel checking to the
	test runner.

2009-07-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add test for Gnash's line style failure to DrawingApiTest (drawing 3).

2009-07-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do a swfmill version check to avoid bogus failures in the testsuite.

2009-07-07  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Check swfmill version, log it, warn if it's too low when building AVM2,
	and don't run AS3 tests when swfmill doesn't support it.

2009-07-07  Markus Gothe  <nietzsche@lysator.liu.se>

	DSOEXPORT-attrib

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Prevent a crash in AS3 TextFields (without giving a real fix).

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix namespace lookups.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Error is in the global, not flash.errors namespace.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test passes now.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Yes, push constructed property.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use the namespace too when looking up properties to construct, instead of
	using the first matching object name. Fixes as3compile.all/lookup.swf,
	hopefully for everyone.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more unused things.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more unused things.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unused classes headers.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Another test.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	AS3 classes are not functions, but become global objects with a constructor
	function. Implement MovieClip more like this (it may be more correct to
	use the MovieClip prototype object) as an example; more testing and
	improvement is needed before this is done everywhere.
	
	CONSTRUCTSUPER now looks for the constructor function, which fixes behaviour
	for built-in class. Eventually CONSTRUCTSUPER and CONSTRUCTPROP opcodes
	should only do this, and not expect properties to be a constructor function
	at all.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test passes.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests for MovieClip.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make AS3 MovieClip class a prototype object with ctor, not a function.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop all the unnecessary stuff from Keyboard_as.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use VM singleton unnecessarily.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop debugging.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up, comment.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Check inheritance from built-in MovieClip class.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename variables.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	The Machine has no as_environment::ScopeStack any more.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unused and obsolete functions.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passing inheritance tests, some new tests.

2009-07-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Object prototypes appear never to be functions in AS3 (unlike AS2), so
	always use the constructor property in CONSTRUCTSUPER.

2009-07-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Construct a MovieClip when asked to; passes some tests in as3compile.all.
	
	Add all flash.text AS3 classes to ClassHierarchy except TextColor, which
	isn't stubbed and conflicts with TextFormat.textColor anyway.

2009-07-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add all text classes to ClassHierarchy.

2009-07-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Allow AS3 creation of MovieClips.

2009-07-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do namespace importing and class lookup properly.

2009-07-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename abc_block to AbcBlock.

2009-07-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add some class documentation to abc_block.

2009-07-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Always use global, not ABC names, for classes. Lookup package (currently
	all non-private) namespaces using the global name, which has the effect
	of "importing" external namespaces into the ABC block.
	
	This makes it possible to look up classes only using the ABC block's 
	resources. It also prevents potential name conflicts when adding classes to
	existing namespaces and makes it easier to locate classes using a global
	name.

2009-07-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move locateClass functions together.

2009-07-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use abc block string pool for logging to make errors clearer.

2009-07-02  Si Liu  <liusi_in_lab@hotmail.com> 

	ming tests for TextSnapshot_as have been transferred by Si.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix non-avm2 build again.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	asNamespace class debugging and cleanup.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add namespace URI to logging.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up, add dump() function for debugging.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up, add alternative lookup method for debugging / testing.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve parse logging.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add a space.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Log constants by name.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove as3-related package code.
	
	Stub QName implementation.
	
	Find properties more successfully in AVM2.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add some more tests for constructor and prototype of QName.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct typo in QName, attach properties to instance not prototype. Passes
	in QName.as.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add QName_as to the flash.am, as asobj/Makefile.am isn't used (but is
	still there...)

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop as3 net and text package code.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop as3 geom package code.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop as3 code from external and filters packages.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop as3 code from display package.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop all non-as2 packages.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop accessibility and desktop packages.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop all as3 code from flash packages; it is bogus.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't build sampler, system, ui, utils or xml packages.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't build printing package.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't build media package.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't build events package.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't build desktop package.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't build accessibility package.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop errors package.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix typo.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add CLASS_QNAME to named strings.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Build QName.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add stubbed QName class.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct comments.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct super types for DisplayObject subclasses.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test some System properties.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move System class properly and remove the old files.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move the three necessary new functions from the supposed new System_as to the
	older and less messy System_as.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Enable some more abc finalization. Clean up.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Store NEEDS_ACTIVATION flag. Check it in NEWACTIVATION opcode.
	
	Clean up abc_function.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop debug logging.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add xchecks.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add test for QName.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use get_member in find_prop_strict, as getMember doesn't distinguish between
	not found and undefined.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Dump namespace in the other dump function too.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add namespace to member dump.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build without avm2.

2009-07-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Non-avm2 build fix.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Mark AVM2 Global as reachable or Gnash will crash.
	
	Declare some more AS3 classes.
	
	Don't execute null ABC blocks.
	
	Correct lookup of built-in classes.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Mark the AVM2 global as reachable.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't try to instantiate classes when there is no ABC block loaded (Machine
	was not initiated, perhaps due to faulty ABC parsing).

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Really don't execute ABC tags that aren't parsed correctly.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Load Event and EventDispatcher classes.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add Event class.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make sure an abc_block exists before using it.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't look in as_environment for objects.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Stop faking classes.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Check a namespace exists before using it. Look in global namespace only
	if it doesn't (not verified).

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Look up global classes properly.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Global is the public namespace 0, not an anonymous one.

2009-07-01  Sandro Santilli  <strk@keybit.net>

	Fix unused variable warning

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Create a separate Global object for each VM. This split means that changing
	one object will no longer cause changes in the other. However, as we still
	mostly use the same objects, changing an object prototype will still
	result in changes to both machines, which is wrong.
	
	The AVM1 Global object no longer has AVM2 objects; the AVM2 one no longer
	has AVM1 objects, but does not yet have all AVM2 objects.
	
	Use ClassHierarchy to register objects. Enable namespace support in
	ClassHierarchy. The package object system is no longer used for AVM2; it
	treated flash and subpackages as objects when they should be namespaces.
	Packages for AS3 (not AS2!) can be removed.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expose ClassHierarchy (hopefully temporarily).

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update comments.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop mIsAS3.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Be stricter about namespaces now that avm1 values are properly declared
	in the global namespace.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct typo.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add more avm2 classes.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add flash.errors namespace. Consistent indentation.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct global properties for avm2 and avm1. Put all avm1 classes in the
	global namespace (adding more wastes memory).
	
	Add correct namespaces for all avm2 classes in the list.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indentation.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop a PROPNAME.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop logging for finding the Object prototype bug.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't pass the Object prototype to declare_{native,extension}_function's
	base ctor (as_function), as this sets Object.prototype.constructor to
	that function on each declaration!
	
	This only worked before because object_class_init was called *after* all the
	classes were declared, thus setting Object.prototype.constructor to the
	correct value.

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	declare_native_function doesn't need to know about extensions.

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initialize Sprite class.

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop logging, remove obsolete comment.

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Create separate AVM1 and AVM2 Global objects, each owned by the respective
	VM and owning its own ClassHierarchy. This is necessary to allow runs with
	mixed VM versions.

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add libltdl as an include (should probably be temporary).

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop ClassHierarchy member as this should be owned by the Global classes.
	Return the appropriate Global class according to VM version.

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get the ClassHierarchy from Machine using an ugly hack (to be improved).

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move class definition up. Correct stubPrototype usage.

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop ClassHierarchy member of Machine; get it from the global object instead.

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Pass ClassHierarchy to asNamespace::stubPrototype() to avoid using VM
	singleton. This could also be avoided by storing a reference to ClassHierarchy
	in asNamespace.

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename some types. Provide a constructor for NativeClass. Move list of
	classes from ClassHierarchy to Global as the available classes depend on
	the global object.
	
	Do not initialize AS3 classes (int, Namespace) for AVM1.

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename Global to AVM1Global. Add documentation about the two global
	objects. Define AVM2Global.

2009-06-30  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initialize the Machine's global object on construction as a precursor to
	using separate global objects for AVM1 and AVM2.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct libbase dependencies for libtool 1.5.x builds, fixing parallel
	builds.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Some loaded / total bytes related fixes.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't replicate interface to class. I don't know why we do this all
	over the place.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	XML tests pass.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	New tests, passes for old expected failures.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use the loadableobject methods for getBytesLoaded, getBytesTotal.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use the loadableobject methods for getBytesLoaded, getBytesTotal.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update _bytesTotal and _bytesLoaded properties after each advance().
	
	Add _bytesTotal and _bytesLoaded members to LoadableObjects (XML, LoadVars)
	on call to load().
	
	Make getBytesTotal() and getBytesLoaded() return the value of the respective
	properties.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence unused parameter warnings.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	NetStream probably does support SSL.

2009-07-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cleanup LoadVars.

2009-06-30  Andrea Palmat?  <andrea@amigasoft.net>

	Add experimental Cairo render to AmigaOS4

2009-06-29  Udo Giacomozzi  <udo.gnu@nova-sys.net>

	Get rid of delay loop because of the new heartbeat interval (correct timing is up to advance() now).
	Make check_mouse() and check_keyboard() return true on activity even if that's completely unnecessary now since there is no delay loop anymore... ;-)

2009-06-29  Udo Giacomozzi  <udo.gnu@nova-sys.net>

	typo

2009-06-29  Udo Giacomozzi  <udo@indunet-srv>

	fixed numeric keypad symbols and NUMLOCK

2009-06-29  Udo Giacomozzi  <udo@indunet-srv>

	Added support for manually defined video codecs. As this is dirty hack, it needs to be enabled by uncommenting a define

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indentation.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indent properly.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor change to as3compile.all testsuite.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop things from Dejagnu now that it only has static methods.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Stop faking classes so that error reporting is more accurate; it's not
	necessary for passing current testcases any more.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve parsing algorithm slightly. Minor cleanups and improved logging.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Comment on return type.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Document semantic of passing 0 to pushArgument.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add note about method return type. Don't fail on unknown return type, as
	Gnash is doing this wrong. Don't fail on unknown parameter type; Gnash may
	not be doing this wrong, but it is unhelpful. Log and continue.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix some segfaults due to executing ABC tags that aren't completely parsed.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Failure to parse classes will leave invalid pointers, which tend to
	cause segfaults. Fixes to class parsing may prevent this situation, or
	resizing the class container on failure, but for now we will not
	execute any ABC block where parsing failed.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename test appropriately.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename scope2 test to stack1 so it reflects what it actually tests.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Go the whole hog with setting Global as the prototype in the absence of
	any testing.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	The last script, not the first, is the entry script. Set all script
	prototypes to global as the apparently most likely implementation; there
	is no easy way of testing it yet.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do slot reservation more correctly. Tests from all as3compile versions should
	now run properly.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make sure Global is the prototype of the entry script. This produces the
	behaviour expected when the entry script is used, though the semantics of
	setting it as a 'prototype' needs thought.
	
	Use reserveSlot instead of init_member where we just want to reserve a slot.
	
	Register member classes with the global name, not the local one.
	
	as3compile tests should now all work.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up logging.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add output operator for Trait::Kind.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop slot hack (now tests fail).
	
	Add more abc block initialization logging information.

2009-06-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Spaces.

2009-06-28  john  <john@acid>

	Add loading of the Cairo glue widget

2009-06-28  john  <john@acid>

	Add support for Kde4 + Cairo

2009-06-28  john  <john@acid>

	Cleanup code by removing unused includes and members

2009-06-28  Andrea Palmat?  <andrea@amigasoft.net>

	Small synchronization audio/video changes

2009-06-28  Andrea Palmat?  <andrea@amigasoft.net>

	Small changes to the audio/video part of AmigaOS4. Now the audio task is killed by the GUI. TODO: a mixing function

2009-06-27  Andrea Palmat?  <andrea@amigasoft.net>

	Adding NotifyDeathMessage to the Audio Task

2009-06-27  Andrea Palmat?  <andrea@amigasoft.net>

	Some AmigaOS4 audio/video changes

2009-06-27  john  <john@acid>

	Correct bit per pixel check

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make AVM2 scope stack and stack usage stricter and more correct by dropping
	left-over items on return from functions, not dropping items before
	entering functions, and using the whole scope stack for lookup.  SafeStack 
	was ideal for this, but wasn't being used correctly.
	
	This also fixes crashes when the VM accessed deleted items that were left in
	the stack after function returns. It also removes the need for some ugly hacks
	in the AVM2 code. It should be possible to clean it up further with
	more testing.
	
	Add limited regression test for stack usage so it doesn't break again.
	
	Add the rest of the infrastructure for trace testing in misc-swfmill.all
	(may be better in its own directory). Fix various errors in the Makefile
	so that all the tests are built, run, and cleaned.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do seek on both types of return instead of in different places or twice.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add the test-runner generator, minor corrections to Makefile so that
	the tests run.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Create and run the test runner.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Passing trace tests.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add a reduced testcase version so that one passes at all for regression
	testing.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Set the stack size correctly, that is dropping left-over items on return
	and restoring the pre-function-call stack.
	
	Push the object to the stack on CONSTRUCTPROP.
	
	This makes the non-automated misc-swfmill.all scope1.swf test work
	(except for tracing an incorrect string for objects and classes) and
	introduces no regressions in the as3compile tests.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop load_function function and do it in executeFunction instead for
	clarity.
	
	Check the stack size in completeName() first so as not to cause
	StackExceptions.
	
	Store and restore stack sizes after executeFunction (not yet using
	saveState()).

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	OpPopStack doesn't exist; it's OpPop and it does cause an error after all.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use the scope stack properly: do not push objects to it for function calls,
	but rather make sure inaccessible elements are usable for lookups, even
	though these elements are invisible to the function scope.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add functions to SafeStack to make 'inaccessible' elements readable. This
	is necessary to implement AVM2 stack behaviour.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't push things to the scope stack ourselves in find_prop_strict; the
	bytecode must take care of that.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add more info to namespaces.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Track whether it's a package namespace.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add more kind constants.

2009-06-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Parse, not debug.

2009-06-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Put classes inside packages.
	
	Add more infrastructure for trace tests.

2009-06-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do the same for function.as

2009-06-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Another attempt at a blind fix for the build problem.

2009-06-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Start new set of tracing tests.

2009-06-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add expected trace for stack and scope stack test.

2009-06-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fixes to tests, new test (without runner) for AVM2 behaviour.

2009-06-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use public classes in packages, fixing a compile failure for earlier
	versions of as3compile.

2009-06-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Run the correct test for as3.

2009-06-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add a low-level test for stack and scope stack behaviour with function
	calls.

2009-06-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Empty line.

2009-06-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-06-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Spaces.

2009-06-24  Bob Naugle  <bobbynaugs@gmail.com>

	Modified DejaGnu.hx to allow for viewing of entire test cases in gflashplayer

2009-06-24  sharad  <sharad@sharad-laptop>

	Migrated ming cases to haXe for ColorTransform and ContextMenu

2009-06-24  sharad  <sharad@sharad-laptop>

	Migrated ming cases to haXe for ColorTransform and ContextMenu

2009-06-23  rob@welcomehome.org

	improve SSL support, add SSL testcase.

2009-06-17  rob@welcomehome.org

	add const when writing arrays.

2009-06-17  rob@welcomehome.org

	initialize an SSL connection, and if SSL is initialized, use it's reading and writing functions for encypted I/O.

2009-06-16  rob@welcomehome.org

	start adding SSL support to the Network class.

2009-06-15  rob@welcomehome.org

	add SSL connection to private data.

2009-06-15  rob@welcomehome.org

	include sys/types.h.

2009-06-15  rob@welcomehome.org

	use a separate class for the network.

2009-06-15  rob@welcomehome.org

	More constants to source file. Don't derive from Network class, Network
	class needs to use SSLCLient internally now.

2009-06-14  rob@welcomehome.org

	add better error handling. Set the bio for the SSL connection correctly.

2009-06-14  rob@welcomehome.org

	add read test.

2009-06-14  rob@welcomehome.org

	Tests most of the connection process, with error handling.

2009-06-14  rob@welcomehome.org

	more improvements, almost works now

2009-06-14  rob@welcomehome.org

	fix value for SSL port.

2009-06-14  rob@welcomehome.org

	add test pem files so we can test certificates.

2009-06-14  rob@welcomehome.org

	add some actual tests.

2009-06-14  rob@welcomehome.org

	add test case for SSL.

2009-06-14  rob@welcomehome.org

	add more private data and accessors tp support SSL.

2009-06-14  rob@welcomehome.org

	add command line options we'll need.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Put some functions where they should be. Fix crash when Gnash fakes things.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use asClass constructor if there isn't one. This happens due
	to a Gnash bug.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Put asMethod functions in asMethod.cpp.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improvement (apparently, at least) to class lookup. Add basic test for
	mixed bytecode version tags (Gnash already had the correct behaviour).
	
	Change swfmill tests so that it does what you write in the xml instead of
	making things up on its own.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get VM from MovieClip, update comments.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Only run AS3 tests when AVM2 is built.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add note about SymbolClassTag.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use swfmill xml2swf instead of swf2xml as the former changes
	character ids from what is specified (may be a bug). Now the
	mixed bytecode as3 test passes; though the pp also worked with
	the incorrect id number.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Log error when parsing SymbolClass tag in AS2 SWF.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop logging.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do class lookup slightly better, which fixes some ad-hoc testcases
	but not yet the swfmill AS3 one.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add two tests containing both AVM1 and AVM2 tags. The tests are
	identical except for the single header flag specifying which AS
	version to use. Check that only the version specified in the header
	is used.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Parse some more values and log them during AVM2 execution.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add some debug logging.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename function to method so as not to confuse abc_function and
	asMethod.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename variable.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Parse method values (stack and scope limits).

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add values for max stack, scope depth and max scope depth.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cosmetic changes.

2009-06-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct annoying typo.

2009-06-23  Andrea Palmat?  <andrea@amigasoft.net>

	Small changes for AmigaOS4 audio and video part. Fixed some keyboard bugs. Now the window is centered like SDL version. Updated the audio part to use same SDL methods

2009-06-22  Jon Crider  <jon.crider@gmail.com>

	Finished migrating array test cases to haxe. There are still some unresolved
	issues. whew! 5000 lines. Also added ability to print out unresolved tests 
	when running the test suite.

2009-06-22  Jon Crider  <jon.crider@gmail.com>

	finsished Array test cases. Added print out of unresolved test to DejaGnu code

2009-06-19  Si Liu  <liusi_in_lab@hotmail.com> 

	Si made more modifications in the following files.

2009-06-19  Sharad Desai  <ssdesai1@gmail.com>

	Migrated ming tests to haXe for XMLSocket

2009-06-19  Sharad Desai  <ssdesai1@gmail.com>

	Migrated ming tests to haXe for XMLSocket

2009-06-19  Andrea Palmat?  <andrea@amigasoft.net>

	Add support for multiple sound handler and not only sdl in configure file. Changed some audio files to support AmigaOS4 AHI audio

2009-06-19  Sharad Desai  <ssdesai1@gmail.com>

	Migrated ming tests to haXe for AsBroadcaster

2009-06-19  Sharad Desai  <ssdesai1@gmail.com>

	Migrated ming tests to haXe for AsBroadcaster

2009-06-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add const SafeStack::top member function for convenience.

2009-06-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Documentation and rename private variables.

2009-06-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	SafeStack needs a const version of top().

2009-06-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop some useless lines.

2009-06-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop duplicated but commented out statements.

2009-06-18  liusi_in_lab@hotmail.com

	Si transferred the ming tests and made more modifications in the following classes.

2009-06-18  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Preparing changes to add AOS4 AHI audio mode

2009-06-18  Jon Crider  <jon.crider@gmail.com>

	migrated more ming test cases in Array to haxe

2009-06-17  Jon Crider  <jon.crider@gmail.com>

	Additions to array testing in haxe

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test Sprite and MovieClip interfaces.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't run as3compile tests for non-avm2 builds.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	stopDrag passes, though not very usefully.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	check->xcheck, totals.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	check->xcheck, add totals.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Run Sprite test.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests for Sprite interface.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Corrections.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Sprite properties.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Run test.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test MovieClip properties.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Stub undocumented AS3 function, drop duplicate declaration.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make the testsuite slightly less irrational and easier to run as3compile
	testcases without all the haxe tests first.
	
	Add more useful AS3 tests.
	
	Fix some low-level bugs with function calling in AVM2.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	One more test, totals.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More function tests.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move classes.all and internal.all to misc-haxe.all, where it is then 
	automatically dependant on haxe being installed, and not first on as3compile.
	
	Rename testsuite/as3 to testsuite/as3compile.all.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	check->xcheck for tests that don't pass yet.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Return undefined on RETURNVOID. Fixes more function calls.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Run test.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test function calls and returns (static and non-static).

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't push return of constructor onto stack.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Log more information about properties called / constructed.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Run test.

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test for classes with the same name (and for function calls).

2009-06-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Handle out-of-bounds pool access, which might conceivably happen with 
	malformed SWFs as well because of Gnash bugs.

2009-06-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-06-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Throw an ASException when the pool is accessed out of range.

2009-06-17  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Check function exists before calling it.

2009-06-17  Ben Limmer  <limmer@colorado.edu>

	ported as3 test for XMLNode from ming

2009-06-17  Ben Limmer  <limmer@colorado.edu>

	ported as3 test for XMLNode from ming

2009-06-17  Ben Limmer  <limmer@colorado.edu>

	removed network.all testcases until we have a server to communicate with

2009-06-17  Sharad Desai  <ssdesai1@gmail.com>

	Migrated ming cases to haXe for Stage

2009-06-17  Sharad Desai  <ssdesai1@gmail.com>

	Migrated ming tests to haXe for Stage

2009-06-17  Ben Limmer  <limmer@colorado.edu>

	reverting changes to NetStream and NetConnect, shouldn't have been committed

2009-06-16  rob@welcomehome.org

	don't build in network.all yet, they require a server.

2009-06-16  Jon Crider  <jon.crider@gmail.com>

	migrating more Array test cases. Strange behavior abounds. Esp. in custom sort functions and iterators

2009-06-16  Jon Crider  <jon.crider@gmail.com>

	Continue migrating Array test cases

2009-06-16  Ben Limmer  <limmer@colorado.edu>

	hopefully this really fixes the build problems

2009-06-16  Ben Limmer  <limmer@colorado.edu>

	fixed build problem from last commit

2009-06-16  Ben Limmer  <limmer@colorado.edu>

	migrated rtmp netstream and netconnect classes from rsavoye's local branch and fixed various test cases in misc-ming.all

2009-06-16  Ben Limmer  <limmer@colorado.edu>

	migrated rtmp netstream and netconnect classes from rsavoye's local branch and fixed various test cases in misc-ming.all

2009-06-16  liusi_in_lab@hotmail.com

	Si:
	Transfered all the ming tests into haxe for flash version less than 9.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Some more tests.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test prototype.

2009-06-16  Sandro Santilli  <strk@keybit.net>

	View.Quality menu for gtk, and support from base class. Note that current quality isn't shown due to a limitation in current menu construction design.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get as3compile testcases to run.
	
	Add extremely hairy but (for most people) correct parsing of doubles. This
	is only used in AVM2 (and was dead wrong before), so no regressions.
	as3/basic.swf is expected to pass now.
	
	as3/class.swf shows various problems with the stack, but also runs.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop #endif too.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests pass.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop the phoney read_d64 version, add one that actually works (but only
	on little-endian machines and without any Standard compliance) in the
	hope that someone can improve it. Fixes failures in double constant
	parsing and the basic.swf tests.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix ref-to-non-const.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct typos.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Always access registers through get/setRegister for easier debugging
	(there is a mess up somewhere).

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Enable reserveSlots by default now that the stack isn't so ruined by
	completeName (though it is still wrong for other reasons).
	
	Both basic.swf and class.swf run now, so are sane tests. Some passes,
	lots of failures due to VM bugs, some due to as_object and asClass bugs.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Only drop object from stack if it is a QName (which is never is right
	now).

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Reserve slots for namespaces (disabled by default).

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Comments.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expose the Global object.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get arguments in the right order.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up and log.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get values the right way round.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Log end of NEWCLASS.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanup.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Include namespace in property lookup.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Complete name.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Some debugging.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More debugging, showing that looking for classes in a namespace is failing.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Re-enable finalize class code, as it doesn't seem to cause any problems.
	
	Do add namespaces to the string table when not found.

2009-06-16  Sandro Santilli  <strk@keybit.net>

	Call clearInterval() and clearTimeout() with no args and check return type. Gnash used to crash on clearInterval()...

2009-06-16  Sandro Santilli  <strk@keybit.net>

	Include what's required for lexical_cast use

2009-06-16  Sandro Santilli  <strk@keybit.net>

	Drop useless include

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Restore reverted log messages and some implementation.
	
	Fix global.setInterval crash.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line breaks.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Restore changes that merge reverted (not very impressive bzr).

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't crash but log error when clearInterval is called with no args.

2009-06-16  Sandro Santilli  <strk@keybit.net>

	Drop left-over member formely used for the bogus addChild implementation

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add an AS3 MovieClip interface. Move the AS functions into 
	flash/display/MovieClip_as.cpp (I'm not sure this is a good idea, as
	MovieClip currently needs access to the interface objects).
	
	Make AVM2 call super constructors somehow (but not necessarily correctly).
	
	Don't return so much on AVM2 failure; break instead.
	
	Drop bogus global addChild functions.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't try creating a MovieClip for now, or it will crash.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Useful debugging.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Get the super class ctor called somehow.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor fix.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence debugging.

2009-06-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add AS3 interface for MovieClip and DisplayObjectContainer.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Logging.

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor fixes.

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add numChildren(), move addChild and addChildAt to where they should be.

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence irritating debugging.

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use different ctors for AS2 and AS3 MovieClips.

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move the MovieClip AS interface to display/MovieClip_as.cpp, leaving the
	implementation where it is.
	
	Start splitting AS3 and AS2 interface.

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make DisplayObjectContainer as_object interface available to other classes
	(for inheritance). Use DisplayObjectContainer class as implementation.

2009-06-15  Bob Naugle  <bobbynaugs@gmail.com>

	Fixed BitmapData haxe test

2009-06-15  Bob Naugle  <bobbynaugs@gmail.com>

	Improved haXe tests, which do a better job of emulating Ming tests. Fixed improperly ported DejaGnu functions (.unresolved, .untested).

2009-06-15  Bob Naugle  <bobbynaugs@gmail.com>

	Fixed more tests

2009-06-15  Bob Naugle  <bobbynaugs@gmail.com>

	Type failures are XFAIL

2009-06-15  Bob Naugle  <bobbynaugs@gmail.com>

	Modified haXe tests. They no longer use Std.is(), which was not behaving as desired. There are some unexpected failures, I left them unexpected because they are type mismatches in the gnash code (I think)

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Extend class tests.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update totals.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Constructor's constructor.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More tests.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build without avm2.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests for constructors.

2009-06-15  Bob Naugle  <bobbynaugs@gmail.com>

	haXe tests no longer use Std.is() as this was not behaving as expected. Any type failures are XFAIL.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests for class construction.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test some class construction.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make dejagnu class use static functions and vars so that it is less
	complicated.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make things more modular. Introduce a MovieFactory, currently with only
	static methods, as it's not yet available where it would be needed as
	an object.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add documentation from old gnash.h to MovieFactory.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop useless include.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename createMovie to makeMovie to avoid annoying name conflict with
	movie_definition::createMovie (makes grepping harder).

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Introduce MovieFactory class, presently with only static methods. Move
	Movie creation functions from gnash.h to the new class.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop more useless includes.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct header guard.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More unnecessry includes.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unnecessary includes of impl.h.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Forward declare RunInfo now it's not included via other headers.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop includes.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop function declarations from gnash.h

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop function declaration from impl.h.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add file.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move MovieLibrary to its own file.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Change the way loaders are added to encapsulate it better.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add a TagLoadersTable to RunInfos.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Put Gnash's default tag loaders in their own file, away from impl.cpp.
	
	Make TagLoadersTable non-static, not a singleton, and for now solely owned
	by RunInfo. Load table on startup (temporarily RunInfo construction) as
	there is no advantage to later initialization.
	
	Clean up includes. Rename loader_function to LoaderFunction and expose
	typedefs from TagLoadersTable.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename swf.h and swf.cpp to match Gnash file naming style.

2009-06-15  Ben Limmer  <limmer@colorado.edu>

	fixed testsuites to workaround haxe std.is() bug

2009-06-15  Sandro Santilli  <strk@keybit.net>

	Hush a couple of too noisy debug messages

2009-06-15  Tomeu Vizoso  <tomeu@sugarlabs.org>

	Link the gtk widget to gtk_glue_agg_xv.cpp when appropriate

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Reintroduce function calls.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Silence warning.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Log super as well.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Put class prototype in register 0, not the Global object.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add missing substitution.

2009-06-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add arguments to fn_call.

2009-06-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Log message.

2009-06-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Enable function call, which doesn't fix anything obvious but should at least
	do something now.

2009-06-14  Sandro Santilli  <strk@keybit.net>

	Put the SKIP_RENDERING_IF_LATE define in the .cpp file, for faster rebuilds while testing

2009-06-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't link libtdl twice. Fixes build on Mandriva.

2009-06-13  rob@welcomehome.org

	fix all deb packaging problems, buid new gtk package.

2009-06-13  rob@welcomehome.org

	install the klask kparts plugins recursively for install-plugins.

2009-06-13  rob@welcomehome.org

	fix all problems building with mingw32 GCC 4.4.

2009-06-13  rob@welcomehome.org

	make sure the apps directory exists before flagging it as an error.

2009-06-13  rob@welcomehome.org

	define the libltdl prototypes ourselves, to work around weird mongw32 linker problem.

2009-06-13  rob@welcomehome.org

	build package for gtk widget.

2009-06-13  rob@welcomehome.org

	take either install-plugin or install-plugins.

2009-06-13  rob@welcomehome.org

	install the gnash-view.h file.

2009-06-13  rob@welcomehome.org

	don't install the internal cygnal library.

2009-06-13  rob@welcomehome.org

	Change how bzrversion gets it's values so it doesn't have to make a connection
	to the repository each time. This speeds up creating the bzrversion 
	considerably, and works better as well if bzr isn't installed.

2009-06-13  rob@welcomehome.org

	use gnashSleep() instead of sleep().

2009-06-12  Jon Crider  <jon.crider@gmail.com>

	Working on array haxe test cases. This is very much complicated by the fact that haxe has it's own implementation of Array which is not necessarily fully compliant with gnash and actionscript. All tests currently compile, but gflashplayer throws errors when running v9 tests. Array_as.hx is not currently included in the Makefile.am and does not build automatically.

2009-06-12  Jon Crider  <jon.crider@gmail.com>

	updated array haxe test case

2009-06-12  rob@welcomehome.org

	don't build the network tests yet till they're fully implemented.

2009-06-12  rob@welcomehome.org

	fix building cygnal package.

2009-06-12  Sandro Santilli  <strk@keybit.net>

	Expect consistency checking for Hello and AddChild tests (the version of HaXe we require now produces bytecode that confuses Gnash's AVM2 a lot!)

2009-06-12  rob@welcomehome.org

	include the System and LocalConnection headers from the new locations.

2009-06-12  Sandro Santilli  <strk@keybit.net>

	Fix attachSound testcase so the instructions match the behaviour

2009-06-12  rob@welcomehome.org

	add cgi-bin to EXTRA_DIST so it always gets included in a dist tarball, even if Cygnal isn't in cgi-bin mode.

2009-06-12  Sharad Desai  <ssdesai1@gmail.com>

	Change to ClassHierarchy.cpp, SharedObject ming cases for v5 all pass...

2009-06-12  Sharad Desai  <ssdesai1@gmail.com>

	Change to ClassHierarchy.cpp, SharedObject ming cases for v5 all pass...

2009-06-12  Ben Limmer  <limmer@colorado.edu>

	Almost completed migration to new naming convention for haxe automake files (filter remains)

2009-06-12  Ben Limmer  <limmer@colorado.edu>

	Almost completed migration to new naming convention for haxe automake files (filter remains)

2009-06-12  Sandro Santilli  <strk@keybit.net>

	Add comments about semantic of the number of samples parameter for sound_handler::fetchSamples

2009-06-12  Sandro Santilli  <strk@keybit.net>

	Move all left-over GNASH_PATH_XXX and GNASH_PKG_FIND calls after the IMPORTANT notice, move the alp gui option handling where it belongs (there's a GUI selection section in the configure.ac file); 

2009-06-12  Sandro Santilli  <strk@keybit.net>

	Don't change cross_compiling *after* it's used (it makes no sense)

2009-06-12  Sandro Santilli  <strk@keybit.net>

	Move GNASH_PKG_FIND call for SSL below the IMPORTANT NOTICE comment block saying something about why GNASH_PATH_* should be called *after* that block.
	Reasons are obscure to me, but it fixes the disappearence of CPP introduced
	by revision 11080. See http://lists.gnu.org/archive/html/gnash-dev/2009-06/index.html (June 12)

2009-06-11  Sharad Desai  <ssdesai1@gmail.com>

	Made modifications in makefiles and deleted unnecessary files

2009-06-11  Sharad Desai  <ssdesai1@gmail.com>

	Made modifications in makefiles and deleted unnecessary files

2009-06-11  Ben Limmer  <limmer@colorado.edu>

	fixed make check build errors (woops)

2009-06-11  Ben Limmer  <limmer@colorado.edu>

	work from today hacking up makefiles to only compile the proper swf tests for the proper versions of flash

2009-06-11  Sharad Desai  <ssdesai1@gmail.com>

	Migrating XMLSocket to new hierarchy...

2009-06-11  Sharad Desai  <ssdesai1@gmail.com>

	Migrating XMLSocket to new hierarchy...

2009-06-11  Sharad Desai  <ssdesai1@gmail.com>

	Migrations for Stage and SharedObject (100% working)

2009-06-11  Sharad Desai  <ssdesai1@gmail.com>

	Migrations for Stage and SharedObject (100% working)

2009-06-11  rob@welcomehome.org

	add the beginnings of SSL support.

2009-06-10  rob@welcomehome.org

	only build ssl files if SSL builds are enabled.

2009-06-10  rob@welcomehome.org

	add initial support for SSL encrypted network connections.

2009-06-10  rob@welcomehome.org

	add constant for SSL port.

2009-06-10  rob@welcomehome.org

	add SSL flags and lib.

2009-06-10  rob@welcomehome.org

	find and dump SSL flags and lib.

2009-06-08  rob@welcomehome.org

	add options to enable SSL, and set thre cert and pem key paths.

2009-06-08  rob@welcomehome.org

	build SSL support.

2009-06-08  rob@welcomehome.org

	add files for SSL support in libnet.

2009-06-11  Ben Limmer  <limmer@colorado.edu>

	completed marking unimplemented features in haxe test cases as xfail. now should have no unexpected failures

2009-06-11  Ben Limmer  <limmer@colorado.edu>

	first of several updates to haxe test cases updated expected failures for unimplemented features

2009-06-11  Jon Crider  <jon.crider@gmail.com>

	Fixed ui.am so autogen doesn't error

2009-06-11  Jon Crider  <jon.crider@gmail.com>

	minor update to makefile

2009-06-11  liusi_in_lab@hotmail.com

	Si:
	Transfer all the ming tests into haxe for system_as.hx

2009-06-11  Jon Crider  <jon.crider@gmail.com>

	Migrated ContextMenu, should pass all ming test now

2009-06-11  Jon Crider  <jon.crider@gmail.com>

	merged from trunk

2009-06-11  Jon Crider  <jon.crider@gmail.com>

	merged ContextMenu

2009-06-09  Jon Crider  <jon.crider@gmail.com>

	migrated ContextMenu, fixed it so that ming test cases pass

2009-06-11  Sandro Santilli  <strk@keybit.net>

	Don't allow multiple sounds to be started while testing inPoint/outPoint so the runner will notice if gnash breaks (would start less sounds if not trimming)

2009-06-11  Sandro Santilli  <strk@keybit.net>

	Add explanation about doubling number of samples

2009-06-11  Tomeu Vizoso  <tomeu@sugarlabs.org>

	Remove pythonmodule and the boost_python dependency

2009-06-11  Sandro Santilli  <strk@keybit.net>

	Don't leak the machine memory

2009-06-11  Sandro Santilli  <strk@keybit.net>

	Fix path to testsuite/gnashrc

2009-06-11  Sandro Santilli  <strk@keybit.net>

	Run the tests with -v so they actually report test results

2009-06-10  Ben Limmer  <limmer@colorado.edu>

	updated haxe contextmenu test to support versions of flash other than flashv9 and >

2009-06-10  Bob Naugle  <bobbynaugs@gmail.com>

	Migrated LocalConnection

2009-06-10  Ben Limmer  <limmer@colorado.edu>

	fixed camera and microphone haxe tests to have the proper expected failures

2009-06-10  Bob Naugle  <bobbynaugs@gmail.com>

	reverted changes (oops)

2009-06-10  Bob Naugle  <bobbynaugs@gmail.com>

	Small change in netclasses.h to help LocalConnection

2009-06-10  Ben Limmer  <limmer@colorado.edu>

	fixed bug that was causing microphone and camera class tests from completing

2009-06-10  Bob Naugle  <bobbynaugs@gmail.com>

	Made some changes to help SharedObject tests

2009-06-10  Sandro Santilli  <strk@keybit.net>

	Automate test for inPoint/outPoint (and loop)

2009-06-10  Tomeu Vizoso  <tomeu@sugarlabs.org>

	Fix typo in the configure help

2009-06-10  Sandro Santilli  <strk@keybit.net>

	Implement inPoint/outPoint and Sound.start(<secs_offset>) for event sounds.
	Drop delaySeek implementation as it proved wrong (http://wiki.gnashdev.org/MP3_Sound_tags#Embedded_Event_sounds).
	NOTE: there's no automated test yet so please try not to break it.
	I'll try to work on extending the eventSoundTest1

2009-06-10  Sandro Santilli  <strk@keybit.net>

	Make visual output more terse to have space for adding more tests. Add consistency checking in the runner (check that test run to completion)

2009-06-09  rob@welcomehome.org

	list test cases by the version they first appeared in, so we can stop ignoring errors.

2009-06-09  rob@welcomehome.org

	drop backslash after dependencies, there is only one line of them.

2009-06-09  Ben Limmer  <limmer@colorado.edu>

	migrated stubs for microphone and camera to new hierarchy

2009-06-09  Ben Limmer  <limmer@colorado.edu>

	migrated stubs for microphone and camera to new hierarchy

2009-06-09  rob@welcomehome.org

	revert changes to Stage_as.*, build the old version till the new one is fixed so less test cases hang.

2009-06-09  Ben Limmer  <limmer@colorado.edu>

	Migrated Sound actionscript class to new hierarchy

2009-06-09  Ben Limmer  <limmer@colorado.edu>

	Migrated Sound actionscript class to new hierarchy

2009-06-09  rob@welcomehome.org

	fix make check for classes.all, it wasn't generating a site.exp file, so all the paths were wrong.

2009-06-09  liusi_in_lab@hotmail.com

	Si modified the files on June 8 and June 9!

2009-06-09  liusi_in_lab@hotmail.com

	system.am 
	Si

2009-06-09  liusi_in_lab@hotmail.com

	Si changed the following files on June 8 and June 9!

2009-06-09  liusi_in_lab@hotmail.com

	Si made the following changes on June 8 and June 9!
	
	-bcore/asobj/Global.cpp
	libcore/asobj/Makefile.am
	libcore/asobj/flash.am
	libcore/asobj/flash/net/LocalConnection_as.cpp
	libcore/asobj/flash/net/LocalConnection_as.h
	libcore/asobj/flash/net/net.am
	libcore/asobj/flash/system/System_as.cpp
	libcore/asobj/flash/system/System_as.h
	libcore/asobj/flash/system/system.am
	testsuite/as3/classes.all/net/LocalConnection_as.hx
	------------- This line and the following will be ignored --------------
	
	modified:
	libcore/ClassHierarchy.cpp

2009-06-09  Sharad Desai  <ssdesai1@gmail.com>

	Migrated SharedObject and Stage classes to new hierarchy

2009-06-08  Sharad Desai  <ssdesai1@gmail.com>

	Migrated SharedObject_as and Stage_as classes

2009-06-09  Sandro Santilli  <strk@keybit.net>

	Tabs to spaces

2009-06-09  Sandro Santilli  <strk@keybit.net>

	Made sound_handler interface more aware of the SWF model (fist pass)

2009-06-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add documentation to XMLDocument class.

2009-06-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop some singleton usage.

2009-06-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop max FPS magic number, as Gnash does very well without it.

2009-06-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use singleton in ScriptLimitsTag.

2009-06-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct typo.

2009-06-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indentation.

2009-06-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert all changes that broke the testsuite.

2009-06-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert change that broke ContextMenu tests.

2009-06-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert change that broke TextFormat.

2009-06-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert change that broke testsuite run and moved DisplayObject class.

2009-06-09  Sandro Santilli  <strk@keybit.net>

	log UNIMPLEMENTED for time-based sound start 

2009-06-08  Bob Naugle  <bobbynaugs@gmail.com>

	Merge from branch

2009-06-08  Bob Naugle  <bobbynaugs@gmail.com>

	Migrated TextField to new file and directory. Modified makefiles, dependencies, and test cases accordingly.

2009-06-08  Ben Limmer  <limmer@colorado.edu>

	migrated Keyboard actionscript class to new namespace

2009-06-08  Ben Limmer  <limmer@colorado.edu>

	migrated Keyboard class to new namespace

2009-06-08  Jon Crider  <jon.crider@gmail.com>

	Migrated ContextMenu to new flash Heirarchy

2009-06-08  Jon Crider  <jon.crider@gmail.com>

	Moved ContextMenu source code into the new as3 flash heirarchy

2009-06-08  Bob Naugle  <bobbynaugs@gmail.com>

	Merge with trunk.

2009-06-08  Bob Naugle  <bobbynaugs@gmail.com>

	Migrated TextFormat to new file and directory. Modified makefiles and dependencies accordingly.

2009-06-08  Ben Limmer  <limmer@colorado.edu>

	adjusted xmlclasses.h to have the correct initializing function (fixes build problem)

2009-06-08  Ben Limmer  <limmer@colorado.edu>

	changed flash.am makefile to fix building problems

2009-06-08  Bob Naugle  <bobbynaugs@gmail.com>

	Migrated TextSnapshot to new file and folder, modified makefiles and dependencies accordingly.

2009-06-08  Ben Limmer  <limmer@colorado.edu>

	migrated the XML document to new namespace (still working on bug in testcase)

2009-06-08  Ben Limmer  <limmer@colorado.edu>

	migrated the XML document to new namespace (still working on bug in testcase)

2009-06-08  Sandro Santilli  <strk@keybit.net>

	Add note about interpretation of delaySeek samples

2009-06-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't disable writing AMF, or a good proportion of the testsuite fails,
	not to mention SOL writing and potlatch.

2009-06-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	There are no AS2 flash.xml classes.

2009-06-08  Sandro Santilli  <strk@keybit.net>

	Use the delaySeek property of SoundInfo. Tested with event sounds and positive delaySeek. I'm pretty confident this can be easily exported to streaming sound too...

2009-06-08  Sandro Santilli  <strk@keybit.net>

	Store DelaySeek value of DEFINESOUND into the SoundInfo for later use. Fix a bug preventing 'latency' of SOUNDSTREAMHEAD from being debug-printed as unimplemented

2009-06-08  Sandro Santilli  <strk@keybit.net>

	Add support for storing delaySeek value in SoundInfo

2009-06-07  rob@welcomehome.org

	tweak test cases, CLIENT and SERVER fields were reversed.

2009-06-07  rob@welcomehome.org

	adjust test to match current reality.

2009-06-07  rob@welcomehome.org

	don't attempt to work multi threaded yet.

2009-06-08  Bastiaan Jacques  <bastiaan@bjacques.org>

	The string table code uses boost threads, and thus its test must link
	to boost libs.

2009-06-07  rob@welcomehome.org

	merge from rtmp branch, improvements to libamf & libnet, plus test cases.

2009-04-05  rob@welcomehome.org

	merge from trunk.

2009-04-05  rob@welcomehome.org

	make less verbose.

2009-04-05  rob@welcomehome.org

	there is no type field for single byte headers, so we can't print it.

2009-04-05  rob@welcomehome.org

	minor reformatting.

2009-04-05  rob@welcomehome.org

	decodeMsgBody() returns a boost::shared_ptr<RTMPMsg> now instead of a real pointer.

2009-04-05  rob@welcomehome.org

	use -v with netcat, so it works on ubuntu too.

2009-04-02  rob@welcomehome.org

	handle processing data from Invoke messages recieved from the RTMP server.

2009-04-02  rob@welcomehome.org

	return a dequeue of Messages from recvResponse if there is data.

2009-04-02  rob@welcomehome.org

	set the bodysize to the last known bodysize for a channel if the header size is 1. Also if a single byte header is the first part of the buffer to be split(), don't forget to put the header byte in the buffer. For regular continuation packets the single header byte is left out.

2009-04-01  rob@welcomehome.org

	use recvResponse() instead of doing it our own way.

2009-04-01  rob@welcomehome.org

	cleanup to get closer to working 100%.

2009-04-01  rob@welcomehome.org

	decodeMsgBody() now returns a boost:shared_ptr instead of a real pointer.

2009-04-01  rob@welcomehome.org

	add recvResponse() to handle all the wpork of reading a message, splitting it, and processing all the queues.

2009-04-01  rob@welcomehome.org

	improve isConnected tests.

2009-04-01  rob@welcomehome.org

	improve status messages.

2009-04-01  rob@welcomehome.org

	remove red5test, it's now in network.all

2009-04-01  rob@welcomehome.org

	make sure we have a valid server for testing before continuing.

2009-04-01  rob@welcomehome.org

	rename to be consistant

2009-04-01  rob@welcomehome.org

	make network.all optional based on whether netcat is installed.

2009-04-01  rob@welcomehome.org

	Add tests for netat and wget, which are used in testing. Display the
	results of the tests.

2009-04-01  rob@welcomehome.org

	probe a list of target machines to see what is available for testing. Use -P to specify the parameters for the test case.

2009-03-31  rob@welcomehome.org

	convering as_values toElements is a boost::shared_ptr now, not auto_ptr.

2009-03-31  rob@welcomehome.org

	add new directory for real networking tests.

2009-03-31  rob@welcomehome.org

	don't leak any memory.

2009-03-31  rob@welcomehome.org

	make less verbose. Drop silly debug statement that valgrind doesn't like.

2009-03-31  rob@welcomehome.org

	handle reading the handshake, which arrives in any series of packetsof any size based on network latency.

2009-03-31  rob@welcomehome.org

	support using flashVars to set hostname and ports.

2009-03-31  rob@welcomehome.org

	Finish adding -P option support.

2009-03-31  rob@welcomehome.org

	use the standard arg_parser way of handling command line options. Add -P option.

2009-03-31  rob@welcomehome.org

	merge from savannah

2009-03-31  Markus Gothe  <nietzsche@lysator.liu.se>

	Added DSOEXPORT-attribute

2009-03-31  Markus Gothe  <nietzsche@lysator.liu.se>

	Added DSOEXPORT-attribute

2009-03-28  rob@welcomehome.org

	write the FLV magic number.

2009-03-28  rob@welcomehome.org

	add more comments.

2009-03-28  rob@welcomehome.org

	remove if'd out code.

2009-03-28  rob@welcomehome.org

	make decodeHeader less verbose.

2009-03-28  rob@welcomehome.org

	write the FLV file to disk while we read it in.

2009-03-28  rob@welcomehome.org

	add check for invalid argument, which somehow got left out.

2009-03-28  rob@welcomehome.org

	be clear which server the responses are from.

2009-03-28  rob@welcomehome.org

	refactored heavily. Added error checking of responses since we can now easily decode them.

2009-03-28  rob@welcomehome.org

	add rtmpget back in.

2009-03-28  rob@welcomehome.org

	always reset the element before returning an error.

2009-03-27  rob@welcomehome.org

	make rtmpget build again, support of the new client side API partially done.

2009-03-27  rob@welcomehome.org

	use methodName instead of the app name for creating an echo request.

2009-03-27  rob@welcomehome.org

	Read multiple RTMP messages. Move the processing to net_handler() from call().

2009-03-27  rob@welcomehome.org

	add a pointer to the current object to the thread_params.

2009-03-27  rob@welcomehome.org

	check the connect() status for RTMP too.

2009-03-27  rob@welcomehome.org

	minor reformatting

2009-03-27  rob@welcomehome.org

	handle reading of RTMP messages bigger than the default chunksize of 128 bytes.

2009-03-26  rob@welcomehome.org

	add the other data type tests to the RTMP tests.

2009-03-26  rob@welcomehome.org

	process the response from a Red5 eecho request.

2009-03-26  rob@welcomehome.org

	hum, we need to sleep after connecting before trying to read a packet.

2009-03-26  rob@welcomehome.org

	be more clear which response we got.

2009-03-26  rob@welcomehome.org

	add method for creating the Red5 echo Requests.

2009-03-26  rob@welcomehome.org

	do a successful NetConnection::connect() remoting call.

2009-03-26  rob@welcomehome.org

	red5 eants the connect packet as part of the final handshake, or it refuses to connect.

2009-03-26  rob@welcomehome.org

	reverse the order for client and server source fields.

2009-03-26  rob@welcomehome.org

	add a few RTMP tests

2009-03-26  rob@welcomehome.org

	less verbose

2009-03-26  rob@welcomehome.org

	only drop the last two bytes on the last chunked packet.

2009-03-26  rob@welcomehome.org

	don't try to convert an empty property to an as_value.

2009-03-26  rob@welcomehome.org

	don't check property names to be ascii, they could be unicode instead.

2009-03-26  rob@welcomehome.org

	make less verbose, fix old formatting errors.

2009-03-26  rob@welcomehome.org

	make less verbose, it works now.

2009-03-26  rob@welcomehome.org

	make less verbose, it works now.

2009-03-26  rob@welcomehome.org

	remove the trailing \r\n that terminates the HTTP chunk, as it shouldn't be in the binary blob.

2009-03-25  rob@welcomehome.org

	add support for converting Data Elements, and trapping bad data types.

2009-03-25  rob@welcomehome.org

	add supported for the unsupported data type

2009-03-25  rob@welcomehome.org

	handle reading chunked messages.

2009-03-25  rob@welcomehome.org

	minor reformatting.

2009-03-25  rob@welcomehome.org

	don't include the server side onlyecho tests, they've been moved to the cygnal testsuite.

2009-03-25  rob@welcomehome.org

	fix path to libcygnal.la.

2009-03-25  rob@welcomehome.org

	don't limit dumping to smaller buffers.

2009-03-25  rob@welcomehome.org

	don't dump the element when converting.

2009-03-25  rob@welcomehome.org

	add mergeChunks() to forcea merge of all the buffers in the queue. Don't copy the chunked transfer header to the data.

2009-03-25  rob@welcomehome.org

	tweak logic of ending buffer so merging works for bigger Buffers.

2009-03-24  rob@welcomehome.org

	minor reformatting

2009-03-24  rob@welcomehome.org

	use recvChunked().

2009-03-24  rob@welcomehome.org

	don't resize to 0.

2009-03-24  rob@welcomehome.org

	add recvChunked(), for the client side of reading chunked HTTP data.

2009-03-24  rob@welcomehome.org

	add some accessors for the queue

2009-03-24  rob@welcomehome.org

	the content-type field may have more than one item,so scan for what we want, not an exact match. Handle chunked transfer encoding header.

2009-03-24  rob@welcomehome.org

	the content-length field is always only one data item.

2009-03-24  rob@welcomehome.org

	get the baseURL when constructing the URL for ::call()

2009-03-24  rob@welcomehome.org

	don't disallow ports under 1024.

2009-03-19  rob@welcomehome.org

	big merge from experimental branch, rewritten RTMT support for Gnash, with
	RTMP coming next. Cygnal handles Red5 'echo' tests for RTMPT and RTMP as
	well. Also new and greatly improved test case for 'echo' types of tests,
	ie... bouncing packets off a server and decoding the result.
	
	your mileage may vary...

2009-03-13  rob@welcomehome.org

	also run single threaded, since the VM isn't thread safe.

2009-03-13  rob@welcomehome.org

	greatly expanded version of the test case.

2009-03-13  rob@welcomehome.org

	add versions of sendMsg that use the priate setting for the file descriptor.

2009-03-13  rob@welcomehome.org

	don't encode strict arrays as sparse arrays.

2009-03-12  rob@welcomehome.org

	pass the right Network connection to the thread handler.

2009-03-12  rob@welcomehome.org

	toggle a flag when connected.

2009-03-12  rob@welcomehome.org

	store the path from the URL as well.

2009-03-12  rob@welcomehome.org

	merge in from branch, partial RTMP support, using libnet HTTP support for remoting.

2009-03-11  rob@welcomehome.org

	stripped out remoting stuff, sreaming video still works.

2009-03-11  rob@welcomehome.org

	stripped out remoting stuff, sreaming video still works.

2009-03-16  rob@welcomehome.org

	big merge from trunk, copyright changes, release stuff, etc...

2009-03-16  rob@welcomehome.org

	add option to enable building cgi bins.

2009-03-16  rob@welcomehome.org

	better comments.

2009-03-16  rob@welcomehome.org

	return a Buffer instead of a bool when processing requests.

2009-03-16  rob@welcomehome.org

	get the root directory for cgi-bins.

2009-03-16  rob@welcomehome.org

	moved to Cygnal directory

2009-03-16  rob@welcomehome.org

	add setting for the root directory for cgis.

2009-03-16  rob@welcomehome.org

	merge from trunk

2009-03-04  Markus Gothe  <nietzsche@lysator.liu.se>

	Updated copyright info

2009-02-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Wrap all macros in AC_DEFUN, or autogen.sh fails (at least on Mandriva 2009).

2009-02-23  Markus Gothe  <nietzsche@lysator.liu.se>

	Cleaned up DSOEXPORTS

2009-02-23  Markus Gothe  <nietzsche@lysator.liu.se>

	Cleaned up DSOEXPORTS

2009-02-23  Markus Gothe  <nietzsche@lysator.liu.se>

	Cleaned up DSOEXPORTS

2009-02-23  Markus Gothe  <nietzsche@lysator.liu.se>

	Cleaned up DSOEXPORTS

2009-02-22  Markus Gothe  <nietzsche@lysator.liu.se>

	fix visibility attribute for RTMP branch / Cygnal

2009-02-21  rob@welcomehome.org

	execute an external progam when specified.

2009-02-21  rob@welcomehome.org

	exit if there are errors creating a server connection.

2009-02-21  rob@welcomehome.org

	use the docoot to find cgi files.

2009-02-21  rob@welcomehome.org

	get the docroot from private data.

2009-02-21  rob@welcomehome.org

	don'

2009-02-21  rob@welcomehome.org

	move enable-cgibins to cygnal specific configure file..

2009-02-21  rob@welcomehome.org

	build proc.cpp as part of libcygnal, not cygnal itself.

2009-02-21  rob@welcomehome.org

	properly handle closing the network connection.

2009-02-21  rob@welcomehome.org

	don't try to remove a pollfd from a bogus hit.

2009-02-21  rob@welcomehome.org

	always start the cgi application in verbose mode.

2009-02-21  rob@welcomehome.org

	use an external program over a network connect to process the data in the POST.

2009-02-21  rob@welcomehome.org

	don't try to build the cgi bins before libcygnal is built.

2009-02-21  rob@welcomehome.org

	seperate out the server side HTTP support into it's own class in Cygnal.

2009-02-21  rob@welcomehome.org

	get rid of extraneous newline in text field.

2009-02-21  rob@welcomehome.org

	http.h now needs to be http_server.h.

2009-02-21  rob@welcomehome.org

	add http_server.* to libcygnal.

2009-02-21  rob@welcomehome.org

	make less verbose.

2009-02-21  rob@welcomehome.org

	split the server side of HTTP support into it's own class in Cygnal, so we can support CGI bins easier.

2009-02-21  rob@welcomehome.org

	cleanup code, add CGI to all method names to be clearer what it is.

2009-02-21  rob@welcomehome.org

	read echo request from a file or the network, and send a correct response.

2009-02-21  rob@welcomehome.org

	new class for starting cgi-bins.

2009-02-21  rob@welcomehome.org

	big merge from trunk. Add cygnal/cgi-bin directory.

2009-06-07  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Small change to mkdir to handle ENOTDIR even if this checked a little bit more

2009-06-07  rob@welcomehome.org

	keep distcheck happy.

2009-06-07  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Fixed a small bug that wasn't save _sollocaldomain variable. usermanual updated

2009-06-07  rob@welcomehome.org

	work around circular dependencies till we figure out a better long-term fix.

2009-06-06  rob@welcomehome.org

	build all libcore and asobjs in the same library to workaround circular dependencies.

2009-06-06  rob@welcomehome.org

	build libasobj with libcore to work around circular dependencies.

2009-06-06  rob@welcomehome.org

	convert Makefile.am to a fragment.

2009-06-06  rob@welcomehome.org

	merge from branch

2009-06-06  rob@welcomehome.org

	don't generate header files for class array, make them permanant.

2009-06-07  Sandro Santilli  <strk@keybit.net>

	Open audio card lazily, to save lots of wakeups (at least with HDA Intel) when sound is not even needed, or at least until it is...

2009-06-07  Sandro Santilli  <strk@keybit.net>

	Moved attach_aux_streamer to base class, as instructed by TODO comment

2009-06-07  Sandro Santilli  <strk@keybit.net>

	syncNoMultiple flag in StartSound tag enough tested

2009-06-06  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Completed AmigaOS4 GUI. Now it is almost the same of GTK one. Changed the Makefile.am that should not be a problem since the OS4 files are in

2009-06-06  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Small change for saving preference file. Needed for the aos4-GUI changes

2009-06-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove unused file.
	
	AS2 top-level classes are initialized using ClassHierarchy, not the
	package system, so drop code that will never be used.

2009-06-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	The xml package doesn't exist and is never called in AS2, so there's nothing
	to initialize.

2009-06-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop extra file.

2009-06-06  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop commented-out lines. Please keep things tidy.

2009-06-06  Sandro Santilli  <strk@keybit.net>

	Don't start the advance timer if we start in pause mode

2009-06-06  Sandro Santilli  <strk@keybit.net>

	Close audio card on gnash pause, and resume on unpause. Drops audio card interrupts while paused.

2009-06-06  Sandro Santilli  <strk@keybit.net>

	Stop the advance timer when in pause mode. Brings wakeups down to zero when sound handler is disabled (-r1).

2009-06-05  Jon Crider  <jon.crider@gmail.com>

	Migrated accessibility code into new class hierarchy

2009-06-05  Jon Crider  <jon.crider@gmail.com>

	Migrated accessibility code into new class hierarchy

2009-06-05  rob@welcomehome.org

	initialize all AS2 and AS3 classes.

2009-06-05  Ben Limmer  <limmer@colorado.edu>

	Removed unnecessary comment lines

2009-06-05  rob@welcomehome.org

	create two arrays of init functions, one for as2, and one for as3.

2009-06-05  Jon Crider  <jon.crider@gmail.com>

	Fixed .am files so accessibility tests now compile

2009-06-05  Jon Crider  <jon.crider@gmail.com>

	Fixed .am files so accessibility tests now compile

2009-06-05  Ben Limmer  <limmer@colorado.edu>

	Migrated XMLNode to the new filestructure and namespace

2009-06-04  Ben Limmer  <limmer@colorado.edu>

	Migrated XMLNode to the new filestructure. Passes all ming tests.

2009-06-05  Bastiaan Jacques  <bastiaan@bjacques.org>

	Revert the previous header placement change as it turned out to compile
	cleanly on a second attempt.

2009-06-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Introduce SWFParser class for parsing all tags, reducing code duplication
	in sprite_definition and SWFMovieDefinition. The class should also make it
	easier to control parsing (for instance making it non-threaded or linked
	to advances).

2009-06-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Put TagLoadersTable in RunInfo with the rest of the external resources.
	
	Const correct.

2009-06-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove TagLoadersTable from sprite_definition.

2009-06-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add documentation.

2009-06-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make the SWFParser deal only with the number of bytes it has to read / has 
	read, not with with the absolute stream position.

2009-06-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use the same SWFParser for sprite_definition.

2009-06-05  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use a SWFParser for parsing.

2009-06-05  Bastiaan Jacques  <bastiaan@bjacques.org>

	Make sure accessibilityclasses.h is created inside the source directory,
	rather than the object directory. Fixes objdir builds.

2009-06-04  Tomeu Vizoso  <tomeu@sugarlabs.org>

	Fix the cairo renderer in pythonmodule

2009-06-04  Tomeu Vizoso  <tomeu@sugarlabs.org>

	Initialize the glue renderer a bit later. Fixes bug #26669

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix the VM switcher so that it also works when execute() is called
	recursively.

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor fix.

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Enable runtime multinames in ABC_ACTION_CALL*.

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Debugging output.

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More debugging.

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Some very useful logging.

2009-06-04  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indentation.

2009-06-03  Jon Crider  <jon.crider@gmail.com>

	More migrating of test cases moved some to internal.all but did not modify

2009-06-03  Jon Crider  <jon.crider@gmail.com>

	Made changes to one test case - migrated more test cases

2009-06-03  Jon Crider  <jon.crider@gmail.com>

	Migrated some test cases. Added case for Boolean class, moved but did not migrate ASnative.as

2009-06-03  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Add support for Menus in AmigaOS4 gui. Implemented most of GTK functions

2009-06-03  Sharad Desai  <ssdesai1@gmail.com>

	Minor change, commented out method in LoaderInfo

2009-06-03  Sharad Desai  <ssdesai1@gmail.com>

	Minor change, commented out method in LoaderInfo

2009-06-03  Bob Naugle  <bobbynaugs@gmail.com>

	Reverted DejaGnu.hx (could not use trace in gnash)

2009-06-03  Sharad Desai  <ssdesai1@gmail.com>

	Modified test case for LoaderInfo

2009-06-03  Sharad Desai  <ssdesai1@gmail.com>

	Rob, please configure the makefile, so the URL of the .swf can be generic, thanks

2009-06-03  Sharad Desai  <ssdesai1@gmail.com>

	Modified Test Cases

2009-06-03  root  <root@localhost.localdomain>

	Si made more modifications here

2009-06-03  root  <root@localhost.localdomain>

	Si modified these on Jun 3

2009-06-03  Bob Naugle  <bobbynaugs@gmail.com>

	Final test cases with existence stubs, and modified DejaGnu.hx so gflashplayer will display text for flash8 and lower (needs some work)

2009-06-03  Ben Limmer  <limmer@colorado.edu>

	added more robust tests to as2 sound class haxe file

2009-06-03  Ben Limmer  <limmer@colorado.edu>

	added more robust tests to as2 sound class haxe file

2009-06-03  Sharad Desai  <ssdesai1@gmail.com>

	Modified Test Cases

2009-06-03  root  <root@localhost.localdomain>

	Si modified these classes on Jun 2

2009-06-02  root  <root@localhost.localdomain>

	Si modified the following class on June 2!

2009-06-03  Ben Limmer  <limmer@colorado.edu>

	fixed dummy compression algorithm testsuite

2009-06-03  Ben Limmer  <limmer@colorado.edu>

	fixed compression algorithm

2009-06-03  Ben Limmer  <limmer@colorado.edu>

	fixed URLStream test case

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up headers, modify isAS3() to take a fn_call argument for easier
	refactoring later.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	One last file.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move isAS3 logic to fn_call rather than VM, and clean up headers and includes
	as they made this simple change take a long time.

2009-06-03  Bob Naugle  <bobbynaugs@gmail.com>

	Fixed StaticText_as.hx test. This class is only creatable with the Adobe/Flash authoring tool. (we think)

2009-06-03  Bob Naugle  <bobbynaugs@gmail.com>

	Fixed weird AntiAliasType_as.hx, don't know how it got reverted

2009-06-03  Jon Crider  <jon.crider@gmail.com>

	migrated some test cases, not sure how to test StaticText and Array

2009-06-03  Jon Crider  <jon.crider@gmail.com>

	Modified some test cases, still working on Array and StaticText

2009-06-03  Bob Naugle  <bobbynaugs@gmail.com>

	Fixed test cases

2009-06-03  Ben Limmer  <limmer@colorado.edu>

	finished URLStream AS3 class tester

2009-06-01  Ben Limmer  <ben@ubuntu>

	trying to push to bazaar

2009-06-01  Ben Limmer  <ben@ubuntu>

	display testsuite done

2009-05-29  Ben Limmer  <ben@ubuntu>

	finished accessibilityproperties class tester

2009-05-29  Ben Limmer  <ben@ubuntu>

	Filter testsuite for as3 completed.

2009-05-29  Ben Limmer  <ben@ubuntu>

	Tests done for some Bitmap classes and all errors in the error namespace

2009-05-29  Ben Limmer  <ben@ubuntu>

	high priority desktop test suites completed

2009-05-29  Ben Limmer  <ben@ubuntu>

	ClipboardFormats test done

2009-05-29  Ben Limmer  <ben@ubuntu>

	fixed Keyboard and Sound testsuites for AS3

2009-05-29  Ben Limmer  <ben@ubuntu>

	Fixed ExternalInterface test case

2009-05-29  Ben Limmer  <ben@ubuntu>

	SoundTransform test case added

2009-05-29  Ben Limmer  <ben@ubuntu>

	Soundmixer test done

2009-05-29  Ben Limmer  <ben@ubuntu>

	soundloader test done

2009-05-29  Ben Limmer  <ben@ubuntu>

	updated ID3Tag tests and SoundChannel

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add a basic DisplayObjectContainer class for AS3 (and eventually AS2)
	DisplayList functions.
	
	Clean up Button a bit to try and make transition to AS3 structure easier.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't stop run on failures.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add DisplayObjectContainer class.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Missing closing bracket.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use the correct bit.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor correction.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Take SWF-defined trackAsMenu into account with Buttons.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tabs to spaces.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move another function to cpp file.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up.

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Abstract functions from the Button class by moving them to ButtonRecord,
	also reducing code duplication. Do DefineButtonCxform tag slightly
	differently. 

2009-06-03  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-06-02  Bob Naugle  <bobbynaugs@gmail.com>

	Last text test case

2009-06-02  Ben Limmer  <limmer@colorado.edu>

	finished several as3 net testsuites

2009-06-02  Ben Limmer  <ben@ubuntu>

	updated net as3 testsuites

2009-06-02  Bob Naugle  <bobbynaugs@gmail.com>

	More text test cases and fixed error messages

2009-06-02  Jonathan Crider  <jonc@jonc-laptop>

	PrintJob, CSMSettings, FontStyle, Fonttype, Font test cases migrated to HaXe

2009-06-02  Jonathan Crider  <jonc@jonc-laptop>

	Migrated CSMSettings, FontStyle, FontType, and Font test cases

2009-06-02  Jonathan Crider  <jonc@jonc-laptop>

	Migrated printing/PrintJob test case

2009-06-02  Bob Naugle  <bobbynaugs@gmail.com>

	Fixed test makefile.am so does not include sampler namespace

2009-06-02  Ben Limmer  <ben@ubuntu>

	fixed makefile to support all classes and updated a few as3 testsuites (see files changed list)

2009-06-02  Ben Limmer  <ben@ubuntu>

	corrected makefile and updated a few random testsuites (see files changed)

2009-06-02  Bob Naugle  <bobbynaugs@gmail.com>

	Changed text.am

2009-06-02  Bob Naugle  <bobbynaugs@gmail.com>

	Fixed Makefile.am to include sampler, text, and utils namespaces. New Test cases.

2009-06-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More AS3 methods.

2009-06-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add removeChild and removeChildAt.

2009-06-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add implementation for removeChild and removeChildAt to DisplayList.

2009-06-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement addChild() and addChildAt() in the DisplayList. Currently they
	are implemented as global functions in ActionScript, but they should
	in fact be members of DisplayObjectContainer only.

2009-06-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement addChild() and addChildAt() using the DisplayList through
	MovieClip (should be DisplayObjectContainer).
	
	Obsolete _childs member in movie_root, as this now delegates to the 
	DisplayList of the _root MovieClip.

2009-06-02  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Give arrays unique names.

2009-06-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Give arrays unique names, so including them isn't quite so hairy.

2009-06-01  sharad  <sharad@ute>

	Sharad Desai:
	
	Updated test cases...

2009-06-01  sharad  <sharad@ute>

	Sharad

2009-06-01  Jonathan Crider  <jonc@jonc-laptop>

	Migrated PrintJobOptions and PrintJobOrientation test cases

2009-06-01  Jonathan Crider  <jonc@jonc-laptop>

	migrated PrintJobOptions and PrintJobOrientation test cases

2009-06-02  Sandro Santilli  <strk@keybit.net>

	Take Haxe for unavailable if it's version is < 2.00 (so make check completes again on an Ubuntu 8.10)

2009-06-01  Bob Naugle  <bobbynaugs@gmail.com>

	Moved NetStream_as.hx to the correct directory

2009-06-01  Bob Naugle  <bobbynaugs@gmail.com>

	Updated test cases and fixed geom/Transform_as.hx

2009-06-01  root  <root@localhost.localdomain>

	Finished LocalConnection testsuite and system namespace tests

2009-06-01  Ben Limmer  <ben@ubuntu>

	finished sound test suite (works with flash v.5 and greater)

2009-06-01  Ben Limmer  <ben@ubuntu>

	Sound test class done.

2009-06-01  Jonathan Crider  <jonc@jonc-laptop>

	Added test cases for Array, AsBroadcaster, GradientType

2009-06-01  Jonathan Crider  <jonc@jonc-laptop>

	updated GradientType_as.hx test case

2009-06-01  Jonathan Crider  <jonc@jonc-laptop>

	Added Array, AsBroadcaster, and GradientType test cases

2009-06-01  Ben Limmer  <ben@ubuntu>

	"fixed microphone test suite and URLLoaderData test"

2009-06-01  Ben Limmer  <ben@ubuntu>

	fixed microphone test suite and URLLoaderData test

2009-06-01  Ben Limmer  <ben@ubuntu>

	Completed testsuite for as3 class Scene

2009-06-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	check -> xcheck for _soundbuftime (it's not implemented yet, is it?).

2009-06-01  Ben Limmer  <ben@ubuntu>

	updated several desktop testsuites and finished FrameLabel test

2009-06-01  Ben Limmer  <ben@ubuntu>

	updated several desktop testsuites and finished FrameLabel test for as3

2009-06-01  Bob Naugle  <bobbynaugs@gmail.com>

	Updated test cases

2009-06-01  Ben Limmer  <ben@ubuntu>

	updated test suites

2009-06-01  Ben Limmer  <ben@ubuntu>

	updated as3 testsuites

2009-06-01  Ben Limmer  <ben@ubuntu>

	updated test suites

2009-05-28  Ben Limmer  <ben@ubuntu>

	completed Microphone test for flash v9 only (left ming test for prior versions)

2009-05-28  Ben Limmer  <ben@ubuntu>

	fixed the camera class to work with flash versions < 9

2009-05-28  Ben Limmer  <ben@ubuntu>

	updated camera_as.hx and readded several internal as3 tests

2009-06-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	SOLARIS changed to SOLARIS_HOST.

2009-06-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move include to GnashNumeric.h, as that's where the function that needed it
	moved to.

2009-06-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Track which version of the VM is executing. It is now possible to initialize
	the correct object prototypes for AS2 and AS3, though not yet to execute
	both AS2 and AS3 in one run.
	
	Test that AS3 classes are not available in AS2, and fix all the new as_objects
	(except filters) to separate them while still allowing selective building
	of classes.
	
	Make classes that exist just for enumerating constants simpler.

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test the flash package for the absence of AS3 classes.

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move AVM2 switcher to Machine::execute, as this can also be called from
	SymbolClassTag.

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tabs to spaces...

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make sure all packages log the AVM version; AVM2-only packages will abort
	if called from AS2 to make sure this doesn't happen.

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line breaks, tabs to spaces.

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Only log unimplemented once, more information in log_abc.

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Separate AS2 and AS3 flash.net classes. Don't miss headers in display.am.

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Start to distinguish between as2 and as3 classes so that we don't get
	classes where they aren't expected. Assert that certain packages are only
	initialized from the correct kind of bytecode.

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename asclasses arrays to as3classes so that we can distinguish between
	them and as2classes.

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Load only AVM1 flash package classes when not running AVM2. This needs to
	be done also for the other AVM1 flash package classes (geom, net etc) so
	that extra classes are not loaded.

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop empty file. Notify VM when it's executing AVM2 code, as this is the
	only way currently to know whether we are running AS1/2 or AS3. We have
	to know this in order to initialize objects correctly (and for many
	other things).

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Simplify more constant enumeration classes.

2009-05-29  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't make the preprocessor error out because it interrupts the testsuite,
	which is far more annoying than a segfault.

2009-06-01  Sandro Santilli  <strk@keybit.net>

	Add test showing that MovieClip._soundbuftime is a global (like _quality)

2009-05-31  Bastiaan Jacques  <bastiaan@bjacques.org>

	Fix 2 typos.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move class definitions to cpp files, where they should generally be except
	in the exceptional cases where the class must be known elsewhere.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unneeded include, put forward declaration in.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implementation files now have the class definitions.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Classes now defined in implementation file.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Class definitions in a better place.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move definitions of classes.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Class definitions h->cpp

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Delete class definitions from one file and put them in the other.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Relocate definition of classes to cpp file.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move class definitions to implementation file.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move class definitions to cpp file.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move class definitions to cpp file.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move definitions to cpp file.

2009-05-28  Ben Limmer  <ben@ubuntu>

	merging from my branch

2009-05-28  Ben Limmer  <ben@ubuntu>

	finished Keyboard_as.hx test for Key and Keyboard classes

2009-05-27  Ben Limmer  <ben@ubuntu>

	added more internal tests which need to be adapted for flash 9 or ported.

2009-05-27  Ben Limmer  <ben@ubuntu>

	updated internal testsuites (limited implementation)

2009-05-27  Ben Limmer  <ben@ubuntu>

	updated the ExternalInterface tester and moved XML tests from this file to ExternalInterface in internal.all

2009-05-28  Bob Naugle  <bobbynaugs@gmail.com>

	Modified Test Cases (Point, Rectangle, SharedObject)

2009-05-28  Bob Naugle  <bobbynaugs@gmail.com>

	Modified test cases (Point, Rectangle, SharedObject)

2009-05-28  Sandro Santilli  <strk@keybit.net>

	Automate test for https://savannah.gnu.org/bugs/?26687 (StreamTheWorld)

2009-05-28  Sandro Santilli  <strk@keybit.net>

	Store a cut-down version of the FLV exposing gnash bug #26687.
	To be used in NetStream-SquareTest to automate regression testing.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	FP 10 constant classes.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Complete and reduce more classes.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Complete some more classes.
	
	Make sure accessibility and system package classes are loaded correctly.
	
	Remove AIR classes that aren't part of the Flash Player API.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Load accessibility and system package classes (was commented out for some
	reason). Drop useless part of accessibility.am.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up after removals so that it builds again.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop flash.security (AIR only) and an AIR-only flash.utils class.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop AIR-only flash.net class.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop html (AIR only).

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop flash.filesystem (AIR only).

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop AIR-only flash.events classes.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop AIR-only error classes.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop AIR-only display classes.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	flash.data is AIR only.

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove files that were in the wrong package (duplicated in flash.data,
	where they should be).

2009-05-28  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove AIR-only classes.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Reduce classes.

2009-05-27  rob@welcomehome.org

	renable HAVE_PTHREADS.

2009-05-27  rob@welcomehome.org

	Use LINUX_HOST, not LINUX as it's mo0re consistant.

2009-05-27  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Removed a comment from asobj .am files that was broken generation on some platforms

2009-05-27  rob@welcomehome.org

	add directory for Gnsh specific testscases that use to be in the API tests.

2009-05-27  Sandro Santilli  <strk@keybit.net>

	Fix bug #26687 by having NetStream PlayHead move onto next audio frame timestamp when output queue is empty and there's no video in the input stream. An automated test for this would be nice, but there's none.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix static build with libasobj.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move ClassHierarchy out of asobj, as it doesn't really belong there and
	breaks static linking.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Simplify objects for constant enumeration and add some constants.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Simplify TextFieldAutoSize, remove from ClassHierarchy.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	AVM2 debugging.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Document, add debugging.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Stub top-level Namespace class.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add top-level Namespace class.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Abc version is not an error.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	AVM2 changes.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement DELETEPROPERTY.
	
	Indentation and debugging.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indentation.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't log the same thing so much.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix crash due to unchecked return from to_object().
	
	Add some AS3 constants and AVM2 debugging.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More debugging.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add StageAlign constants.
	
	More debugging.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add more debugging messages for AVM2.
	
	Add constants to StageScaleMode for testing Machine.

2009-05-27  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix crashes caused by not checking existence of object.

2009-05-26  Sandro Santilli  <strk@keybit.net>

	Comment out debugging line

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix crash.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add TextFormat prototype as static, fixing the crash in bug #26687.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Replace system-first include directive for sharedlib.h everywhere.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use flash/ui/Mouse_as.cpp instead of asobj/Mouse_as.cpp.
	
	Use correct #include directive when writing uiclasses.h

2009-05-26  Sandro Santilli  <strk@keybit.net>

	Extract Haxe version number. We should require 2.0. This patch doesn't do that yet, but gets the version...

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop test that shouldn't have been committed.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix 63 failures and some crashes after asobj reorganization.
	
	Add test for flash package enumeration to make sure it doesn't break again.
	
	Drop flash/fl directory, as no such package exists.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove fl directory.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	There are no sampler classes yet, so a do-while loop crashes. Replace with
	while (why not do all of them like this?).
	
	Initialize flash packages in correct order for enumeration.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	samplerclasses.h is correct.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test flash package.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add test for flash package enumeration.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct more typos so it builds.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix typo, fixing some crashes in testsuite.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Restore correct prop flags of flash package, fixing some of the testsuite
	failures.
	
	Restore correct prop flags of flash package members so that haxe SWFs will
	work again.

2009-05-26  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move Object back to where it should be.

2009-05-25  rob@welcomehome.org

	always add the Headers to keep distcheck and rpmbuild happy

2009-05-25  rob@welcomehome.org

	huge merge from branch. Add the reest of the AS3 test cases in haxe format. Add all the missing classes for the flash namespace.

2009-05-25  rob@welcomehome.org

	Drop adding the new classes for now, they seem to break something.

2009-05-25  rob@welcomehome.org

	merge from trunk, tweak capitaliztion of *_init functions that aleady exist.

2009-05-25  rob@welcomehome.org

	fix include path for installation.

2009-05-25  rob@welcomehome.org

	always build lass library

2009-05-25  rob@welcomehome.org

	fix paths in makefile fragments so installing works correctly.

2009-05-24  rob@welcomehome.org

	lots of file renaming to drop _as3 for just _as.

2009-05-24  rob@welcomehome.org

	add new templates

2009-05-24  rob@welcomehome.org

	add the rest of the testcases that somehow got skipped.

2009-05-24  rob@welcomehome.org

	build new AS3 library asobj/flash.

2009-05-25  Sandro Santilli  <strk@keybit.net>

	Refactor rendering frames drop mechanism. This is kept disabled by default as it's still not smart enough (doesn't avoid never re-rendering, which is silly)

2009-05-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement some things in BitmapData.

2009-05-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test and implement setPixel and setPixel32.

2009-05-25  Sandro Santilli  <strk@keybit.net>

	Catch up with FPS, at cost of animation smootness (go faster to catch up when late). Fixes A/V sync in movies with streaming sound, like most of Bozzetto's (see Adam.swf for instance)

2009-05-25  Sandro Santilli  <strk@keybit.net>

	log uhnandled int() ctor arguments

2009-05-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add part of the code needed to implement trackAsMenu().
	
	Mark expected failures in BitmapData tests.

2009-05-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add trackAsMenu() function (not implemented).

2009-04-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop repeated comments from the end of long lines.

2009-05-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Comments, tests, debugging.

2009-05-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up parsing.

2009-05-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test setPixel and setPixel32.

2009-05-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix typos, line breaks.

2009-05-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Line breaks.

2009-05-25  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	changing mkdirUserPermission to work correctly on AmigaOS4 when a drive or an assign is in the path

2009-05-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Save audio-only streams too when requested.

2009-05-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Prevent crashes from unhandled exceptions in Machine. Log unexpected events.
	
	Fix compiler warning.

2009-05-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement various opcodes by changing values on the stack (as others do
	this already).
	
	Catch the exceptions that can be thrown during execution and log messages
	about them. Add TODOs.
	
	Add more debugging messages.

2009-05-24  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Small changes to rc.cpp to loading files correctly

2009-05-23  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Add fullscreen and mouse hiding support to AmigaOS4 gui

2009-05-22  John Wimer  <john@god.vtic.net>

	Add OpenGL glue for the Qt/KDE4 gui.
	The automake probably only works for *nix and should be corrected

2009-05-21  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Revert change for bug that was fixed properly in trunk.

2009-05-21  rob@welcomehome.org

	for now, don't build two test cases that broke when upgrading haxe.

2009-05-21  rob@welcomehome.org

	make the haxe based tests cases conditional on haxe being installed.

2009-05-21  rob@welcomehome.org

	fix misspelling of DejaGnu.hx.

2009-05-20  rob@welcomehome.org

	add in display tests.

2009-05-20  rob@welcomehome.org

	merge more test cases from the branch.

2009-05-20  rob@welcomehome.org

	add the other semi-working test cases.

2009-05-20  rob@welcomehome.org

	add a bunch more test cases.

2009-05-20  rob@welcomehome.org

	add more tests from branch.

2009-05-20  rob@welcomehome.org

	add more converted test cases.

2009-05-20  rob@welcomehome.org

	only build the two test cases that work, Capabilities and System.

2009-05-20  rob@welcomehome.org

	add initial as3 test suite support files, plus 3 working test cases in haxe syntax.

2009-05-20  rob@welcomehome.org

	only build the 3 working test cases. Build swf v6-v9 test cases.

2009-05-20  rob@welcomehome.org

	update tests.

2009-05-20  rob@welcomehome.org

	only build the 3 working test cases.

2009-05-20  rob@welcomehome.org

	don't segfault if the ctor is 0 so the tests can finish.

2009-05-20  rob@welcomehome.org

	add --enable-classfile option to comfigure. Add initial directories and Makefile for AS testing.

2009-05-20  rob@welcomehome.org

	liboost now needs a 1.35 on each library name.

2009-05-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix crash, log the unexpected situation that caused it.

2009-05-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix another case where pointers are used without being checked.

2009-05-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop comment, as it seems reasonable after all.

2009-05-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add more debug logging and some comments for CONSTRUCTSUPER. Drop unimplemented
	message as it does attempt to construct the super. The unimplemented message
	draws too much attention to this opcode when a SWF doesn't work, even though
	it's unlikely to be the culprit.

2009-05-20  Sandro Santilli  <strk@keybit.net>

	versioned to_string ..

2009-05-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix to sendAndLoad.

2009-05-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make sendAndLoad methods use GET by default as documented in a book. Fixes
	Twitter widget loading again.

2009-05-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Expose classes to enumeration as expected. Fixes bug #25081, as haxe
	for some reason relies on enumerating classes onto the stack.

2009-05-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add test for enumeration, especially the termination marker.
	
	Make all flash package members enumerable pending better tests.

2009-05-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initial correct to some bugs identified by weird bytecode from haxe.
	
	Enumeration should push an undefined value, not null, as the end marker.
	
	Flash packages should not be hidden from enumeration (but it isn't clear
	exactly what they should be).

2009-05-20  Sandro Santilli  <strk@keybit.net>

	Fix memory leak in Machine::find_prop_strict

2009-05-20  Sandro Santilli  <strk@keybit.net>

	Fix memory fault in SWF::ABC_ACTION_SETSLOT handler, exposed by testsuite/as3/basic.swf

2009-05-20  Sandro Santilli  <strk@keybit.net>

	Use indexes for thread ids, for terseness of log lines

2009-05-20  Sandro Santilli  <strk@keybit.net>

	Log once about unimplemented SoundInfo record parameters

2009-05-20  Sandro Santilli  <strk@keybit.net>

	Allow SDL/Cairo builds. It builds but doesn't work correctly yet. Looks like a problem with alpha (try ^H and wait some, chances are that the plain red squares will show up)

2009-05-20  Sandro Santilli  <strk@keybit.net>

	^H to toggle show of updated regions

2009-05-19  Sandro Santilli  <strk@keybit.net>

	Add support for CTRL-based gui controls (SDL gui)

2009-05-19  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Add AmigaOS4 GUI

2009-05-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initialize all members of asMethod, fixing an occasional crash due to
	uninitialized values. This may also fix a bug reported on the mailing list.

2009-05-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Parse scenes and frame labels correctly and add as a control tag as documented.
	Not yet implemented, but gives useful logging information.
	
	Minor cleanups to other tags.

2009-05-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct comment.

2009-05-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add some useful comments for doxygen.

2009-05-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add tag file mentioned in last commit.

2009-05-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make some ctors private. Move DefineSceneAndFrameLabelData tag to its
	own file in accordance with other tags.

2009-05-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add autogenerated macros to .bzrignore.

2009-05-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Parse DefineSceneAndFrameLabelData tag correctly.

2009-05-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use ensureBytes on encoded U32 reads, which is slower but prevents potential
	memory corruption.

2009-05-19  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Always log the VM version for debugging purposes.

2009-05-19  Sandro Santilli  <strk@keybit.net>

	Sorry, forgot to cleanup after applying the patch

2009-05-19  Sandro Santilli  <strk@keybit.net>

	Implement partial blitting (inv.bounds based) for SDL/AGG combination

2009-05-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use a pointer for the thread, as some versions of boost don't have
	copyable threads.

2009-05-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use a separate naming style for AVM2 names in VM.
	
	Implement SymbolClassTag fully (but not tested properly).
	
	Check file attributes for whether to use AVM2, and notify when the wrong
	tags are present. Currently we also throw a parsing exception to avoid
	adding code of the wrong type, but whether the file attribute is definitive
	needs more testing. This attribute should also be used for other VM-specific
	code (e.g. TextField constructor) in place of SWF version, which is wrong.

2009-05-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups, add tests.

2009-05-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Improve testing for addChild.

2009-05-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups (line breaks), correct typo.

2009-05-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix some bugs in XMLSocket implementation.

2009-05-18  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Thread XMLSocket connection so that it doesn't block execution. As expected,
	onConnect is now called in the first advanceState() after the connection
	attempt completes.
	
	Port numbers above 65535 should be rejected immediately.

2009-05-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Const correct Network::connected.
	
	Add intermediate object between Network and XMLSocket_as to allow
	not blocking AS execution during connection (not yet implemented).
	Get the onConnect() order correct (still only correct in limited
	cases).
	
	Restore adding empty strings, as a non-automated test shows is the case.

2009-05-17  rob@welcomehome.org

	fix description of -devel package.

2009-05-17  rob@welcomehome.org

	build -devel package for headers and .pc file.

2009-05-15  Sandro Santilli  <strk@keybit.net>

	Implement setInvalidatedRegions for SDL gui

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix XMLSocket segfault.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add XML prototype as VM static, fixing bug #26390 (segfault in XMLSocket).
	
	Don't send empty strings to XMLSocket.onData.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Include map.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge AVM2 machine and parser code from the avm2 branch.
	
	This appears to be stable, but does not work in most cases, so it is disabled
	by default. Compile with --enable-avm2 to enable it.
	
	The default build will now omit AVM2 code, which should reduce code size
	and compile time. There is no warning yet for running AVM2 code without
	AVM2 support.
	
	The perl-generated haxe version of the actionscript.all testsuite is disabled
	as Gnash fails some tests (tests may be bogus).

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanup.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Remove Namespace.h from Makefile.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add comments to abc_block.
	
	Remove Namespace.h, which was replaced long ago by the asNamespace class.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Define ENABLE_AVM2 properly.
	
	Drop more from the Makefile.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix Makefiles for dropped files.
	
	Drop ctor for TextFieldAutoSize, which only contains static variables.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge VM and parsing parts from avm2 branch. Disable all avm2 code by default,
	as it may be unstable.
	
	Most new classes have not been merged because they were only stubs and can be
	generated easily.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Correct includes in SymbolClassTag.h

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Do includes and forward declarations properly to avoid breaking the build
	on the slightest change.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Include gnashconfig.h where needed.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop stubs for AS3 classes, as these can be regenerated easily in
	the newer style.
	
	Fix missing values in ClassHierarchy initialization.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Allow building with AVM2 code.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add copyright to split-off files.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add --enable-avm2 option. Disable the AVM2 interpreter and tag parsers
	unless avm2 is enabled at compile time.
	
	ClassHierarchy (on-demand class loading) uses asNamespace and asClass, so
	these still have to be built even when avm2 is disabled. This requires 
	ifdefs inside asClass.
	
	Split asClass file into separate files for asNamespace, asMethod, asException
	and asBoundValues.

2009-05-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Replace LOG_AVM2 with log_abc.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Half-working, ugly implementation of instantiateClass with a string argument.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More minor cleanups.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Declare typedefs inside classes. Drop duplicated typedef.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename abc_parsing to abc and abc_Trait to Trait.

2009-04-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from trunk.

2009-04-08  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from trunk.

2009-04-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from trunk. Use log level of 3 for log_abc. Fix an AVM2 crash and
	log error.

2009-04-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from trunk.

2009-04-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add a new log level for abc logging (-vvv necessary). Don't enforce buffer
	flushing with endl when logging.

2009-04-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Indentation.

2009-04-01  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Log error when top of stack is not an object as expected.

2009-03-31  Sandro Santilli  <strk@keybit.net>

	Merge from trunk

2009-03-31  Sandro Santilli  <strk@keybit.net>

	Log aserror and donothing when class to be instantiated isn't found (yeah, I know it'a s gnash bug not finding that, but I think you can reproduce this with a malformed SWF too)

2009-03-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Introduce AVM2 to Gnash coding style. Start some attempt at proper
	encapsulation and replace some of the debugging output hacks.

2009-03-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Initialize _body correctly and only log_abc at debug level 2 or above.

2009-03-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Introduce a bit of encapasulation.

2009-03-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up more.

2009-03-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Replace ERR with log_error. Drop c_str().

2009-03-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add log_abc for ABC block parsing, replacing macro.

2009-03-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from trunk.

2009-03-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix testsuite run outside source tree.

2009-03-09  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from trunk.

2009-03-04  Bastiaan Jacques  <bastiaan@bjacques.org>

	Merge trunk.

2009-02-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from trunk.

2009-02-25  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make formatting in Machine.cpp more consistent with itself and the coding
	guidelines. Stop initializing members in the ctor body without good reason.
	
	Clean up abc_function interface and initialization order.

2009-02-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Merge from trunk.

2008-12-31  Sandro Santilli  <strk@keybit.net>

	Merge from trunk

2008-11-24  Tom Stellard  <tstellar@gmail.com>

	Prevent null objects from being pushed onto the scope stack.

2008-11-24  strk  <strk@gnash>

	Merge from trunk

2008-11-17  strk  <strk@gnash>

	Include opcode name in VM2 debugging

2008-11-17  strk  <strk@gnash>

	merge from trunk

2008-11-17  strk  <strk@gnash>

	Merge from trunk

2008-11-15  Tom Stellard  <tstellar@gmail.com>

	Fix segfault caused by null objects in the scope stack.

2008-11-14  strk  <strk@gnash>

	merge from trunk

2008-11-14  Tom Stellard  <tstellar@gmail.com>

	Have SWFStream::read_d64() use the convert_double_wacky function to correctly return a double.

2008-11-13  strk  <strk@gnash>

	typo...

2008-11-13  strk  <strk@gnash>

	indentation

2008-11-13  strk  <strk@gnash>

	merge from trunk

2008-11-13  strk  <strk@gnash>

	few more tests (overparanoid)

2008-11-13  strk  <strk@gnash>

	Merge from trunk, fix compiler warnings in Machine.cpp and
	add a couple of UNIMPLEMENTED messages (would be best to have
	these logs always come out for unimplemented opcodes...)

2008-11-13  Tom Stellard  <tstellar@gmail.com>

	Fix segfault in INITPROPERTY opcode.

2008-11-13  Tom Stellard  <tstellar@gmail.com>

	Fix segfault in GETPROPERTY opcode.

2008-11-12  strk  <strk@gnash>

	revert useless change, aimed at reducing false drifts from trunk

2008-11-12  strk  <strk@gnash>

	merge from trunk

2008-11-12  strk  <strk@gnash>

	revert useless change, aimed at reducing false drifts from trunk

2008-11-12  strk  <strk@gnash>

	revert useless change, aimed at reducing false drifts from trunk

2008-11-12  strk  <strk@gnash>

	revert useless change, aimed at reducing false drifts from trunk

2008-11-12  strk  <strk@gnash>

	revert useless change, aimed at reducing false drifts from trunk

2008-11-12  strk  <strk@gnash>

	revert useless change, aimed at reducing false drifts from trunk

2008-11-12  strk  <strk@gnash>

	Fix class documentation for DoABCTag and DoInitActionTag

2008-11-12  strk  <strk@gnash>

	Implement _global.addChild and _global.addChildAt, add tests (one of which triggers a segfault in Machine

2008-11-12  strk  <strk@gnash>

	register TextFieldAutoSize in class hierarchy

2008-11-12  strk  <strk@gnash>

	merge from trunk

2008-11-12  strk  <strk@gnash>

	merge from trunk

2008-11-11  strk  <strk@gnash>

	stub _global.addChild for SWF9 (not sure it should be in global,
	but that's where gnash looks for it when running misc-haxe.all/Hello.swf);
	fix a possible segfault in ABC_CALL*.

2008-11-11  strk  <strk@gnash>

	improve error message on attempt to call undefined property

2008-11-11  strk  <strk@gnash>

	merge from trunk

2008-11-12  Tom Stellard  <tstellar@gmail.com>

	Implement ISTYPELATE opcode.

2008-11-11  Tom Stellard  <tstellar@gmail.com>

	Don't construct a new property on a null object.

2008-11-11  Tom Stellard  <tstellar@gmail.com>

	Initialize scripts when executing DoABCTag.

2008-11-11  Tom Stellard  <tstellar@gmail.com>

	Don't try and print a method's body if the method doesn't have a body.

2008-11-10  strk  <strk@gnash>

	make sure to initialize all members of abc_block, use 0 instead of NULL

2008-11-10  strk  <strk@gnash>

	some ignores

2008-11-10  strk  <strk@gnash>

	Fix initialization order warnings, always initialize mClass::mPrototype
	(is null for bug #24804)

2008-11-10  strk  <strk@gnash>

	Merge from trunk; expect success in haxe-based framework; includes update

2008-11-11  Tom Stellard  <tstellar@gmail.com>

	Various improvements to the as to haxe conversion script.  String-v9.swf no longer fails any test cases when played with Adobe's player.

2008-11-10  Tom Stellard  <tstellar@gmail.com>

	Fix conversion of String.charCodeAt and String.fromCharCode

2008-11-09  Tom Stellard  <tstellar@gmail.com>

	Fix some runtime errors and improve conversion of String.split()

2008-11-08  strk  <strk@gnash>

	Fix abstract equality. Hello.swf in misc-haxe.all succeeds all now ! :)

2008-10-28  Tom Stellard  <tstellar@gmail.com>

	Skip attempts to set a String's length property.

2008-10-27  Tom Stellard  <tstellar@gmail.com>

	Skip refrences to __proto__ property.

2008-10-27  Tom Stellard  <tstellar@gmail.com>

	Skip calls to String.lastIndexOf that have a more than two arguments, or have a string as the second argument.

2008-10-27  Tom Stellard  <tstellar@gmail.com>

	Remove some conversions that result in actionscript errors.

2008-10-27  Tom Stellard  <tstellar@gmail.com>

	Only print the current stack when an opcode has finished executing.

2008-10-27  Tom Stellard  <tstellar@gmail.com>

	Wrap abc parser debug statements in IF_VERBOSE_PARSE macro.

2008-10-22  Tom Stellard  <tstellar@gmail.com>

	CONSTRUCTPROP opcode: Prevent segfault if constructor is undefined.

2008-10-21  strk  <strk@gnash>

	Make haxe use friendly with haxe version 1.16 (packaged in Ubuntu 8.04 lts)

2008-10-21  strk  <strk@gnash>

	don't try to build SWF9 testcases if HAXE isn't available

2008-10-21  strk  <strk@gnash>

	Fix build after merge from trunk

2008-10-21  strk  <strk@gnash>

	Merge from trunk

2008-10-21  Tom Stellard  <tstellar@gmail.com>

	Improve AS2 to Haxe conversion script.

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	Convert actionscript delete statement to the equivalent Haxe function.
	Remove unused function.

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	Don't skip calls to call()

2008-10-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build, abort rather than segfault, get rid of one horrible macro.

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	Convert instance instanceof Class to Std.is(instance,Class)

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	Replace String() with new String("")

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	Don't skip calls to Class.__proto__ .

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	IFLT opcode: Use as_value::newLessThan()

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	Make sure not to do operations on as_values that are null.

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	ASTYPELATE opcode: Make stack behavior correct.

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	Replace isNan with Math.isNan

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	Don't skip calls to String.concat()

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	Don't skip calls to hasOwnProperty() .

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	Skip String(), but not toString() .

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	Don't remove calls to String.substring()

2008-10-19  Tom Stellard  <tstellar@gmail.com>

	Don't remove calls to String.indexOf() .

2008-10-16  Tom Stellard  <tstellar@gmail.com>

	Merge from trunk.

2008-10-14  Tom Stellard  <tstellar@gmail.com>

	Convert chr and ord functions.

2008-10-14  Tom Stellard  <tstellar@gmail.com>

	Improve conversion of Class.property to Reflect.field(Class,property)

2008-10-14  Tom Stellard  <tstellar@gmail.com>

	Replace type[oO]f with Type.typeof.
	Ignore String()
	Replace Class.property with Reflect.field(Class,property)

2008-10-14  Tom Stellard  <tstellar@gmail.com>

	Don't skip calls to String.slice()

2008-10-13  Tom Stellard  <tstellar@gmail.com>

	Implement SUBTRACT opcode.

2008-10-13  Tom Stellard  <tstellar@gmail.com>

	Use Type.getInstanceFields to iterator over an object's properties.

2008-10-13  Tom Stellard  <tstellar@gmail.com>

	Make sure we don't call methods on undefined objects.

2008-10-12  Tom Stellard  <tstellar@gmail.com>

	CONSTRCUTPROP opcode: Make this opcode work better when constructor is an abc_function.

2008-10-12  Tom Stellard  <tstellar@gmail.com>

	Clean up PUSHSHORT opcode.
	CONSTRUCTPROP opcode: make sure we find the objects constructor.

2008-10-12  Tom Stellard  <tstellar@gmail.com>

	Clean up IFLT opcode.

2008-10-12  Tom Stellard  <tstellar@gmail.com>

	Clean up IFTRUE opcode.

2008-10-12  Tom Stellard  <tstellar@gmail.com>

	Clean up HASNEXT2 opcode and add some debug statements.

2008-10-11  Tom Stellard  <tstellar@gmail.com>

	Keep track of the number of tests that are skipped.

2008-10-11  Tom Stellard  <tstellar@gmail.com>

	Add license.

2008-10-11  Tom Stellard  <tstellar@gmail.com>

	Don't skip attempts to set the length property of Strings.

2008-10-11  Tom Stellard  <tstellar@gmail.com>

	Replace new Number() with Std.ParseInt().

2008-10-11  Tom Stellard  <tstellar@gmail.com>

	Replace [type Dynamic] with [type Object] .

2008-10-11  Tom Stellard  <tstellar@gmail.com>

	Clear the scope stack before executing a new function.

2008-10-11  Tom Stellard  <tstellar@gmail.com>

	Add some useful debug statements.

2008-10-11  Tom Stellard  <tstellar@gmail.com>

	Improve debug output for Machine::push_scope_stack().

2008-10-10  Tom Stellard  <tstellar@gmail.com>

	Replace [object Dynamic] with [object Object]

2008-10-10  Tom Stellard  <tstellar@gmail.com>

	Implement GETSLOT opcode.

2008-10-10  Tom Stellard  <tstellar@gmail.com>

	Add as_object::get_member_slot() function.

2008-10-10  Tom Stellard  <tstellar@gmail.com>

	SETPROPERTY opcode: Get name value of the stack for runtime multinames.
	SETSLOT opcode: Add a useful log_debug.

2008-10-10  Tom Stellard  <tstellar@gmail.com>

	Replace references to Object with Dynamic and stop skipping return statements.

2008-10-10  Tom Stellard  <tstellar@gmail.com>

	GET_PROPERTY opcode:  If the property is a runtime multiname, get its name from the stack.

2008-10-09  Tom Stellard  <tstellar@gmail.com>

	Ignore calls to String.slice()

2008-10-09  Tom Stellard  <tstellar@gmail.com>

	Revert String.as back to the version in trunk, and add #ifdef to include the haxe check.as when compiling with haxe.

2008-10-09  Tom Stellard  <tstellar@gmail.com>

	Convert calls to String.fromCharCode(), that have more than one argument, to something that works in Haxe.

2008-10-09  Tom Stellard  <tstellar@gmail.com>

	Improve conversion of String.split()

2008-10-08  Tom Stellard  <tstellar@gmail.com>

	Improve conversion of calls to String.split() and String.indexOf()

2008-10-08  Tom Stellard  <tstellar@gmail.com>

	Replace 'new Object' with '{}'

2008-10-05  Tom Stellard  <tstellar@gmail.com>

	Correctly access an object's prototype, and other small improvements.

2008-10-05  Tom Stellard  <tstellar@gmail.com>

	Implement SETSLOT opcode.

2008-10-05  Tom Stellard  <tstellar@gmail.com>

	Add function as_object::set_member_slot() .

2008-10-05  Tom Stellard  <tstellar@gmail.com>

	Improve handling of String.split() .

2008-10-05  Tom Stellard  <tstellar@gmail.com>

	Clean up some debug statements.

2008-10-04  Tom Stellard  <tstellar@gmail.com>

	Add a useful log_debug and don't call as_object::get_member on undefined objects.

2008-10-04  Tom Stellard  <tstellar@gmail.com>

	When creating new functions only capture the current scope stack.

2008-10-03  Tom Stellard  <tstellar@gmail.com>

	Remove more directives from String.as.

2008-10-03  Tom Stellard  <tstellar@gmail.com>

	Improve as2 -> haxe conversion script and remove some preprocessor directives from String.as.

2008-10-01  Tom Stellard  <tstellar@gmail.com>

	Add ability to convert .as tests to .hx and run them for swf-v9 tests. 

2008-10-01  Tom Stellard  <tstellar@gmail.com>

	Remove hard-coded class name.

2008-10-01  Tom Stellard  <tstellar@gmail.com>

	Add some preprocessor macros to allow String.as to be converted to .hx.

2008-10-01  Tom Stellard  <tstellar@gmail.com>

	Add check for perl to the configure script.

2008-09-30  Tom Stellard  <tstellar@gmail.com>

	Capture the scope stack when we create a function and use that scope stack when call the function.

2008-09-30  Tom Stellard  <tstellar@gmail.com>

	NEWACTIVATION opcode: Create an activation object that has the correct properties.

2008-09-30  Tom Stellard  <tstellar@gmail.com>

	Add a reference to Machine for the function that is being executed.

2008-09-30  Tom Stellard  <tstellar@gmail.com>

	Move asMethod::initPrototype() to asClass.cpp.

2008-09-28  Tom Stellard  <tstellar@gmail.com>

	Begin implementing abc_block::finalize_mbody.

2008-09-28  Tom Stellard  <tstellar@gmail.com>

	Read a function's maximum number of registers, and use it to initialize Machine::mRegisters.

2008-09-26  Tom Stellard  <tstellar@gmail.com>

	Add header files for running Haxe tests.

2008-09-26  Tom Stellard  <tstellar@gmail.com>

	Add perl script to convert Actionscript2 to Haxe.

2008-09-17  Tom Stellard  <tstellar@gmail.com>

	Merge from trunk.

2008-09-14  Tom Stellard  <tstellar@gmail.com>

	Clean up INITPROPERTY opcode.

2008-09-14  Tom Stellard  <tstellar@gmail.com>

	Initialize the Machine's string_table.

2008-09-14  Tom Stellard  <tstellar@gmail.com>

	Clean up CONSTRUCTPROP opcode.

2008-09-13  Tom Stellard  <tstellar@gmail.com>

	Rename mAsValueScopeStack to mScopeStack and change its type to SafeStack<boost::intrusive_ptr<as_object> > .

2008-09-13  Tom Stellard  <tstellar@gmail.com>

	GETPROPERTY opcode: use as_object::get_member to get member values.

2008-09-13  Tom Stellard  <tstellar@gmail.com>

	Add another overload of Machine::get_property_value method.

2008-09-13  Tom Stellard  <tstellar@gmail.com>

	Add text_filed actionscript class to text_pkg.

2008-09-13  Tom Stellard  <tstellar@gmail.com>

	NEWCLASS opcode: Construct the new class with the correct base class.

2008-09-12  Tom Stellard  <tstellar@gmail.com>

	Add addChild method to DisplayObjectContainerClass.

2008-09-12  Tom Stellard  <tstellar@gmail.com>

	Reset CodeStream after functions have returned.

2008-09-12  Tom Stellard  <tstellar@gmail.com>

	Initialize Class traits to 0.

2008-09-12  Tom Stellard  <tstellar@gmail.com>

	Clean up Increment opcode.

2008-09-12  Tom Stellard  <tstellar@gmail.com>

	Get arguments from the stack in the correct order.

2008-09-11  Tom Stellard  <tstellar@gmail.com>

	Make find_prop_strict always search the global object.

2008-09-11  Tom Stellard  <tstellar@gmail.com>

	Add mGlobalObject property to Machine class.

2008-09-10  Tom Stellard  <tstellar@gmail.com>

	COERCE opcode:  Make this a no-op for now.

2008-09-09  Tom Stellard  <tstellar@gmail.com>

	Add useful debug message.

2008-09-09  Tom Stellard  <tstellar@gmail.com>

	Clear stacks and registers when calling Machine::instantiateClass.

2008-09-09  Tom Stellard  <tstellar@gmail.com>

	get_scope_stack should return the ith item from the bottom.

2008-09-08  Tom Stellard  <tstellar@gmail.com>

	Simplify property lookups.

2008-09-06  Tom Stellard  <tstellar@gmail.com>

	Move some of the new Actionscript3 classes to their correct packages.

2008-09-06  Tom Stellard  <tstellar@gmail.com>

	Remove MovieClip actionscript class, and use the one defined in sprite_instance.cpp.

2008-09-05  Tom Stellard  <tstellar@gmail.com>

	Move some non-trivial functions from Machine.h to Machine.cpp.

2008-09-05  Tom Stellard  <tstellar@gmail.com>

	ADD opcode: Add values in the correct order.

2008-09-04  Tom Stellard  <tstellar@gmail.com>

	Fix the build and improve creation of object members at parse time.

2008-09-02  Tom Stellard  <tstellar@gmail.com>

	Do not specify a slot value for properties with slot index = 0.

2008-09-02  Tom Stellard  <tstellar@gmail.com>

	Fix creation of Constant and Slot properties at parse time.

2008-09-02  Tom Stellard  <tstellar@gmail.com>

	Clean up debug messages for abc_parser.

2008-09-01  Sandro Santilli  <strk@keybit.net>

	merge from trunk

2008-08-31  Tom Stellard  <tstellar@gmail.com>

	Wrap AVM2 debug messages with IF_VERBOSE_ACTION.

2008-08-31  Tom Stellard  <tstellar@gmail.com>

	Don't overwrite mExitWithReturn when we have several nested functions.

2008-08-31  Tom Stellard  <tstellar@gmail.com>

	Clean up CONVERT_I opcode.

2008-08-31  Tom Stellard  <tstellar@gmail.com>

	Pass an asMethod object to initialize abc_function.

2008-08-30  Tom Stellard  <tstellar@gmail.com>

	Clean up EQUALS opcode.

2008-08-30  Tom Stellard  <tstellar@gmail.com>

	Clean up IFGT opcode and in NEWCLASS opcode, set class's constructor to the right value.

2008-08-30  Tom Stellard  <tstellar@gmail.com>

	GETPROPERTY opcode: use as_environment::get_variable to search for the property.

2008-08-30  Tom Stellard  <tstellar@gmail.com>

	Add MovieClip calss.

2008-08-30  Tom Stellard  <tstellar@gmail.com>

	Add Stage class to display_pkg.

2008-08-30  Tom Stellard  <tstellar@gmail.com>

	COERCE opcode: Coerce null values.

2008-08-29  Tom Stellard  <tstellar@gmail.com>

	Added debug statement to abc_block.cpp

2008-08-28  Tom Stellard  <tstellar@gmail.com>

	Clean up CONVERT_D opcode.

2008-08-28  Tom Stellard  <tstellar@gmail.com>

	Clean up TYPEOF opcode.

2008-08-28  Tom Stellard  <tstellar@gmail.com>

	Fixed bug in CodeStream::read_S24().

2008-08-27  Tom Stellard  <tstellar@gmail.com>

	If we can't find a property in the scope stack, look again using as_environment::find_object.

2008-08-27  Tom Stellard  <tstellar@gmail.com>

	Add flash.utils package to actionscript objects.

2008-08-27  Tom Stellard  <tstellar@gmail.com>

	Add a useful debug message.

2008-08-25  Tom Stellard  <tstellar@gmail.com>

	Initialize global with an as_object instead of the TextFieldAutoSize object constructor.

2008-08-23  Tom Stellard  <tstellar@gmail.com>

	Rewrote CodeStream to inherit from istream.  Added unit tests and moved code from CodeStream.h to CodeStream.cpp

2008-08-23  Tom Stellard  <tstellar@gmail.com>

	If FINDPROPSTRICT fails to find a property print a warning instead of throwing an exception.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Clean up PUSHBYTE opcode, and increase maximum register size.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Implement ADD opcode.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Add TextFieldAutoSize actionscript class.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Clean up PUSHINT opcode.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	INITPROPERTY opcode: Make sure not initialize a property on an undefined object.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Remove all object->dump_member calls, and clean up ASTYPE opcode.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	CONSTRUCTPROP opcode: Call the constructor of the correct object.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Allow abc_functions to return a value.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Fixed AsClass::AddSlot.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Clean up debug statements.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Fix CONSTRUCTPROP opcode.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Debug clean ups.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	IFNE opcode: add useful debugging statement.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Pass arguments to Machine when calling an ABC function.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Initial changes to get function traits to work.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	NEWCLASS opcode: Use the base class when constructing the new class.

2008-08-22  Tom Stellard  <tstellar@gmail.com>

	Give each function its own local registers.

2008-08-21  Tom Stellard  <tstellar@gmail.com>

	Add some usefull debug statements.

2008-08-21  Tom Stellard  <tstellar@gmail.com>

	Implement JUMP opcode.

2008-08-21  Tom Stellard  <tstellar@gmail.com>

	opcode IFFALS: Always read the number of bytes to jump.

2008-08-21  Tom Stellard  <tstellar@gmail.com>

	Clean up some debug statements.

2008-08-20  Tom Stellard  <tstellar@gmail.com>

	Clean up the way functions are loaded in AVM2.

2008-08-20  Tom Stellard  <tstellar@gmail.com>

	Cleaned up debug statements in the ABC parser.

2008-08-20  Tom Stellard  <tstellar@gmail.com>

	Assign a global name name to new strings at parse time.

2008-08-20  Tom Stellard  <tstellar@gmail.com>

	Merge from trunk.

2008-08-20  Tom Stellard  <tstellar@gmail.com>

	Change how abc_functions are executed.

2008-08-20  Tom Stellard  <tstellar@gmail.com>

	Add int actionscript class for real.

2008-08-20  Tom Stellard  <tstellar@gmail.com>

	Implement CALLPROPERTY opcode.

2008-08-19  Tom Stellard  <tstellar@gmail.com>

	Add int actionscript class.

2008-08-19  Tom Stellard  <tstellar@gmail.com>

	Begin to implement calling an abc_function.

2008-08-18  Tom Stellard  <tstellar@gmail.com>

	PUSHNULL opcode: Use set_null to make as_value null.

2008-08-18  Tom Stellard  <tstellar@gmail.com>

	Clean up POP opcode.

2008-08-18  Tom Stellard  <tstellar@gmail.com>

	Clean up IFEQ opcode.

2008-08-18  Tom Stellard  <tstellar@gmail.com>

	Clean up GETLOCAL opcode.

2008-08-18  Tom Stellard  <tstellar@gmail.com>

	Clean up SETLOCAL opcode and increase initial number of registers.

2008-08-18  Tom Stellard  <tstellar@gmail.com>

	COERCE opcode: Make stack behavior correct.

2008-08-18  Tom Stellard  <tstellar@gmail.com>

	Implement IFNE opcode.

2008-08-18  Tom Stellard  <tstellar@gmail.com>

	SETSLOT opcode:  Correct stack behavior.

2008-08-18  Tom Stellard  <tstellar@gmail.com>

	Some cleanups and new debug statements for CALLPROPVOID opcode.

2008-08-18  Tom Stellard  <tstellar@gmail.com>

	Small cleanups in Machine.h

2008-08-17  Tom Stellard  <tstellar@gmail.com>

	Clean up PUSHFALSE opcode.

2008-08-17  Tom Stellard  <tstellar@gmail.com>

	Clean up IFFALSE opcode.

2008-08-17  Tom Stellard  <tstellar@gmail.com>

	Fix seekBy so that it seeks the correct number of bytes.

2008-08-17  Tom Stellard  <tstellar@gmail.com>

	Fix bug that causes read_S32 to always throw an exception.

2008-08-17  Tom Stellard  <tstellar@gmail.com>

	Fix PUSHNULL opcode.

2008-08-17  Tom Stellard  <tstellar@gmail.com>

	NEWACTIVATION opcode: Pretend to create an activation object.

2008-08-17  Tom Stellard  <tstellar@gmail.com>

	Implement GETPROPERTY opcode.

2008-08-17  Tom Stellard  <tstellar@gmail.com>

	Fix NEWFUNCTION opcode.

2008-08-17  Tom Stellard  <tstellar@gmail.com>

	Fix incorrect stack actions in INITPROPERTY and NEWCLASS opcodes.

2008-08-17  Tom Stellard  <tstellar@gmail.com>

	SETPROPERTY opcode: initialize the property if it is not found.

2008-08-17  Tom Stellard  <tstellar@gmail.com>

	Update a multiname's global name, after it has been initialized.

2008-08-17  Tom Stellard  <tstellar@gmail.com>

	Added more debugging output.

2008-08-16  Tom Stellard  <tstellar@gmail.com>

	Clean up SETPROPERTY opcode, and improve debug info for INITPROPERTY opcode.

2008-08-16  Tom Stellard  <tstellar@gmail.com>

	Clean up NEWARRAY opcode.

2008-08-16  Tom Stellard  <tstellar@gmail.com>

	Rename mFrame to mRegisters and use a vector instead of a SafeStack to represent the local registers.

2008-08-15  Tom Stellard  <tstellar@gmail.com>

	Remove markReachableResources() override from abc_function.

2008-08-15  Tom Stellard  <tstellar@gmail.com>

	Pass a const ref to locateClass and return NULL if class not found.

2008-08-15  Tom Stellard  <tstellar@gmail.com>

	Fix GETGLOBALSCOPE opcode.

2008-08-15  Tom Stellard  <tstellar@gmail.com>

	Only read flags and abc name for DOABCDEFINE tag.

2008-08-15  Tom Stellard  <tstellar@gmail.com>

	Use call_method to execute actionscript functions.

2008-08-14  Tom Stellard  <tstellar@gmail.com>

	Use call_method to make function calls.

2008-08-14  Tom Stellard  <tstellar@gmail.com>

	Use as_value object when pushing a string onto the stack.

2008-08-14  Tom Stellard  <tstellar@gmail.com>

	Use an as_object pointer when calling an actionscript method.

2008-08-14  Tom Stellard  <tstellar@gmail.com>

	Don't resize the arg vector.

2008-08-14  Tom Stellard  <tstellar@gmail.com>

	Add some useful debug statements to push_stack and pop_stack.

2008-08-13  Sandro Santilli  <strk@keybit.net>

	Merge from trunk

2008-08-14  Tom Stellard  <tstellar@gmail.com>

	Removed unnecessary log_debug.

2008-08-13  Tom Stellard  <tstellar@gmail.com>

	Make CallPropVoid opcode work.

2008-08-13  Tom Stellard  <tstellar@gmail.com>

	Don't call execute after calling object's constructor.

2008-08-13  Tom Stellard  <tstellar@gmail.com>

	Fix PushString opcode.

2008-08-13  Tom Stellard  <tstellar@gmail.com>

	Have ConstuctSuper opcode remove items from stack, and implement opcode FindPropStrict.

2008-08-13  Tom Stellard  <tstellar@gmail.com>

	Add execute function to SymbolClassTag, so it can instantiate the main class.

2008-08-13  Tom Stellard  <tstellar@gmail.com>

	Add function to instantiate a class by class name.

2008-08-13  Tom Stellard  <tstellar@gmail.com>

	Added function to locate a class by class name.

2008-08-12  Tom Stellard  <tstellar@gmail.com>

	Call ensureBytes() before reading integers in SymbolClassTag::loader.

2008-08-12  Tom Stellard  <tstellar@gmail.com>

	Move SymbolClassTag loader into its own class.

2008-08-12  Tom Stellard  <tstellar@gmail.com>

	Merged change to pass SWFStream as a reference.

2008-08-10  Tom Stellard  <tstellar@gmail.com>

	Add class constructor to new classes created by the NEWCLASS opcode.

2008-08-10  Tom Stellard  <tstellar@gmail.com>

	Added abc_function class for functions defined in ABC blocks.

2008-08-10  Tom Stellard  <tstellar@gmail.com>

	Push changes to AVM2.

2008-08-09  Tom Stellard  <tstellar@gmail.com>

	Parse SymbolClass tag and print debug information.

2008-08-08  Tom Stellard  <tstellar@gmail.com>

	INITPROPERTY opcode: Add code to initialize a property.  

2008-08-08  Tom Stellard  <tstellar@gmail.com>

	Add number of items in stack to pop_stack debug message.

2008-08-07  Tom Stellard  <tstellar@gmail.com>

	Push an empty class on to the stack when creating a new class.

2008-08-07  Sandro Santilli  <strk@keybit.net>

	Remove duplicated rule (merge error)

2008-08-07  Tom Stellard  <tstellar@gmail.com>

	Use the state stack to save the Machine's state when calling a new function.

2008-08-05  Tom Stellard  <tstellar@gmail.com>

	Fixed small errors left over from merge.

2008-08-05  Tom Stellard  <tstellar@gmail.com>

	Merge AVM2 Branch with trunk.

2008-08-05  Tom Stellard  <tstellar@gmail.com>

	Large commit to prepare for merge with new AVM2 branck.

2008-07-27  Tom Stellard  <tstellar@gmail.com>

	Checking of all my work after renaming asName.getName() to asName.getABCName()

2008-07-11  Tom Stellard  <tstellar@gmail.com>

	Commited stuff so I can merge safe stack changes.

2008-07-03  steltho  <steltho@localhost>

	Added a method stub in tag_loaders.cpp for tag DEFINESCENEANDFRAMELABELDATA

2009-05-13  Sandro Santilli  <strk@keybit.net>

	Fix compiler warnings (wow :)

2009-05-13  Sandro Santilli  <strk@keybit.net>

	Don't override commands for target 'check', but rather use check-local

2009-05-13  Sandro Santilli  <strk@keybit.net>

	Include the libcore/swf directory, just in case (fileio.cpp used to include VM.h which would have required this)

2009-05-13  Sandro Santilli  <strk@keybit.net>

	It seems boost 1.33.1-10 was unable to trigger implicit upcast of Movie to MovieClip when comparing (operator==) a Movie inside an intrusive_ptr to a MovieClip raw pointer...

2009-05-13  Sandro Santilli  <strk@keybit.net>

	Fix build with old ffmpeg (0.cvs20060823-8)

2009-05-13  Sandro Santilli  <strk@keybit.net>

	fileio.cpp doesn't need to include the VM. Should fix build of extension by NOT requiring -I../libcore/swf (See http://gnashdev.org/buildbot/builders/gnash-i686-fedora-distcheck/builds/338/steps/test/logs/stdio)

2009-05-05  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Two changes for AmigaOS4 to enable network an diskstreaming.

2009-05-05  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Cosmetic changes for a previous patch for AmigaOS4

2009-05-04  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	These two patches allow AmigaOS4 compile also without the wstring definition and without <arpa/inet.h>
	Maybe for these two patches can be changed the configure file to use the also for other OS that miss that two functionalities.

2009-05-04  Andrea Palmat?  <andreapalmate@PowerMAC.local>

	Two small changes for AmigaOS4
	1) getting absolute url corrctly
	2) make curl works correctly with AmigaOS4

2009-05-02  rob@welcomehome.org

	make gen-gnash.c a noinst_SOURCES target to keep distcheck happy.

2009-05-01  Tomeu Vizoso  <tomeu@sugarlabs.org>

	Add a method to the gtk widget for calling an AS method in the movie

2009-04-30  Sandro Santilli  <strk@keybit.net>

	asobj include

2009-04-30  Sandro Santilli  <strk@keybit.net>

	asobj/ include for make check 

2009-04-30  Sandro Santilli  <strk@keybit.net>

	asobj/ needs be explicitly listed as include dir now (shows not many are running make check these days uh ?)

2009-04-28  Tomeu Vizoso  <tomeu@sugarlabs.org>

	Pass variables to the movie in the gtk widget.

2009-04-28  Tomeu Vizoso  <tomeu@sugarlabs.org>

	Install more headers.

2009-04-28  Tomeu Vizoso  <tomeu@sugarlabs.org>

	Support file:// uris in GnashView.

2009-04-28  Tomeu Vizoso  <tomeu@sugarlabs.org>

	Fix listing the available extensions/plugins

2009-04-28  Tomeu Vizoso  <tomeu@sugarlabs.org>

	Allow building extensions out of tree by installing the needed headers.

2009-04-26  Markus Gothe  <nietzsche@lysator.liu.se>

	revert back to HAS_PYTHON so I don't break anyting

2009-04-26  rob@welcomehome.org

	remove enable-gtk-widget option, we always built it now that way.

2009-04-26  Markus Gothe  <nietzsche@lysator.liu.se>

	Fix HAS_PYTHON -> USE_PYTHON

2009-04-26  rob@welcomehome.org

	look in build tree for existing bzrversion.h. Fixes last distcheck bug for now.

2009-04-26  Markus Gothe  <nietzsche@lysator.liu.se>

	Cast canvas to widget for OGL with GTK_WIDGET()

2009-04-26  Markus Gothe  <nietzsche@lysator.liu.se>

	Commited patches from Tomeu and Andrea

2009-04-26  rob@welcomehome.org

	always build gtk_canvas for gtk. Less messy that way.

2009-04-26  rob@welcomehome.org

	move DIST_SUBDIRS = pythonmod out of the if-endif to keep distcheck happy.

2009-04-26  rob@welcomehome.org

	built generated files as dependencies, rather than use suffix rules. Use srcdir to find all input files to *-codegen.

2009-04-26  rob@welcomehome.org

	improve test for *-codegen. Subsitute both.

2009-04-26  Markus Gothe  <nietzsche@lysator.liu.se>

	Commited patch from Tomoeu

2009-04-26  Markus Gothe  <nietzsche@lysator.liu.se>

	Applied patch from Andrea Palmat?

2009-04-26  Markus Gothe  <nietzsche@lysator.liu.se>

	DSOEXPORT for gprocessor

2009-04-25  rob@welcomehome.org

	put DIST_SUBDIRS outside the if-else.

2009-04-25  rob@welcomehome.org

	only warn if pygobject-codegen doesn't exist.

2009-04-25  rob@welcomehome.org

	don't try to execute any python tests unles it's enabled.

2009-04-25  rob@welcomehome.org

	always do pythoo config.

2009-04-25  rob@welcomehome.org

	add pythonmod to DIST_SUBDIRS so it gets in the tarball when python isn't enabled.

2009-04-25  rob@welcomehome.org

	add gpl copyeright block

2009-04-25  Markus Gothe  <nietzsche@lysator.liu.se>

	Patch from Tomeu Vizoso <tomeu@sugarlabs.org>

2009-04-24  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use permitted header guard and forward declaration.

2009-04-23  rob@welcomehome.org

	Add AGG support that works with the canvas in addition to the existing cairo support.

2009-04-23  rob@welcomehome.org

	add aos4 to the list of supported guis.

2009-04-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Various class cleanups, const correctness and correction to BitmapFilter
	classes.

2009-04-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clean up as_function.

2009-04-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Implement ConvolutionFilter interface more correctly. Drop existing
	implementation because it's generally wrong.

2009-04-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Start to clean up the BitmapFilter classes. Passes in swfdec testsuite.

2009-04-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop const_casts.

2009-04-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	No need to const_cast getAsRoot return.

2009-04-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	getAsRoot should be non-const, for reasons now explain in the documentation.

2009-04-22  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Clear properties of all destroyed DisplayObjects.
	
	Const correct isUnloaded(), rename to unloaded(). Unregister mask and mask
	during unload(), not during GC resource marking.
	
	Minor optimization (cleaner code) for masking.

2009-04-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add header to Makefile.

2009-04-23  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add two more compatibility headers for Net (ntohs etc) and FD (select)
	system functions. Use them in libcore, libamf, libbase and utility to
	replace ifdef code there.

2009-04-22  rob@welcomehome.org

	add --enable-gtk-widget option, enabled by default for now

2009-04-22  rob@welcomehome.org

	these binary blobs have been moved to the Cygnal testsuite.

2009-04-22  rob@welcomehome.org

	Rename files

2009-04-21  rob@welcomehome.org

	Add AimgaOS4 to the list of GUI options we print.

2009-04-21  rob@welcomehome.org

	use -e with echo when making the bzrversion.h without bzr to keep Gentoo happy.

2009-04-21  rob@welcomehome.org

	add a _HOST to the OS defines so they don't conflict with other system defines of the same name. Add AmigaOS4 support as well.

2009-04-21  rob@welcomehome.org

	add Tomeu Vizoso's patch to make Gnash be a gtk widget and python module.

2009-04-21  rob@welcomehome.org

	Look for pygobject-codegen-2.0 first, then pygtk-codegen-2.0 next

2009-04-20  rob@welcomehome.org

	use the mingw32 pthread library, which is different than the unix one.

2009-04-20  rob@welcomehome.org

	port to win32, replace mmap() with win32 calls.

2009-04-20  rob@welcomehome.org

	Port to windows, using the mingw32 select() instead of ppoll().

2009-04-20  rob@welcomehome.org

	silly things to keep mingw32 happy.

2009-04-20  rob@welcomehome.org

	keep mingw32 happy, don't use the temporary variable far.

2009-04-20  rob@welcomehome.org

	only include inet.h if on a POSIX os, unlike win32.

2009-04-20  rob@welcomehome.org

	The boolean type is in the jpeg namespace.

2009-04-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add libcode/swf to compiler include flags in pythonmodule so that 'make'
	works in that directory. Drop one unnecessary include from render.h,
	revealing that the rest of the includes are a bit of a mess.
	
	Correct these in various places.
	
	Move members used only in the agg handler or not at all out of the base
	class, or drop them completely.

2009-04-20  rob@welcomehome.org

	Add python libs when building all executables for --enable-python. Add aso4 gui option.

2009-04-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor fix to escaping.

2009-04-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test more LoadVars, update totals.
	
	Add PROP_ESCAPE to namedStrings. Correct LoadVars and XML toString (should
	call _global.escape when URL escaping is required).

2009-04-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test more LoadVars properties.

2009-04-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tests for onSoundComplete with embedded sounds.

2009-04-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor alterations to parseHeader().

2009-04-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make text output field larger, update comments.

2009-04-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test onSoundComplete for embedded sounds.

2009-04-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix NetBSD build of ffmpeg media handler.

2009-04-20  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix build for older compilers.

2009-04-17  rob@welcomehome.org

	install the plugin as another step after install.

2009-04-16  rob@welcomehome.org

	be explicit about which targets to execute, as dependencies seems to be unreliable on some platforms.

2009-04-16  rob@welcomehome.org

	clean up xpi package building.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop the prophelper file and write the filter classes out instead, so they
	can be implemented and tested properly.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop the prophelper abomination so that the filter classes can be improved
	and made to work.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use prophelper for DropShadowFilter.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use prophelper for GlowFilter.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use prophelper for GradientBevelFilter.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use prophelper for ColorMatrixFilter.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use prophelper for GradientGlowFilter.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use prophelper for BlurFilter.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use prophelper for BitmapFilter.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use prophelper for BevelFilter.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use prophelper for ConvolutionFilter.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tidy some functions up.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't use find_first_of() when we mean find().

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Cleanups.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Tidy up.

2009-04-16  rob@welcomehome.org

	Look for boost_python if python is enabled. 

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move swf.{cpp,h}.

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move swf.{cpp,h} to libcore/swf. Remove useless include from BitsReader.h

2009-04-16  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanup to marking SWFMovieDefinition resources, extend generic
	templates.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Move to anonymous namespace.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Extend RemovePointer<>, use a template function to mark the mapped
	resources in SWFMovieDefinition.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Replace loops in markReachableResources.

2009-04-15  rob@welcomehome.org

	fix the path for stripping the executable.

2009-04-15  rob@welcomehome.org

	evaluate the shell script to set the snapshot dir early on.

2009-04-15  rob@welcomehome.org

	actually install the xpcom support when enabled.

2009-04-15  rob@welcomehome.org

	add pythonmodule to DIST_SUBDIRS, since now it's conditional.

2009-04-15  rob@welcomehome.org

	add --enable-python option, make building pythonmodule optional based on this, and find the flags needed for python development. task#9300

2009-04-15  rob@welcomehome.org

	fix quote marks around none for revno. Reverse logic of which X11 dependencies are used when building rpms.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test that BitmapMovies can have child sprites (they can).
	
	Unify bitmap creation.
	
	Const correct fill_style's BitmapInfo, and adapt the renderers to it.
	OGL performs a kind of lazy initialization and currently needs mutable members
	due to this.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make a Bitmap, not a Shape, for a BitmapMovie, and use the same code
	to construct DynamicShapes for displaying bitmaps instead of doing it
	in two places.
	
	Const correct fill_style and other things that rely on it.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update totals.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Test that a BitmapMovie can have child sprites.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Restore BitmapMovie's use of DisplayList, fixing loadMovieTest again,
	as strk pointed out.
	
	Const correct definitions.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Restore BitmapMovie as a full MovieClip with DisplayList, as strk pointed
	out there is a non-automated test showing this is the case.
	
	Make createDisplayObject const correct so that it can be called from
	BitmapMovie's const definition. This revealed that many other definition
	classes had non-const methods, and some DisplayObjects had non-const
	definitions. This is now also fixed.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rationalize top-level movie loading.
	
	Improve documentation.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add notes on AVM2 implementation.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	More minor formatting changes.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Change header guards.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop empty sprite_definition ctor.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop advance_sprite(), use advance() on its own.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Rename create_Movie to createMovie.

2009-04-15  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add more documentation.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix testsuite, override pointInVisibleShape for mouse entity detection
	now BitmapMovie has no DisplayList.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Draw BitmapMovie directly, without relying on a fabricated Shape character.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Fix testsuite.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add Movie.h

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Add common base class (Movie) for top-level movies (SWFMovie, BitmapMovie,
	and perhaps in future FLVMovie). This replaces movie_instance and
	BitmapMovieInstance.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Use movie_instance's definition less.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Minor cleanups.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop get_background_alpha and do set_background_color in a sensible way.
	
	Clean up various other MovieClip functions, typedefs and member variables.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Document MovieClip; correct old docs.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update testsuite.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Don't expose MovieClip's definition; this is only needed from movie_instance.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Make movie_definition const.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Allow MovieClip to be constructed without a definition, so that it
	doesn't have to be faked.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Drop unused and space-wasting dummy style vectors. Put class definition
	in conventional order.

2009-04-14  Benjamin Wolsey  <bwy@benjaminwolsey.de>

	Update docs on movie_root.

2009-04-14  rob@welcomehome.org

	refactor package building code to share more code, use more variables and less cut and paste, and other general improvments. Builds xpis, debs, rpms, and snapshots.

2009-04-14  rob@welcomehome.org

	tweak for Mandriva rpm packages, which name some of the BuildRequires differently.

2009-04-14  rob@welcomehome.org

